<?php
if (!$account->check_powers('SuperAdmin',true))
{
	$messages->add('ERORR','Nie posiadasz uprawnień!');
	$hideForm = true;
}
else
{
	if (@constant('adm_dbPrefix') == '')
		$messages->add('INFO','Pusty prefix!','Sprawdź Ustawienia - Prefix w sekcji Baza danych nie może być pusty!');

	function optimize()
	{
		global $admMysql, $messages;

		unset($_POST['optimize']);
		$length = count($_POST);
		if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');
		$list = implode(', ', $_POST);
		$query = mysqli_query($admMysql, "OPTIMIZE TABLE $list");
		if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		$messages->add('INFO','Tabele zostały zoptymalizowane!');
	}
	if (isset($_POST['optimize'])) optimize();

	$query = mysqli_query($admMysql, "SHOW TABLE STATUS FROM `".adm_dbName."` LIKE '".adm_dbPrefix."%'");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));

	$sumRows = 0;
	$sumData = 0;
	$sumDataFree = 0;

	while($r = mysqli_fetch_array($query))
	{
		$itemsList[] = $r;
		$sumRows += $r['Rows'];
		$sumData += $r['Data_length']+$r['Index_length'];
		$sumDataFree += $r['Data_free'];
	}
	$smarty->assign('itemsList', $itemsList);
	$smarty->assign('sumRows', $sumRows);
	$smarty->assign('sumData', $sumData);
	$smarty->assign('sumDataFree', $sumDataFree);
}
?>