<?php
if (isset($_GET['p']) AND $_GET['p'] == 'logout')
{
	unset($_SESSION['adm_admin']);
	header('Location: '.$admPath.'admin.php');
	exit; //WYCHODZI
}

if (isset($_GET['p']))
	$smarty->assign('page',$_GET['p']);
else
	$smarty->assign('page',false);

function login()
{
	global $admMysql, $messages;
	if (empty($_POST['login'])) return $messages->add('ALERT','Wypełnij pole login!');
	if (empty($_POST['password'])) return $messages->add('ALERT','Wypełnij pole hasło!');
	$login = admFilter($_POST['login']);
	$password = admFilter($_POST['password']);
	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `password`, `powers` FROM `".adm_dbPrefix."accounts` WHERE `login`='$login' LIMIT 1");
	//if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	$r = mysqli_fetch_assoc($query);
	if (md5($password) != $r['password']) return $messages->add('ERORR','Niepoprawne hasło!');
	if ($r['powers'] == 3) return $messages->add('ERORR','Konto zablokowane!');
	session_regenerate_id(true);
	$_SESSION['adm_admin'] = array('id' => $r['id'], 'login' => $r['login'], 'powers' => $r['powers']);
	mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."accounts` SET dateLogin=".time()." WHERE id=".$r['id']." LIMIT 1");
	admSaveCookie('adm_admin_login', $login, 86400*10);
}


function lost_password()
{
	global $admMysql, $messages, $hideForm;
	if (empty($_POST['login'])) return $messages->add('ALERT','Wypełnij pole login!');
	if (empty($_POST['email'])) return $messages->add('ALERT','Wypełnij pole e-mail!');
	$login = admFilter($_POST['login']);
	$email = admFilter($_POST['email']);
	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."accounts` WHERE `login`='$login' AND `email`='$email' LIMIT 1");
	if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	if (mysqli_num_rows($query) != 1) return $messages->add('ERORR','Login i e-mail nie pasują do siebie!');
	$item = mysqli_fetch_assoc($query);
	$hash = md5(microtime());
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."accounts_passwords` (account,hash) VALUES (".$item['id'].",'$hash')");
	if (!$query)
	{
		if (mysqli_errno($admMysql) == 1062)
		{
			$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."accounts_passwords` WHERE account=".$item['id']);
			if (!$query) return $messages->add('ERORR','Wystąpił błąd!','Powiadom admnistratora, błąd:<br />'.mysqli_error($admMysql));
			$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."accounts_passwords` (account,hash) VALUES (".$item['id'].",'$hash')");
			if (!$query) return $messages->add('ERORR','Wystąpił błąd!','Powiadom admnistratora, błąd:<br />'.mysqli_error($admMysql));
		}
		else
		{
			return $messages->add('ERORR','Wystąpił błąd!','Powiadom admnistratora, błąd:<br />'.mysqli_error($admMysql));
		}
	}
	$link = adm_path.'admin.php?p=new-password&amp;id='.$item['id'].'&amp;hash='.$hash;
	$mailContent = '<b>Witaj '.$item['login'].'</b><br /><br />Aby zmienić hasło do swojego konta kliknij w poniższy link:<br /><a href="'.$link.'">'.$link.'</a><br />';

	$mail = admSendEmail(adm_adminEmail, $item['email'], $item['login'], 'Zmiana hasła', $mailContent);
	if ($mail !== true) 
	{
		$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."accounts_passwords` WHERE `account`=".$item['id']);
		return $messages->add('ERORR','Nie wysłano wiadomości!','Powiadom admnistratora, błąd:<br />'.$mail);
	}
	$messages->add('INFO','Sprawdź skrzynkę e-mail!','Na adres: <i>'.$item['email'].'</i> wysłano wiadomość z dalszymi wskazówkami odnośnie zmiany hasła do twojego konta.');
	$hideForm = true;
}
if (isset($_POST['lost-password'])) lost_password();


function new_password()
{
	global $admMysql, $messages, $hideForm;
	$id = (int)admFilter($_GET['id']);
	$hash = admFilter($_GET['hash']);
	$newPassword = admFilter($_POST['newPassword']);
	$newPasswordRep = admFilter($_POST['newPasswordRep']);

	if (strlen($hash) != 32) return $messages->add('ALERT','Niepoprawny hash!');
	if (strlen($newPassword) < 5) return $messages->add('ALERT','Podaj nowe hasło!', 'Hasło powinno mieć minimum 5 znaków!');
	if (empty($newPasswordRep)) return $messages->add('ALERT','Powtórz nowe hasło!');
	if ($newPassword != $newPasswordRep) return $messages->add('ALERT','Hasła niepasują do siebie!','Potwórzone hasło nie pasuje do wcześniej podanego!');

	$query = mysqli_query($admMysql, "SELECT `account`, `hash` FROM `".adm_dbPrefix."accounts_passwords` WHERE account = $id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	$r = mysqli_fetch_assoc($query);
	if ($r['hash'] != $hash) return $messages->add('ERORR','Hasło nie zostało zmienione!','Nieaktywny lub niepoprawny hash. <a href="?p=lost-password">Skorzystaj z tego formularza</a>');

	$password =	md5($newPassword);
	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."accounts` AS a 
												LEFT JOIN `".adm_dbPrefix."accounts_passwords` AS np ON a.id=np.account
												SET password='$password'
												WHERE a.id=$id AND np.hash='$hash'");
	if (!$query) return $messages->add('ERORR','Hasło nie zostało zmienione!','Powiadom admnistratora, błąd:<br />'.mysqli_error($admMysql));

	mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."accounts_passwords` WHERE account=$id");

	$messages->add('INFO','Hasło zostało zmienione!','<a href="admin.php">Zaloguj się</a>');
	$hideForm = true;
}
if (isset($_POST['new-password'])) new_password();


if (isset($_POST['admin-login']))
{
	login();
	$smarty->assign('Login', $_POST['login']);
}
else
{
	if (isset($_COOKIE['adm_admin_login'])) $smarty->assign('Login', $_COOKIE['adm_admin_login']);
}

if (!isset($_SESSION['adm_admin']))
{
	$messages->done();
	$smarty->assign('pageTitle', 'ad_master &rsaquo; Zaloguj się');
	$smarty->assign('includePage', 'admin-login.tpl');
	$smarty->assign('hideForm', $hideForm);
	$smarty->display('admin-login.tpl');
	exit; //WYCHODZI
}
else
{
	$account = new account();
	$smarty->assign('accountLogin', $account->login);
}
?>