<?php

if ($_GET['p']=='add')
{
	$notice = 1;
	$item = array('login' => $login, 'password' => $password, 'email' => $email, 'powers' => $powers, 'notice' => $notice);
}

function add()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$login = admFilter($_POST['login']);
	$password = admFilter($_POST['password']);
	$email = admFilter($_POST['email']);
	$powers = (int)admFilter($_POST['powers']);
	if ($powers < 1) $powers = 1;
	if ($powers > 3) $powers = 3;
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;

	$item = array('login' => $login, 'password' => $password, 'email' => $email, 'powers' => $powers, 'notice' => $notice);

	if (empty($login)) return $messages->add('ALERT','Podaj login!');
	if (empty($password)) return $messages->add('ALERT','Podaj hasło!');
	if (!admCheckEmail($email)) return $messages->add('ALERT','Podaj poprawny e-mail!');

	$pass = md5($password);
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."accounts` (login,password,email,powers,dateRegistration) VALUES ('$login','$pass','$email',$powers,UNIX_TIMESTAMP())");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już konto o podanym loginie!');
	if (!$query) return $messages->add('ERORR','Konto nie zostało dodane!',mysqli_error($admMysql));
	$messages->add('INFO','Konto "'.$login.'" zostało dodane!','<a href="?m=accounts&amp;p=view">Przejdź dalej</a>');

	if ($notice == 1)
	{
		$mailContent = '<b>Witamy</b><br /><br />Twoje konto zostało zarejestrowane w bazie systemu zarządzania reklamą.<br /><br /><b>Informacje na temat dostępu do panelu administracyjnego:</b><br />Adres: <a href="'.adm_path.'admin.php" target="_blank">'.adm_path.'admin.php</a><br />Login: '.$login.'<br />Hasło: '.$password;
		$mail = admSendEmail(adm_adminEmail, $email, $login, 'Dodanie nowego konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}

	$hideForm = true;
}
if (isset($_POST['add'])) add();


if ($_GET['p']=='edit')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email`, `powers` FROM `".adm_dbPrefix."accounts` WHERE id=$id LIMIT 1");
	$item = mysqli_fetch_array($query);
	$item['notice'] = 1;
	$item['password'] = '';
	
	if (mysqli_num_rows($query) == 0)
	{
		$hideForm = true;
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
	}
}

function edit()
{
	global $admMysql, $messages, $account, $hideForm, $item;
	$id = (int)admFilter($_GET['id']);

	if (($id == 1 AND !$account->check_powers('SuperAdmin')) OR !$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$password = admFilter($_POST['password']);
	$email = admFilter($_POST['email']);
	$powers = (int)admFilter($_POST['powers']);
	if ($powers < 1) $powers = 1;
	if ($powers > 3) $powers = 3;
	if ($id == 1) $powers = 0; // WAŻNE!!!
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;

	$item = array('id' => $id, 'login' => $item['login'], 'password' => $password, 'email' => $email, 'powers' => $powers, 'notice' => $notice);

	if (!admCheckEmail($email)) return $messages->add('ALERT','Podaj poprawny e-mail!');

	if (strlen($password) == 0)
		$pass = "password";
	else
		$pass = "'".md5($password)."'";

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."accounts` SET `email`='$email', `password`=$pass, `powers`=$powers WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Konto nie zostało zmienione!',mysqli_error($admMysql));
	$messages->add('INFO','Konto zostało zmienione!','<a href="?m=accounts&amp;p=view">Przejdź dalej</a>');

	if ($notice == 1)
	{
		$mailContent = '<b>Witamy</b><br /><br />Twoje konto zostało zmienione.<br /><br /><b>Informacje na temat dostępu do panelu administracyjnego:</b><br />Adres: <a href="'.adm_path.'admin.php" target="_blank">'.adm_path.'admin.php</a><br />Login: '.$item['login'].'<br />';
		if (strlen($password) > 0) $mailContent .= '<b>Nowe hasło dostępu:</b> '.admFilter($_POST['password']);
		$mail = admSendEmail(adm_adminEmail, $email, $login, 'Edycja konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}

	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


if ($_GET['p']=='delete')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `powers` FROM `".adm_dbPrefix."accounts` WHERE `id`=$id LIMIT 1");
	$item = mysqli_fetch_array($query);
	if (mysqli_num_rows($query) == 0 OR $id == 1)
	{
		$hideForm = true;
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
	}
}

function delete()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin') OR $id == 1)
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."accounts` WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Konto nie zostało usunięte!',mysqli_error($admMysql));
	$messages->add('INFO','Konto zostało usunięte!');
	if (isset($_POST['notice']))
	{
		$mailContent = '<b>Witamy</b><br /><br />Twoje konto zostało usunięte z bazy danych systemu zarządzania reklamą.';
		$mail = admSendEmail(adm_adminEmail, $item['email'], $item['login'], 'Usunięcie konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}
}
if (isset($_POST['delete'])) delete();


if ($_GET['p']=='view')
{
	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email`, `powers`, `dateRegistration`, `dateLogin` FROM `".adm_dbPrefix."accounts` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));

	while($r = mysqli_fetch_array($query))
		$accountList[] = $r;
}


$smarty->assign('powersOptions', array(1 => 'Admin', 2 => 'User', 3 => 'Ban'));
$smarty->assign('powersList', array('SuperAdmin', 'Admin', 'User', 'Ban'));
$smarty->assign('accountList', $accountList);
$smarty->assign('item', $item);
?>