<?php

function selected()
{
	global $admMysql, $messages, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	unset($_POST['area']);
	$length = count($_POST)-1;
	if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');
	$i = 1;
	foreach ($_POST as $k => $v)
	{
		if ($k == 'selected') break;
		$elementList .= $v;
		if ($i != $length) $elementList .= ', ';
		$i++;
	}
	if ($_POST['selected'] == 'activate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET `active`=1 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Banery nie zostały aktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Banery zostały aktywowane!','Banery id '.$elementList.' zostały aktywowane.');
	}
	if ($_POST['selected'] == 'deactivate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET `active`=0 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Banery nie zostały deaktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Banery zostały deaktywowane!','Banery id '.$elementList.' zostały deaktywowane.');
	}
	if ($_POST['selected'] == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE b, bc, bv FROM `".adm_dbPrefix."baners` AS b
													LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON bc.baner=b.id
													LEFT JOIN `".adm_dbPrefix."baners_views` AS bv ON bv.baner=b.id
													WHERE b.id IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Banery nie zostały usunięte!',mysqli_error($admMysql));
		return $messages->add('INFO','Banery zostały usunięte!','Banery id '.$elementList.' zostały usunięte.');
	}
}
if ($_POST['selected']) selected();


if ($_GET['p']=='add')
{
	$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$clientsList[] = $r;

	$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach', 'maxWidth' => '10000', 'maxHeight' => '10000');
	$query = mysqli_query($admMysql, "SELECT `id`, `name`, `maxWidth`, `maxHeight` FROM `".adm_dbPrefix."baners_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;

	$notice = 1;
	$powers = 1;
	$dateStart = time();
	$active = 1;

	$client = (int)admFilter($_GET['c']);
	if (isset($_GET['a'])) $area = (int)admFilter($_GET['a']); else $area = 1;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'banerAddress' => $banerAddress,
								'width' => $width, 'height' => $height, 'pageAddress' => $pageAddress, 'description' => $description, 'count' => $count, 
								'target' => $target, 'code' => $code, 'follow' => $follow,  'model' => $model, 'purchasedViews' => $purchasedViews,
								'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart,
								'dateEdit' => $dateEdit, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer, 'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (isset($_GET['id']) && !isset($_POST['add']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners` AS b WHERE b.id=$id LIMIT 1");
		$item = mysqli_fetch_assoc($query);
		$item['notice'] = $notice;
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function add()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if (($_POST['powers'] == 1 AND $client == 0) OR $_POST['type'] > 0) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$type = (int)admFilter($_POST['type']);
	$banerAddress = admFilter($_POST['banerAddress']);
	$width = (int)admFilter($_POST['width']);
	$height = (int)admFilter($_POST['height']);
	$pageAddress = admFilter($_POST['pageAddress']);
	$description = admFilter($_POST['description']);
	$count = (int)admFilter($_POST['count']);
	$target = (int)admFilter($_POST['target']);
	$code = admFilter($_POST['code'],true);
	if (isset($_POST['follow'])) $follow = 1; else $follow = 0;
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$cappingValue = (int)admFilter($_POST['cappingValue']);
	$cappingPer = (int)admFilter($_POST['cappingPer']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'banerAddress' => $banerAddress,
								'width' => $width, 'height' => $height, 'pageAddress' => $pageAddress, 'description' => $description, 'count' => $count, 
								'target' => $target, 'code' => $code, 'follow' => $follow,  'model' => $model, 'purchasedViews' => $purchasedViews,
								'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart,
								'dateEdit' => $dateEdit, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer, 'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (!admCheckWWW($banerAddress) AND $type != 2) return $messages->add('ALERT','Podaj poprawny adres banera!');
	if (empty($code) AND $type == 2) return $messages->add('ALERT','Podaj kod reklamy!');
	if ($type != 2 AND (!is_numeric($width) OR $width < 1)) return $messages->add('ALERT','Podaj porawną szerokość!');
	if ($type != 2 AND (!is_numeric($height) OR $height < 1)) return $messages->add('ALERT','Podaj porawną wysokość!');
	if (!admCheckWWW($pageAddress) AND $type != 2) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if ($model == 1 AND ($type == 2 OR $count == 2)) return $messages->add('ALERT','Nieodpowiedni model emisyjny!', 'Nie możesz użyć modelu CPU (Cost Per User) ponieważ dla tej konfiguracji nie są zliczane kliknięcia.');
	if ($model == 0 AND empty($purchasedViews)) return $messages->add('ALERT','Podaj liczbę wykupionych wyświetleń!');
	if ($model == 1 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 2 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');

	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."baners`
															 (client,powers,area,type,banerAddress,width,height,pageAddress,description,count,target,code,follow,model,purchasedViews,purchasedUsers,purchasedDays,cappingValue,cappingPer,dateStart,advancedStatistics,active)
												VALUES ($client,$powers,'$area',$type,'$banerAddress',$width,$height,'$pageAddress','$description',$count,$target,'$code',$follow,$model,$purchasedViews,$purchasedUsers,$purchasedDays,$cappingValue,$cappingPer,$dateStart,$advancedStatistics,$active)");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERORR','Baner nie został dodany!',mysqli_error($admMysql));

	$messages->add('INFO','Baner został dodany!','<a href="?m=baners&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Do Państwa konta została dodana nowa kampania - baner:<br />'
									.adm_path.'client.php?m=baners&p=details&id='.mysqli_insert_id().'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Dodanie nowego banera', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['add'])) add();


if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT b.id, b.client, b.powers, b.area, b.type, b.banerAddress, b.width, b.height, b.pageAddress, b.description, b.count,
												b.target, b.code, b.follow, b.model, b.purchasedViews, b.purchasedUsers, b.purchasedDays, b.views, b.clicks, b.cappingValue, b.cappingPer, b.dateStart, b.dateEdit, b.advancedStatistics, b.active,
												c.id AS idClient, c.login AS loginClient, a.name AS nameArea
												FROM `".adm_dbPrefix."baners` AS b
												LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=b.client
												LEFT JOIN `".adm_dbPrefix."baners_areas` AS a ON a.id=b.area
												WHERE b.id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	$item['notice'] = 1;

	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
	else if ($_GET['p']=='edit')
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$clientsList[] = $r;

		$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach', 'maxWidth' => '10000', 'maxHeight' => '10000');
		$query = mysqli_query($admMysql, "SELECT `id`, `name`, `maxWidth`, `maxHeight` FROM `".adm_dbPrefix."baners_areas` ORDER BY `id` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$areasList[] = $r;
	}
}

if ($_GET['p']=='details-stats' AND adm_pro == true)
{
	$item['id'] = $id = (int)admFilter($_GET['id']);

	if (!isset($_GET['date']))
	{
		$statsType = 0;
		$statsViewsSum = 0;
		$statsClicksSum = 0;
		$range = array();
		$stats = array();

		if (isset($_POST['from']) AND isset($_POST['to']))
		{
				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date FROM `".adm_dbPrefix."baners_views` WHERE baner = $id GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
					$range[$r['date']] = $r['date'];

				$item['from'] = $from = admFilter($_POST['from']);
				$item['to'] = $to = admFilter($_POST['to']);

				$query = mysqli_query($admMysql, "SELECT DATE(bv.date) AS date, COUNT(DISTINCT bv.id) AS views, COUNT(DISTINCT bc.id) AS clicks FROM `".adm_dbPrefix."baners_views` AS bv
															LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON (DATE(bc.date)=DATE(bv.date) AND bc.baner=bv.baner)
															WHERE bv.baner = $id AND DATE_FORMAT(bv.date,'%Y-%m-%d') BETWEEN '$from' AND '$to' GROUP BY DATE(bv.date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$statsViewsSum += $r['views'];
					$statsClicksSum += $r['clicks'];
				}
		}
		else
		{
				$query = mysqli_query($admMysql, "SELECT DATE(bv.date) AS date, COUNT(DISTINCT bv.id) AS views, COUNT(DISTINCT bc.id) AS clicks FROM `".adm_dbPrefix."baners_views` AS bv
															LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON (DATE(bc.date)=DATE(bv.date) AND bc.baner=bv.baner)
															WHERE bv.baner = $id GROUP BY DATE(bv.date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$range[$r['date']] = $r['date'];
					$statsViewsSum += $r['views'];
					$statsClicksSum += $r['clicks'];
				}
				$item['from'] = reset($range);
				$item['to'] = end($range);
		}

		$smarty->assign('statsViewsSum', $statsViewsSum);
		$smarty->assign('statsClicksSum', $statsClicksSum);
		$smarty->assign('rangeFrom', $range);
		$smarty->assign('rangeTo', $range);
	}
	else
	{
		$statsType = 1;
		$item['from'] = '00';
		$item['to'] = '24';
		$item['id'] = $id = (int)admFilter($_GET['id']);
		$item['date'] = $date = admFilter($_GET['date']);
		$hideForm = true;
		if (isset($_POST['from']) AND isset($_POST['to']))
		{
			$hideForm = false;
			$item['from'] = $from = admFilter($_POST['from']);
			$item['to'] = $to = admFilter($_POST['to']);
			if ($to < $from) $messages->add('ALERT','Wartość "do" nie może być mniejsz "od"!');
			$to = $to-1;
			if ($to < 10) $to = '0'.$to;
			$query = mysqli_query($admMysql, "SELECT 'Wyświetlenie' AS action, DATE_FORMAT(date,'%T') AS date, INET_NTOA(ip) AS ip FROM `".adm_dbPrefix."baners_views`
														WHERE baner = $id AND DATE_FORMAT(date,'%Y-%m-%d %H') BETWEEN '$date $from' AND '$date $to'
														UNION
														SELECT 'Kliknięcie' AS action, DATE_FORMAT(date,'%T') AS date, INET_NTOA(ip) AS ip FROM `".adm_dbPrefix."baners_clicks`
														WHERE baner = $id AND DATE_FORMAT(date,'%Y-%m-%d %H') BETWEEN '$date $from' AND '$date $to'
														ORDER BY date ASC");
			if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
			while ($r = mysqli_fetch_assoc($query))
				$stats[] = $r;
		}
		$smarty->assign('rangeFrom', array('00'=>'00','01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23'));
		$smarty->assign('rangeTo', array('01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23','24'=>'24'));
	}
}

function edit()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if (($_POST['powers'] == 1 AND $client == 0) OR $_POST['type'] > 0) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$type = (int)admFilter($_POST['type']);
	$banerAddress = admFilter($_POST['banerAddress']);
	$width = (int)admFilter($_POST['width']);
	$height = (int)admFilter($_POST['height']);
	$pageAddress = admFilter($_POST['pageAddress']);
	$description = admFilter($_POST['description']);
	$count = (int)admFilter($_POST['count']);
	$target = (int)admFilter($_POST['target']);
	$code = admFilter($_POST['code'],true);
	if (isset($_POST['follow'])) $follow = 1; else $follow = 0;
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$cappingValue = (int)admFilter($_POST['cappingValue']);
	$cappingPer = (int)admFilter($_POST['cappingPer']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('id' => $id, 'client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'banerAddress' => $banerAddress,
								'width' => $width, 'height' => $height, 'pageAddress' => $pageAddress, 'description' => $description, 'count' => $count, 
								'target' => $target, 'code' => $code, 'follow' => $follow,  'model' => $model, 'purchasedViews' => $purchasedViews,
								'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart,
								'dateEdit' => $dateEdit, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer, 'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (!admCheckWWW($banerAddress) AND $type != 2) return $messages->add('ALERT','Podaj poprawny adres banera!');
	if (empty($code) AND $type == 2) return $messages->add('ALERT','Podaj kod reklamy!');
	if ($type != 2 AND (!is_numeric($width) OR $width < 1)) return $messages->add('ALERT','Podaj porawną szerokość!');
	if ($type != 2 AND (!is_numeric($height) OR $height < 1)) return $messages->add('ALERT','Podaj porawną wysokość!');
	if (!admCheckWWW($pageAddress) AND $type != 2) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if ($model == 1 AND ($type == 2 OR $count ==2)) return $messages->add('ALERT','Nieodpowiedni model emisyjny!', 'Nie możesz użyć modelu CPU (Cost Per User) ponieważ dla tej konfiguracji nie są zliczane kliknięcia.');
	if ($model == 0 AND empty($purchasedViews)) return $messages->add('ALERT','Podaj liczbę wykupionych wyświetleń!');
	if ($model == 1 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 2 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET `client`=$client, `powers`=$powers, `area`='$area', `type`=$type, `banerAddress`='$banerAddress',
											`width`=$width, `height`=$height, `pageAddress`='$pageAddress', `description`='$description', `count`=$count, `target`=$target,
											`code`='$code', `follow`=$follow, `model`=$model, `purchasedViews`=$purchasedViews, `purchasedUsers`=$purchasedUsers,
											`purchasedDays`=$purchasedDays, `cappingValue`=$cappingValue, `cappingPer`=$cappingPer, `dateStart`=$dateStart, `advancedStatistics`=$advancedStatistics, `active`=$active WHERE `id`=$id LIMIT 1");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERORR','Baner nie został zmieniony!',mysqli_error($admMysql));

	$messages->add('INFO','Baner został zmieniony!','<a href="?m=baners&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Państwa kampania - baner - została zmieniona przez administratora:<br />'
									.adm_path.'client.php?m=baners&p=details&id='.$id.'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Edycja banera', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


if ($_GET['p']=='delete')
{
	$item['id'] = admFilter($_GET['id']);
}

function delete()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE b, bc, bv FROM `".adm_dbPrefix."baners` AS b
												LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON bc.baner=b.id
												LEFT JOIN `".adm_dbPrefix."baners_views` AS bv ON bv.baner=b.id
												WHERE b.id=$id");
	if ($query)
		$messages->add('INFO','Baner został usunięty!');
	else
		$messages->add('ERORR','Baner nie został usunięty!',mysqli_error($admMysql));
}
if (isset($_POST['delete'])) delete();


if ($_GET['p']=='view')
{
	$area = max((int)admFilter($_GET['a']), 0);
	if (!isset($_GET['a'])) $area = 0;

	if ($area == 0)
		$aq = 'b.area';
	else
		$aq = $area;

	$search = admFilter($_POST['search']);

	if (!empty($search))
	{
		$query = mysqli_query($admMysql, "SELECT b.id, b.client, b.powers, b.area, b.type, b.banerAddress, b.width, b.height, b.pageAddress, b.count,
													b.follow, b.model, b.purchasedViews, b.purchasedUsers, b.purchasedDays, b.views, b.clicks, b.dateStart, b.dateEdit, b.advancedStatistics, b.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."baners` AS b
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=b.client
													WHERE (b.banerAddress LIKE '%$search%' OR b.pageAddress LIKE '%$search%') AND b.area = $aq
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$smarty->assign('pages', 1);
		$smarty->assign('startPage', 1);
		$smarty->assign('activePage', 1);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', mysqli_num_rows($query));
	}
	else
	{
		$limit = 15;
		$query = mysqli_query($admMysql, "SELECT COUNT(`id`) AS elements FROM `".adm_dbPrefix."baners` AS b WHERE b.area = $aq");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		$r = mysqli_fetch_assoc($query);
		$elements = $r['elements'];
		$pages = ceil($elements/$limit);
		$activePage = min(max((int)$_GET['s'], 1), $pages);
		$start = max(($activePage-1) * $limit, 0);

		$query = mysqli_query($admMysql, "SELECT b.id, b.client, b.powers, b.area, b.type, b.banerAddress, b.width, b.height, b.pageAddress, b.count,
													b.follow, b.model, b.purchasedViews, b.purchasedUsers, b.purchasedDays, b.views, b.clicks, b.dateStart, b.dateEdit, b.advancedStatistics, b.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."baners` AS b
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=b.client WHERE b.area = $aq ORDER BY `id` DESC LIMIT $start, $limit");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$startPage = min($pages-6, max(1, $activePage-3));
		$smarty->assign('pages', $pages);
		$smarty->assign('startPage', $startPage);
		$smarty->assign('activePage', $activePage);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', $elements);
	}

	$areasList[0] = array('id'=>0, 'name'=>'Wszystkie strefy');
	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."baners_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[$r['id']] = $r;

	if (!isset($areasList[$area]))
	{
		$messages->add('ERORR','Błąd identyfikatora strefy!','Strefa o tym ID nie istnieje!');
		$hideForm = true;
	}

	$smarty->assign('area', $area);
}


//------------------- STREFY -------------------


if ($_GET['p']=='areas-add')
{
	$templateArea = '{strefa}';
	$templateBaner = '{baner} ';
	$limit = 0;
	$sort = 0;
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxWidth' => $maxWidth, 'maxHeight' => $maxHeight, 'templateBaner' => $templateBaner, 'limit' => $limit, 'sort' => $sort);

	if (isset($_GET['id']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners_areas` AS ba WHERE ba.id=$id LIMIT 1");
		$area = mysqli_fetch_assoc($query);
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function addArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$name = admFilter($_POST['name']);
	$encoding = admFilter($_POST['encoding']);
	$alternativeCode = admFilter($_POST['alternativeCode'],true);
	$proportion = (int)admFilter($_POST['proportion']);
	$templateArea = admFilter($_POST['templateArea'],true);
	$maxWidth = (int)admFilter($_POST['maxWidth']);
	$maxHeight = (int)admFilter($_POST['maxHeight']);
	$templateBaner = admFilter($_POST['templateBaner'],true);
	$limit = (int)admFilter($_POST['limit']);
	$sort = (int)admFilter($_POST['sort']);
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxWidth' => $maxWidth, 'maxHeight' => $maxHeight, 'templateBaner' => $templateBaner, 'limit' => $limit, 'sort' => $sort);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	if (!is_numeric($maxWidth) OR $maxWidth < 1) return $messages->add('ALERT','Podaj maksymalną szerokość!');
	if (!is_numeric($maxHeight) OR $maxHeight < 1) return $messages->add('ALERT','Podaj maksymalną wysokość!');
	if (strpos($templateArea, '{strefa}') === false) return $messages->add('ALERT','Podaj poprawny szablon strefy!','Szablon musi zawierać wyraz {strefa}');
	//if (strpos($templateBaner, '{baner}') === false) return $messages->add('ALERT','Podaj poprawny szablon banerów!','Szablon musi zawierać wyraz {baner}');
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."baners_areas`
															 (name,encoding,alternativeCode,proportion,templateArea,maxWidth,maxHeight,templateBaner,`limit`,`sort`)
												VALUES ('$name','$encoding','$alternativeCode',$proportion,'$templateArea',$maxWidth,$maxHeight,'$templateBaner',$limit,$sort)");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została dodana!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została dodana!','<a href="?m=baners&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['addArea'])) addArea();


if ($_GET['p']=='areas-edit' OR $_GET['p']=='areas-details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT *, COUNT(b.id) AS number
												FROM `".adm_dbPrefix."baners_areas` AS ba
												LEFT JOIN `".adm_dbPrefix."baners` AS b ON b.area = ba.id
												WHERE ba.id=$id GROUP BY ba.id LIMIT 1");
	$area = mysqli_fetch_assoc($query);
	$area['id'] = $id;
	if (mysqli_num_rows($query) == 0 OR !isset($area['name']))
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
}

function editArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$name = admFilter($_POST['name']);
	$encoding = admFilter($_POST['encoding']);
	$alternativeCode = admFilter($_POST['alternativeCode'],true);
	$proportion = (int)admFilter($_POST['proportion']);
	$templateArea = admFilter($_POST['templateArea'],true);
	$maxWidth = (int)admFilter($_POST['maxWidth']);
	$maxHeight = (int)admFilter($_POST['maxHeight']);
	$templateBaner = admFilter($_POST['templateBaner'],true);
	$limit = (int)admFilter($_POST['limit']);
	$sort = (int)admFilter($_POST['sort']);
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxWidth' => $maxWidth, 'maxHeight' => $maxHeight, 'templateBaner' => $templateBaner, 'limit' => $limit, 'sort' => $sort);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	if (!is_numeric($maxWidth) OR $maxWidth < 1) return $messages->add('ALERT','Podaj maksymalną szerokość!');
	if (!is_numeric($maxHeight) OR $maxHeight < 1) return $messages->add('ALERT','Podaj maksymalną wysokość!');
	if (strpos($templateArea, '{strefa}') === false) return $messages->add('ALERT','Podaj poprawny szablon strefy!','Szablon musi zawierać wyraz {strefa}');
	//if (strpos($templateBaner, '{baner}') === false) return $messages->add('ALERT','Podaj poprawny szablon banerów!','Szablon musi zawierać wyraz {baner}');
	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners_areas` SET `name`='$name', `encoding`='$encoding', `alternativeCode`='$alternativeCode', `proportion`=$proportion, `templateArea`='$templateArea', `maxWidth`=$maxWidth, `maxHeight`=$maxHeight, `templateBaner`='$templateBaner', `limit`=$limit, `sort`=$sort WHERE `id`=$id LIMIT 1");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została zmieniona!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została zmieniona!','<a href="?m=baners&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['editArea'])) editArea();


if ($_GET['p']=='areas-delete')
{
	$area['id'] = (int)admFilter($_GET['id']);

	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."baners_areas` WHERE `id` != ".$area['id']." ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}

function deleteArea()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin') OR $id == 1)
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."baners_areas` WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Strefa nie została usunięta!',mysqli_error($admMysql));

	$messages->add('INFO','Strefa została usunięta!');

	$whatToDo = admFilter($_POST['whatToDo']);
	if ($whatToDo == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE b, bc, bv FROM `".adm_dbPrefix."baners` AS b
													LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON bc.baner=b.id
													LEFT JOIN `".adm_dbPrefix."baners_views` AS bv ON bv.baner=b.id
													WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Banery nie zostały usunięte!'.mysqli_error($admMysql));
		$messages->addDetails('Banery zostały usunięte!');
	}
	else
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET `area`=$whatToDo WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Banery nie zostały przeniesione!'.mysqli_error($admMysql));
		$messages->addDetails(mysqli_affected_rows().' banerów zostało przeniesionych.');
	}
}
if (isset($_POST['deleteArea'])) deleteArea();


if ($_GET['p']=='areas')
{
	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners_areas`");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}


//------------------- UPLOAD -------------------


function addUpload()
{
	global $admMysql, $messages, $hideForm, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	require_once('./lib/uploader.class.php');
	$uploader = new uploader();
	if (isset($_POST['checkExist'])) $uploader->check_exist = true;
	if (!empty($_POST['newName']))
	{
		$uploader->change_name = true;
		$uploader->new_name = $_POST['newName'];
	}
	$uploader->send();
	$info = $uploader->file_info();

	switch($info['status'])
	{
		case '100':
			$messages->add('ALERT','Wybierz plik!');
		break;
		case '200':
			$messages->add('ALERT','Plik o nazwie '.$info['name'].' już istnieje!');
		break;
		case '300':
			$messages->add('ALERT','Nieakceptowany typ pliku!', $info['type']);
		break;
		case '400':
			$messages->add('ALERT','Plik jest za duży!','Jego rozmiar to: '. round($info['size']/1024) .'KB, a dopuszczalny rozmiar  to '. round($uploader->max_size/1024) .'KB');
		break;
		case '500':
			$messages->add('ERORR','Plik nie został przeniesiony!');
		break;
		case '600':
			$messages->add('INFO','Plik został dodany!','<a href="?m=baners&amp;p=upload">Przejdź do listy plików</a> &nbsp; lub &nbsp; <a href="?m=baners&amp;p=upload-add">Dodaj kolejny plik</a>');
			$hideForm = true;
		break;
		default:
			$messages->add('ERORR','Błąd!');
	}
}
if (isset($_POST['addUpload'])) addUpload();


function deleteUpload()
{
	global $admMysql, $messages, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	unset($_POST['deleteUpload']);
	$length = count($_POST);
	if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');

	foreach ($_POST as $k => $v)
		@unlink('./upload/'.$v);

	$messages->add('INFO','Pliki zostały usunięte!');
}
if (isset($_POST['deleteUpload'])) deleteUpload();


if ($_GET['p']=='upload')
{
	$folder = dir('./upload/');
	$files = 0;
	$totalSize = 0;
	while ($file = $folder->read())
	{
		if ($file == 'index.html') continue;
		if (is_dir('./upload/'.$file)) continue;
		$type = 0;
		if (substr($file, -4) == '.swf') $type = 1;
		$dimension = @getimagesize('./upload/'.$file);
		if ($dimension) $dim = $dimension[0].'x'.$dimension[1]; else $dim = '-';
		$size = filesize('./upload/'.$file);
		$itemsList[] = array('name'=>$file,'type'=>$type,'dimension'=>$dim,'width'=>$dimension[0],'height'=>$dimension[1],'size'=>$size);
		$files++;
		$totalSize += $size;
	}
	$folder->close();
	$smarty->assign('itemsList', $itemsList);
	$smarty->assign('files', $files);
	$smarty->assign('totalSize', $totalSize);
}


$smarty->assign('proportionsList', array(0=>'0%',1=>'10%',2=>'20%',3=>'30%',4=>'40%',5=>'50%',6=>'60%',7=>'70%',8=>'80%',9=>'90%',10=>'100%'));
$smarty->assign('powersList', array('Tylko przeglądanie','Przeglądanie i edycja'));
$smarty->assign('typeList', array('Graficzny JPG, PNG, GIF','Graficzny FLASH (.swf)','Kod HTML, CSS, JavaScript'));
$smarty->assign('targetList', array('_blank','_self','_parent','_top'));
$smarty->assign('countList', array('Bezwzględnie (link pośredni)','Metodą JavaScript (link bezpośredni)','Nie zliczaj (link bezpośredni)'));
$smarty->assign('modelList', array('CPM (Cost Per Mille)','CPU (Cost Per User)','CPD (Cost Per Day)', 'ATT (All The Time)'));
$smarty->assign('cappingList', array('dziennie','tygodniowo', 'miesięcznie'));
$smarty->assign('sortList', array('Według daty dodania od najstarszego','Według daty dodania od najmłodszego','Losowo'));
$smarty->assign('encodingList', array('UTF-8' => 'UTF-8', 'ISO-8859-2' => 'ISO-8859-2', 'WINDOWS-1250' => 'WINDOWS-1250'));
$smarty->assign('clientsList', $clientsList);
$smarty->assign('areasList', $areasList);
$smarty->assign('stats', $stats);
$smarty->assign('statsType', $statsType);
$smarty->assign('areaTD', '{baner}');
$smarty->assign('item', $item);
$smarty->assign('area', $area);
$smarty->assign('search', $search);
?>