<?php

function selected()
{
	global $admMysql, $messages, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$length = count($_POST)-1;
	if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');
	$i = 1;
	foreach ($_POST as $k => $v)
	{
		if ($k == 'selected') break;
		$elementList .= $v;
		if ($i != $length) $elementList .= ', ';
		$i++;
	}
	if ($_POST['selected'] == 'unlock')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."clients` SET `powers`=2 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Klienci nie zostali odblokowani!',mysqli_error($admMysql));
		return $messages->add('INFO','Klienci zostali odblokowani!','Klienci id '.$elementList.' zostali odblokowani.');
	}
	if ($_POST['selected'] == 'block')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."clients` SET `powers`=4 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Klienci nie zostali zablokowani!',mysqli_error($admMysql));
		return $messages->add('INFO','Klienci zostali zablokowani!','Klienci id '.$elementList.' zostali zablokowani.');
	}
	if ($_POST['selected'] == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."clients` WHERE id IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Klienci nie zostali usunięci!',mysqli_error($admMysql));
		else
		{
			$query = mysqli_query($admMysql, "DELETE b, bc, bv FROM `".adm_dbPrefix."baners` AS b
														LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON bc.baner=b.id
														LEFT JOIN `".adm_dbPrefix."baners_views` AS bv ON bv.baner=b.id
														WHERE b.client IN ($elementList)");

			$query = mysqli_query($admMysql, "DELETE l, lc FROM `".adm_dbPrefix."links` AS l
														LEFT JOIN `".adm_dbPrefix."links_clicks` AS lc ON lc.link=l.id
														WHERE l.client IN ($elementList)");

			$query = mysqli_query($admMysql, "SELECT id FROM `".adm_dbPrefix."windows` WHERE client IN ($elementList)");
			while ($w = mysqli_fetch_assoc($query))
				@unlink('./upload/windows/'.$w['id'].'.html');

			$query = mysqli_query($admMysql, "DELETE w, wv FROM `".adm_dbPrefix."windows` AS w
														LEFT JOIN `".adm_dbPrefix."windows_views` AS wv ON wv.window=w.id
														WHERE w.client IN ($elementList)");

			$messages->add('INFO','Klienci zostali usunięci!','Klienci id '.$elementList.' zostali usunięci.');
		}
	}
}
if ($_POST['selected']) selected();


if ($_GET['p']=='add')
{
	$notice = 1;
	$item = array('login' => $login, 'password' => $password, 'email' => $email, 'powers' => $powers, 'website' => $website, 'gadu' => $gadu, 'phone' => $phone, 'name' => $_POST['name'], 'address' => $_POST['address'], 'notice' => $notice);
}

function add()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$login = admFilter($_POST['login']);
	$password = admFilter($_POST['password']);
	$email = admFilter($_POST['email']);
	$powers = (int)admFilter($_POST['powers']);
	$website = admFilter($_POST['website'],true);
	$gadu = admFilter($_POST['gadu']);
	$phone = admFilter($_POST['phone']);
	$name = admFilter($_POST['name']);
	$address = admFilter($_POST['address']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;

	$item = array('login' => $login, 'password' => $password, 'email' => $email, 'powers' => $powers, 'website' => $website, 'gadu' => $gadu, 'phone' => $phone, 'name' => $_POST['name'], 'address' => $_POST['address'], 'notice' => $notice);

	if (empty($login)) return $messages->add('ALERT','Podaj login!');
	if (empty($password)) return $messages->add('ALERT','Podaj hasło!');
	if (!admCheckEmail($email)) return $messages->add('ALERT','Podaj poprawny e-mail!');
	if (!empty($website) AND !admCheckWWW($website)) return $messages->add('ALERT','Niepoprawny adres witryny!');

	$pass = md5($password);
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."clients` (login,password,email,powers,website,gadu,phone,name,address,dateRegistration) VALUES ('$login','$pass','$email',$powers,'$website','$gadu','$phone','$name','$address',UNIX_TIMESTAMP())");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już klient o podanym loginie!');
	if (!$query) return $messages->add('ERORR','Klient nie został dodany!',mysqli_error($admMysql));

	$messages->add('INFO','Klient "'.$login.'" został dodany!','<a href="?m=clients&amp;p=view">Przejdź dalej</a>');

	if ($notice == 1)
	{
		$mailContent = '<b>Witamy</b><br /><br />Państwa konto zostało zarejestrowane w naszej bazie systemu zarządzania reklamą.<br /><br /><b>Informacje na temat dostępu do panelu klienta:</b><br />Adres: <a href="'.adm_path.'client.php" target="_blank">'.adm_path.'client.php</a><br />Login: '.$login.'<br />Hasło: '.$password;
		$mail = admSendEmail(adm_adminEmail, $email, $login, 'Dodanie nowego konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}
	$hideForm = true;
}
if (isset($_POST['add'])) add();


if ($_GET['p']=='delete')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
}

function delete()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	$item = mysqli_fetch_assoc($query);

	$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Klient nie został usunięty!',mysqli_error($admMysql));
	else
	{
		$query = mysqli_query($admMysql, "DELETE b, bc, bv FROM `".adm_dbPrefix."baners` AS b
													LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON bc.baner=b.id
													LEFT JOIN `".adm_dbPrefix."baners_views` AS bv ON bv.baner=b.id
													WHERE b.client=$id");

		$query = mysqli_query($admMysql, "DELETE l, lc FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."links_clicks` AS lc ON lc.link=l.id
													WHERE l.client=$id");

		$query = mysqli_query($admMysql, "SELECT id FROM `".adm_dbPrefix."windows` WHERE client=$id");
		while ($w = mysqli_fetch_assoc($query))
			@unlink('./upload/windows/'.$w['id'].'.html');

		$query = mysqli_query($admMysql, "DELETE w, wv FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."windows_views` AS wv ON wv.window=w.id
													WHERE w.client=$id");
	}
	$messages->add('INFO','Klient został usunięty!');
	if (isset($_POST['notice']))
	{
		$mailContent = '<b>Witamy</b><br /><br />Państwa konto zostało usunięte z naszej bazy danych systemu zarządzania reklamą.';
		$mail = admSendEmail(adm_adminEmail, $item['email'], $item['login'], 'Usunięcie konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}
}
if (isset($_POST['delete'])) delete();


if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT id,login,email,powers,website,gadu,phone,name,address,dateRegistration,dateLogin,note FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	$item['notice'] = 1;
	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
	
	if($_GET['p']=='details')
	{
		$query = mysqli_query($admMysql, "SELECT b.id, b.client, b.powers, b.type, b.banerAddress, b.width, b.height, b.pageAddress, b.count,
													b.model, b.purchasedViews, b.purchasedUsers, b.purchasedDays, b.views, b.clicks, b.dateStart, b.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."baners` AS b LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=b.client
													WHERE b.client = $id
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$banersList[] = $r;

		$query = mysqli_query($admMysql, "SELECT l.id, l.client, l.powers, l.area, l.pageAddress, l.count,
													l.model, l.purchasedUsers, l.purchasedDays, l.clicks, l.dateStart, l.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=l.client
													WHERE l.client = $id
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$linksList[] = $r;

		$query = mysqli_query($admMysql, "SELECT w.id, w.client, w.powers, w.type, w.pageAddress,
													w.model, w.purchasedViews, w.purchasedUsers, w.purchasedDays, w.views, w.dateStart, w.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=client
													WHERE w.client = $id
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$windowsList[] = $r;

		$smarty->assign('banersList', $banersList);
		$smarty->assign('linksList', $linksList);
		$smarty->assign('windowsList', $windowsList);
	}
}

function edit()
{
	global $admMysql, $messages, $account, $hideForm, $item;

	$id = (int)admFilter($_GET['id']);
	$password = admFilter($_POST['password']);
	$email = admFilter($_POST['email']);
	$powers = (int)admFilter($_POST['powers']);
	$website = admFilter($_POST['website']);
	$gadu = admFilter($_POST['gadu']);
	$phone = admFilter($_POST['phone']);
	$name = admFilter($_POST['name']);
	$address = admFilter($_POST['address']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;

	$item = array('id' => $id, 'login' => $item['login'], 'password' => $password, 'email' => $email, 'powers' => $powers, 'website' => $website, 'gadu' => $gadu, 'phone' => $phone, 'name' => $name, 'address' => $address, 'notice' => $notice);

	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	if (!admCheckEmail($email))
		return $messages->add('ALERT','Podaj poprawny e-mail!');

	if (strlen($password) == 0)
	$pass = "password";
		else
	$pass = "'".md5($password)."'";

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."clients` SET `password`=$pass, `email`='$email', `powers`=$powers, `website`='$website', `gadu`='$gadu', `phone`='$phone', `name`='$name', `address`='$address' WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Klient nie został zmieniony!',mysqli_error($admMysql));

	$messages->add('INFO','Klient został zmieniony!','<a href="?m=clients&amp;p=view">Przejdź dalej</a>');

	if ($notice == 1)
	{
		$mailContent = '<b>Witamy</b><br /><br />Państwa konto zostało zmienione.<br /><br /><b>Informacje na temat dostępu do panelu klienta:</b><br />Adres: <a href="'.adm_path.'client.php" target="_blank">'.adm_path.'client.php</a><br />Login: '.$item['login'].'<br />';
		if (strlen($password) > 0) $mailContent .= '<b>Nowe hasło dostępu:</b> '.$password;
		$mail = admSendEmail(adm_adminEmail, $email, $login, 'Edycja konta', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!<br />'.$mail,1);
	}
	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


if ($_GET['p']=='mail')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT `login`, `email` FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	$smarty->assign('from', adm_adminEmail);
	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
}

function sendMail()
{
	global $admMysql, $messages, $account, $hideForm, $subject, $content;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$subject = admFilter($_POST['subject']);
	$content = $_POST['content'];
	if (get_magic_quotes_gpc()) $content = stripslashes($content);

	if (empty($content))
		return $messages->add('ALERT','Podaj treść wiadomości!');

	$query = mysqli_query($admMysql, "SELECT login, email FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	$item = mysqli_fetch_assoc($query);

	$mail = admSendEmail(adm_adminEmail, $item['email'], $item['login'], $subject, $content);

	if ($mail === true)
	{
		$messages->add('INFO','Wysłano wiadomość!');
		$messages->addDetails('Na adres '.$item['email'].' została wysłana wiadomość.');
		$messages->addDetails('<a href="?m=clients&p=view">Przejdź dalej</a>');
		$hideForm = true;
	}
	else
		$messages->add('ERORR','Wiadomości nie wysłano!',$mail);
}
if (isset($_POST['send_mail'])) sendMail();


if ($_GET['p']=='view')
{
	$search = admFilter($_POST['search']);

	if (!empty($search))
	{
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."clients` WHERE `login` LIKE '%$search%' OR `name` LIKE '%$search%' OR `email` LIKE '%$search%' ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$smarty->assign('pages', 1);
		$smarty->assign('startPage', 1);
		$smarty->assign('activePage', 1);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', mysqli_num_rows($query));
	}
	else
	{
		$limit = 15;
		$query = mysqli_query($admMysql, "SELECT COUNT(`id`) AS elements FROM `".adm_dbPrefix."clients`");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		$r = mysqli_fetch_assoc($query);
		$elements = $r['elements'];
		$pages = ceil($elements/$limit);
		$activePage = min(max((int)$_GET['s'], 1), $pages);
		$start = max(($activePage-1) * $limit, 0);

		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."clients` ORDER BY `id` DESC LIMIT $start, $limit");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$startPage = min($pages-6, max(1, $activePage-3));
		$smarty->assign('pages', $pages);
		$smarty->assign('startPage', $startPage);
		$smarty->assign('activePage', $activePage);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', $elements);
	}
}


if ($_GET['p']=='newsletter')
{
	if (adm_pro == false)
		$messages->add('ERORR','Funkcja dostępna w wersji pro!');

	$smarty->assign('from', adm_adminEmail);
	$smarty->assign('sendAsOptions', array(1 => 'HTML', 2 => 'Text/Plain'));
	$smarty->assign('sendAsSelect', 1);
}

function sendNewsletter()
{
	global $admMysql, $smarty, $messages, $account, $hideForm, $subject, $content;
	if (!$account->check_powers('Admin'))
	{
		if (isset($_POST['send_test'])) die('Nie posiadasz uprawnień!');
		return $messages->add('ERORR','Nie posiadasz uprawnień!');
	}

	$subject = admFilter($_POST['subject']);
	$sendAs = (int)$_POST['send_as'];
	$content = $_POST['content'];

	if ($_POST['send_preview']==1 AND $sendAs==2)
		header("Content-Type: text/plain; charset=UTF-8");
	else if ($_POST['send_preview']==1 AND $sendAs==1)
		header("Content-Type: text/html; charset=UTF-8");

	if (get_magic_quotes_gpc()) $content = stripslashes($content);

	if ($_POST['send_preview']==1) die($content);

	$smarty->assign('sendAsSelect', $sendAs);

	if (empty($subject))
	{
		if (isset($_POST['send_test'])) die('Podaj temat wiadomości!');
		return $messages->add('ALERT','Podaj temat wiadomości!');
	}
	if (empty($content))
	{
		if (isset($_POST['send_test'])) die('Podaj treść wiadomości!');
		return $messages->add('ALERT','Podaj treść wiadomości!');
	}

	require_once('./lib/PHPMailer/Exception.php');
	require_once('./lib/PHPMailer/PHPMailer.php');
	require_once('./lib/PHPMailer/SMTP.php');
	$mail = new PHPMailer(true);										// the true param means it will throw exceptions on errors, which we need to catch
	$mail->SetLanguage("pl", "./lib/");
	$mail->CharSet = 'utf-8';
	if (adm_mailMethod == '2' OR $method == 2)
	{
		$mail->IsSMTP(); // telling the class to use SMTP
		//$mail->SMTPDebug  = 2;											// enables SMTP debug information (for testing)
		$mail->SMTPAuth			= adm_smtpAuth;						// enable SMTP authentication
		$mail->Host					= adm_smtpHost;						// sets GMAIL as the SMTP server
		$mail->Port					= adm_smtpPort;						// set the SMTP port for the GMAIL server
		if (adm_smtpSecure == 'tls' OR adm_smtpSecure == 'ssl')
		{
			$mail->SMTPSecure	= adm_smtpSecure;				// sets the prefix to the servier
		}
		if (adm_smtpAuth == true)
		{
			$mail->Username		= adm_smtpUsername;
			$mail->Password		= adm_smtpPassword;
		}
	}

	if ($sendAs==1) $mail->IsHTML();
	$mail->SetFrom(adm_adminEmail, adm_adminEmail);
	$mail->Subject = $subject;
	$mail->Body = $content;

	if (isset($_POST['send_test']))
	{
		try {
			$mail->AddAddress(adm_adminEmail, adm_adminEmail);
			$mail->Send();
			die('Wysłano!');
		} catch (phpmailerException $e){
			die('Błąd! '.$e->errorMessage());
		} catch (Exception $e) {
			
			die('Błąd! '.$e->getMessage());
		}
	}

	$success = 0;
	$errors = 0;

	$query = mysqli_query($admMysql, "SELECT login, email FROM `".adm_dbPrefix."clients` WHERE powers!=4");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($item = mysqli_fetch_assoc($query))
	{
		try {
			$mail->AddAddress($item['email'], $item['login']);
			$mail->Send();
			$success++;
		} catch (phpmailerException $e){
			$e->errorMessage();
			$errors++;
		} catch (Exception $e) {
			$e->getMessage();
			$errors++;
		}
		$mail->ClearAddresses();
	}

	$messages->add('INFO','Postęp wysyłki:', 'Wysłanych wiadomości: '.$success.'<br />Błędnych wiadomości: '.$errors);
	$messages->addDetails('<a href="?m=clients&p=newsletter">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['send_newsletter'])) sendNewsletter();


$smarty->assign('powersList', array(1 => 'Przeglądanie i edycja konta', 2 => 'Tylko przeglądanie konta', 3 => 'Bez przeglądania i edycji konta', 4 => 'Zablokowane konto'));
$smarty->assign('subject', $subject);
$smarty->assign('content', $content);
$smarty->assign('item', $item);
$smarty->assign('search', $search);
?>