<?php

function selected()
{
	global $admMysql, $messages, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERROR','Nie posiadasz uprawnień!');

	unset($_POST['area']);
	$length = count($_POST)-1;
	if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');
	$i = 1;
	foreach ($_POST as $k => $v)
	{
		if ($k == 'selected') break;
		$elementList .= $v;
		if ($i != $length) $elementList .= ', ';
		$i++;
	}
	if ($_POST['selected'] == 'activate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows` SET `active`=1 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERROR','Okienka nie zostały aktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Okienka zostały aktywowane!','Okienka id '.$elementList.' zostały aktywowane.');
	}
	if ($_POST['selected'] == 'deactivate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows` SET `active`=0 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERROR','Okienka nie zostały deaktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Okienka zostały deaktywowane!','Okienka id '.$elementList.' zostały deaktywowane.');
	}
	if ($_POST['selected'] == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE w, wv FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."windows_views` AS wv ON wv.window=w.id
													WHERE w.id IN ($elementList)");
		foreach ($_POST as $k => $v)
		{
			if ($k == 'selected') break;
			@unlink('./upload/windows/'.$v.'.html');
		}
		if (!$query) return $messages->add('ERROR','Okienka nie zostały usunięte!',mysqli_error($admMysql));
		return $messages->add('INFO','Okienka zostały usunięte!','Okienka id '.$elementList.' zostały usunięte.');
	}
}
if ($_POST['selected']) selected();


if ($_GET['p']=='add')
{
	$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$clientsList[] = $r;
	
	$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach');
	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."windows_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;

	$notice = 1;
	$circumvent = 1;
	$powers = 1;
	$type = 0;
	$delayTime = 10;
	$model = 1;
	$dateStart = time();
	$cappingValue = 1;
	$cappingPer = 0;
	$active = 1;

	$client = (int)admFilter($_GET['c']);
	if (isset($_GET['a'])) $area = (int)admFilter($_GET['a']); else $area = 1;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'pageAddress' => $pageAddress, 'code' => $code,
								'circumvent' => $circumvent, 'delay' => $delay, 'delayTime' => $delayTime, 'attributes' => $attributes, 'model' => $model,
								'purchasedViews' => $purchasedViews, 'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays, 'views' => $views,
								'dateStart' => $dateStart, 'dateEdit' => $dateEdit, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer, 
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (isset($_GET['id']) && !isset($_POST['add']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."windows` AS b WHERE b.id=$id LIMIT 1");
		$item = mysqli_fetch_assoc($query);
		$item['notice'] = $notice;
		$item['code'] = @file_get_contents('./upload/windows/'.$id.'.html');
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function add()
{
	global $admMysql, $messages, $hideForm, $account, $item, $typeList;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERROR','Nie posiadasz uprawnień!');

	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if (($_POST['powers'] == 1 AND $client == 0) OR !empty($_POST['code'])) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$type = (int)admFilter($_POST['type']);
	$pageAddress = admFilter($_POST['pageAddress'],true);
	$code = $_POST['code'];
	if (get_magic_quotes_gpc()) $code = stripslashes($code);
	if (isset($_POST['circumvent'])) $circumvent = 1; else $circumvent = 0;
	if (isset($_POST['delay'])) $delay = 1; else $delay = 0;
	$delayTime = (int)admFilter($_POST['delayTime']);
	if (!isset($_POST['delayTime'])) $delayTime = 10;
	$attributes = admFilter($_POST['attributes']);
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$cappingValue = (int)admFilter($_POST['cappingValue']);
	$cappingPer = (int)admFilter($_POST['cappingPer']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'pageAddress' => $pageAddress, 'code' => $code,
								'circumvent' => $circumvent, 'delay' => $delay, 'delayTime' => $delayTime, 'attributes' => $attributes, 'model' => $model,
								'purchasedViews' => $purchasedViews,'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays, 'views' => $views,
								'dateStart' => $dateStart, 'dateEdit' => $dateEdit, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer,
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (empty($pageAddress) AND empty($code)) return $messages->add('ALERT','Podaj adres strony lub kod html!');
	if (!empty($pageAddress) AND !empty($code)) return $messages->add('ALERT','Wybierz adres strony lub kod html!');
	if (!empty($pageAddress) AND !admCheckWWW($_POST['pageAddress'])) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if ($delay == 1 AND $delayTime < 1) return $messages->add('ALERT','Podaj poprawny czas opóźnienia!','Czas opóźnienia nie może być mniejszy od 1 sekundy!');
	if ($model == 0 AND empty($purchasedViews)) return $messages->add('ALERT','Podaj liczbę wykupionych wyświetleń!');
	if ($model == 1 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 2 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');
	if ($cappingValue == 0) return $messages->add('ALERT','Capping nie może być mniejszy od 1!');

	$query = mysqli_query($admMysql, "INSERT INTO ".adm_dbPrefix."windows
															 (client,powers,area,type,pageAddress,circumvent,delay,delayTime,attributes,model,purchasedViews,purchasedUsers,purchasedDays,cappingValue,cappingPer,dateStart,advancedStatistics,active)
												VALUES ($client,$powers,'$area',$type,'$pageAddress',$circumvent,$delay,$delayTime,'$attributes',$model,$purchasedViews,$purchasedUsers,$purchasedDays,$cappingValue,$cappingPer,$dateStart,$advancedStatistics,$active)");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERROR','Okienko nie zostało dodane!',mysqli_error($admMysql));

	if (!empty($code))
	{
		$file = fopen('./upload/windows/'.mysqli_insert_id().'.html', "w");
		if (!$file) return $messages->add('ERROR','Nie zapisano kodu do pliku!');
		flock($file, 2);
		fwrite($file, $code);
		flock($file, 3);
		fclose($file);
	}

	$messages->add('INFO','Okienko zostało dodane!','<a href="?m=windows&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Do Państwa konta została dodana nowa kampania - wyskakujące okienko:<br />'
									.adm_path.'client.php?m=windows&p=details&id='.mysqli_insert_id().'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Dodanie nowego wyskakującego okienka', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['add'])) add();


if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT w.id, w.client, w.powers, w.area, w.type, w.pageAddress, w.circumvent, w.delay, w.delayTime, w.attributes,
												w.model, w.purchasedViews, w.purchasedUsers, w.purchasedDays, w.views, w.cappingValue, w.cappingPer, w.dateStart, w.dateEdit, w.advancedStatistics, w.active,
												c.id AS idClient, c.login AS loginClient, a.name AS nameArea
												FROM `".adm_dbPrefix."windows` AS w
												LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=w.client
												LEFT JOIN `".adm_dbPrefix."windows_areas` AS a ON a.id=w.area
												WHERE w.id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	$item['notice'] = 1;
	$item['code'] = @file_get_contents('./upload/windows/'.$id.'.html');
	if ($_GET['p']=='details') $item['code'] = htmlspecialchars($item['code'], ENT_QUOTES);
	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERROR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
	else if ($_GET['p']=='edit')
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$clientsList[] = $r;

		$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach');
		$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."windows_areas` ORDER BY `id` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$areasList[] = $r;
	}
}

if ($_GET['p']=='details-stats' AND adm_pro == true)
{
	$item['id'] = $id = (int)admFilter($_GET['id']);

	if (!isset($_GET['date']))
	{
		$statsType = 0;
		$statsViewsSum = 0;
		$range = array();
		$stats = array();

		if (isset($_POST['from']) AND isset($_POST['to']))
		{
				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date FROM `".adm_dbPrefix."windows_views` WHERE window = $id GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
					$range[$r['date']] = $r['date'];

				$item['from'] = $from = admFilter($_POST['from']);
				$item['to'] = $to = admFilter($_POST['to']);

				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, count(DISTINCT id) AS views FROM `".adm_dbPrefix."windows_views` WHERE window = $id AND DATE_FORMAT(date,'%Y-%m-%d') BETWEEN '$from' AND '$to' GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$statsViewsSum += $r['views'];
				}
		}
		else
		{
				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, count(DISTINCT id) AS views FROM `".adm_dbPrefix."windows_views` WHERE window = $id GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$range[$r['date']] = $r['date'];
					$statsViewsSum += $r['views'];
				}
				$item['from'] = reset($range);
				$item['to'] = end($range);
		}

		$smarty->assign('statsViewsSum', $statsViewsSum);
		$smarty->assign('rangeFrom', $range);
		$smarty->assign('rangeTo', $range);
	}
	else
	{
		$statsType = 1;
		$item['from'] = '00';
		$item['to'] = '24';
		$item['id'] = $id = (int)admFilter($_GET['id']);
		$item['date'] = $date = admFilter($_GET['date']);
		$hideForm = true;
		if (isset($_POST['from']) AND isset($_POST['to']))
		{
			$hideForm = false;
			$item['from'] = $from = admFilter($_POST['from']);
			$item['to'] = $to = (int)admFilter($_POST['to']);
			if ($to < $from) $messages->add('ALERT','Wartość "do" nie może być mniejsz "od"!');
			$to = $to-1;
			if ($to < 10) $to = '0'.$to;
			$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(date,'%T') AS date, INET_NTOA(ip) AS ip FROM `".adm_dbPrefix."windows_views`
														WHERE window = $id AND DATE_FORMAT(date,'%Y-%m-%d %H') BETWEEN '$date $from' AND '$date $to' ORDER BY date ASC");
			if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
			while ($r = mysqli_fetch_assoc($query))
				$stats[] = $r;
		}
		$smarty->assign('rangeFrom', array('00'=>'00','01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23'));
		$smarty->assign('rangeTo', array('01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23','24'=>'24'));
	}
}

function edit()
{
	global $admMysql, $messages, $hideForm, $account, $item, $typeList;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERROR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if (($_POST['powers'] == 1 AND $client == 0) OR !empty($_POST['code'])) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$type = (int)admFilter($_POST['type']);
	$pageAddress = admFilter($_POST['pageAddress']);
	$code = $_POST['code'];
	if (get_magic_quotes_gpc()) $code = stripslashes($code);
	if (isset($_POST['circumvent'])) $circumvent = 1; else $circumvent = 0;
	if (isset($_POST['delay'])) $delay = 1; else $delay = 0;
	$delayTime = (int)admFilter($_POST['delayTime']);
	if (!isset($_POST['delayTime'])) $delayTime = 10;
	$attributes = admFilter($_POST['attributes']);
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$cappingValue = (int)admFilter($_POST['cappingValue']);
	$cappingPer = (int)admFilter($_POST['cappingPer']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('id' => $id, 'client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'type' => $type, 'pageAddress' => $pageAddress,
								'code' => $code, 'circumvent' => $circumvent, 'delay' => $delay, 'delayTime' => $delayTime, 'attributes' => $attributes,
								'model' => $model, 'purchasedViews' => $purchasedViews,'purchasedUsers' => $purchasedUsers, 'purchasedDays' => $purchasedDays,
								'views' => $views, 'dateStart' => $dateStart, 'cappingValue' => $cappingValue, 'cappingPer' => $cappingPer, 'dateEdit' => $dateEdit,
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (empty($pageAddress) AND empty($code)) return $messages->add('ALERT','Podaj adres strony lub kod html!');
	if (!empty($pageAddress) AND !empty($code)) return $messages->add('ALERT','Wybierz adres strony lub kod html!');
	if (!empty($pageAddress) AND !admCheckWWW($_POST['pageAddress'])) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if ($delay == 1 AND $delayTime < 1) return $messages->add('ALERT','Podaj poprawny czas opóźnienia!','Czas opóźnienia nie może być mniejszy od 1 sekundy!');
	if ($model == 0 AND empty($purchasedViews)) return $messages->add('ALERT','Podaj liczbę wykupionych wyświetleń!');
	if ($model == 1 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 2 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows` SET `client`=$client, `powers`=$powers, `area`='$area', `type`=$type, `pageAddress`='$pageAddress',
												`circumvent`=$circumvent, `delay`=$delay, `delayTime`=$delayTime, `attributes`='$attributes', `model`=$model, `purchasedViews`=$purchasedViews,
												`purchasedUsers`=$purchasedUsers, `purchasedDays`=$purchasedDays, `cappingValue`=$cappingValue, `cappingPer`=$cappingPer, `dateStart`=$dateStart,
												`advancedStatistics`=$advancedStatistics, `active`=$active WHERE `id`=$id LIMIT 1");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERROR','Okienko nie zostało zmienione!',mysqli_error($admMysql));

	if (!empty($code))
	{
		$file = fopen('./upload/windows/'.$id.'.html', "w");
		if (!$file) return $messages->add('ERROR','Nie zapisano kodu do pliku!');
		flock($file, 2);
		fwrite($file, $code);
		flock($file, 3);
		fclose($file);
	}
	else
		@unlink('./upload/windows/'.$id.'.html');

	$messages->add('INFO','Okienko zostało zmienione!','<a href="?m=windows&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Państwa kampania - wyskakujące okienko - została zmieniona przez administratora:<br />'
									.adm_path.'client.php?m=windows&p=details&id='.$id.'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Edycja wyskakującego okienka', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


if ($_GET['p']=='delete')
{
	$item['id'] = (int)admFilter($_GET['id']);
}

function delete()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin'))
		return $messages->add('ERROR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE w, wv FROM `".adm_dbPrefix."windows` AS w
												LEFT JOIN `".adm_dbPrefix."windows_views` AS wv ON wv.window=w.id
												WHERE w.id=$id");
	@unlink('./upload/windows/'.$id.'.html');
	if ($query)
		$messages->add('INFO','Okienko zostało usunięte!');
	else
		$messages->add('ERROR','Okienko nie zostało usunięte!',mysqli_error($admMysql));
}
if (isset($_POST['delete'])) delete();


if ($_GET['p']=='view')
{
	$area = max((int)admFilter($_GET['a']), 0);
	if (!isset($_GET['a'])) $area = 0;

	if ($area == 0)
		$aq = 'w.area';
	else
		$aq = $area;

	$search = admFilter($_POST['search']);
	
	if (!empty($search))
	{
		$query = mysqli_query($admMysql, "SELECT w.id, w.client, w.powers, w.area, w.type, w.pageAddress,
													w.model, w.purchasedViews, w.purchasedUsers, w.purchasedDays, w.views, w.dateStart, w.dateEdit, w.advancedStatistics, w.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=client
													WHERE (w.pageAddress LIKE '%$search%') AND w.area = $aq
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$smarty->assign('pages', 1);
		$smarty->assign('startPage', 1);
		$smarty->assign('activePage', 1);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', mysqli_num_rows($query));
	}
	else
	{
		$limit = 15;
		$query = mysqli_query($admMysql, "SELECT COUNT(`id`) AS elements FROM `".adm_dbPrefix."windows` AS w WHERE w.area = $aq");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		$r = mysqli_fetch_assoc($query);
		$elements = $r['elements'];
		$pages = ceil($elements/$limit);
		$activePage = min(max((int)$_GET['s'], 1), $pages);
		$start = max(($activePage-1) * $limit, 0);

		$query = mysqli_query($admMysql, "SELECT w.id, w.client, w.powers, w.area, w.type, w.pageAddress,
													w.model, w.purchasedViews, w.purchasedUsers, w.purchasedDays, w.views, w.dateStart, w.dateEdit, w.advancedStatistics, w.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=client WHERE w.area = $aq ORDER BY `id` DESC LIMIT $start, $limit");
		if (!$query) $messages->add('ERROR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$startPage = min($pages-6, max(1, $activePage-3));
		$smarty->assign('pages', $pages);
		$smarty->assign('startPage', $startPage);
		$smarty->assign('activePage', $activePage);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', $elements);
	}

	$areasList[0] = array('id'=>0, 'name'=>'Wszystkie strefy');
	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."windows_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[$r['id']] = $r;

	if (!isset($areasList[$area]))
	{
		$messages->add('ERORR','Błąd identyfikatora strefy!','Strefa o tym ID nie istnieje!');
		$hideForm = true;
	}

	$smarty->assign('area', $area);
}


//------------------- STREFY -------------------

if ($_GET['p']=='areas-add')
{
	$area = array('id' => $id, 'name' => $name);

	if (isset($_GET['id']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."windows_areas` AS ba WHERE ba.id=$id LIMIT 1");
		$area = mysqli_fetch_assoc($query);
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function addArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$name = admFilter($_POST['name']);
	$area = array('id' => $id, 'name' => $name);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."windows_areas`
															 (name)
												VALUES ('$name')");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została dodana!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została dodana!','<a href="?m=windows&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['addArea'])) addArea();


if ($_GET['p']=='areas-edit' OR $_GET['p']=='areas-details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT *, COUNT(w.id) AS number
												FROM `".adm_dbPrefix."windows_areas` AS wa
												LEFT JOIN `".adm_dbPrefix."windows` AS w ON w.area = wa.id
												WHERE wa.id=$id GROUP BY wa.id LIMIT 1");
	$area = mysqli_fetch_assoc($query);
	$area['id'] = $id;
	if (mysqli_num_rows($query) == 0 OR !isset($area['name']))
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
}

function editArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$name = admFilter($_POST['name']);
	$area = array('id' => $id, 'name' => $name);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows_areas` SET `name`='$name' WHERE `id`=$id LIMIT 1");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została zmieniona!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została zmieniona!','<a href="?m=windows&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['editArea'])) editArea();


if ($_GET['p']=='areas-delete')
{
	$area['id'] = (int)admFilter($_GET['id']);

	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."windows_areas` WHERE `id` != ".$area['id']." ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}

function deleteArea()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin') OR $id == 1)
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."windows_areas` WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Strefa nie została usunięta!',mysqli_error($admMysql));

	$messages->add('INFO','Strefa została usunięta!');

	$whatToDo = admFilter($_POST['whatToDo']);
	if ($whatToDo == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE w, wv FROM `".adm_dbPrefix."windows` AS w
													LEFT JOIN `".adm_dbPrefix."windows_views` AS wv ON wv.window=w.id
													WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Okienka nie zostały usunięte!'.mysqli_error($admMysql));
		$messages->addDetails('Okienka zostały usunięte!');
	}
	else
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows` SET `area`=$whatToDo WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Okienka nie zostały przeniesione!'.mysqli_error($admMysql));
		$messages->addDetails(mysqli_affected_rows().' okienek zostało przeniesionych.');
	}
}
if (isset($_POST['deleteArea'])) deleteArea();


if ($_GET['p']=='areas')
{
	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."windows_areas`");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}

$smarty->assign('typeList', array('Popunder', 'Popup'));
$smarty->assign('powersList', array('Tylko przeglądanie','Przeglądanie i edycja'));
$smarty->assign('modelList', array('CPM (Cost Per Mille)','CPU (Cost Per User)','CPD (Cost Per Day)', 'ATT (All The Time)'));
$smarty->assign('cappingList', array('dziennie','tygodniowo', 'miesięcznie'));
$smarty->assign('clientsList', $clientsList);
$smarty->assign('areasList', $areasList);
$smarty->assign('stats', $stats);
$smarty->assign('statsType', $statsType);
$smarty->assign('item', $item);
$smarty->assign('area', $area);
$smarty->assign('search', $search);
?>