<?php
if (PHP_MAJOR_VERSION < 5) die('System wymaga PHP w wersji 5!');

error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
@ini_set('display_errors', 1);

session_start();

define('SMARTY_DIR', './layout/_smarty/');
require_once(SMARTY_DIR.'Smarty.class.php');
$smarty = new Smarty();
$smarty->template_dir = './layout/';
$smarty->compile_dir = './layout/_compile/';
$smarty->cache_dir = './layout/_cache/';
$smarty->caching = false;
$smarty->error_reporting = E_ALL;

$setting = @include_once('./_settings.php');
require_once('./_core.php');
require_once('./lib/account.class.php');
require_once('./lib/messages.class.php');
$messages = new messages();
$hideForm = false;

if ($_SERVER['SERVER_ADDR'] != '127.0.0.1') setlocale(LC_ALL, array('pl_PL.UTF-8', 'pl','Polish_Poland.28592'));

$system_info['php_version'] = PHP_VERSION;
$system_info['version'] = adm_version;
$system_info['timezone'] = date_default_timezone_get();
$system_info['path'] = stripslashes(@constant('adm_path'));
$system_info['relative_path'] = admRelativePath();
$system_info['beta_testy'] = adm_beta_testy;
$system_info['beta'] = adm_beta;
$system_info['pro'] = adm_pro;
$system_info['buyer_name'] = adm_buyer_name;
$system_info['buyer_email'] = adm_buyer_email;
if (!isset($_COOKIE['adm_top_info'])) $_COOKIE['adm_top_info'] = 'show';
$system_info['top_info'] = $_COOKIE['adm_top_info'];
$smarty->assign('system_info', $system_info);
if (isset($_GET['sbi'])) $sbi = 1; else $sbi = 0;
$smarty->assign('sbi', $sbi);

$text=array('skrypt rotacji banerów',
	'rotator banerów',
	'adserwer',
	'adserver',
	'ad serwer',
	'ad server',
	'skrypt reklamy',
	'system reklamy',
	'rotator reklam',
	'rotator banerów i linków',
	'skrypty php reklama',
	'baner rotator',
	'skrypt banerów',
	'skrypt linków'
);
$rand = rand(0, count($text)-1);
$smarty->assign('footerTitle', $text[$rand]);

if (!$setting) require_once('./admin-install.php'); // WYCHODZI
require_once('./_db-ac.php');
require_once('./admin-login.php'); // WYCHODZI W PEWNYCH PRZYPADKACH

$pt['settings'] = 'Ustawienia';
$pt['help'] = 'Pomoc';
$pt['accounts'] = 'Konta';
$pt['update'] = 'Aktualizacja';
$pt['uninstall'] = 'Deinstalacja';
$pt['clients'] = 'Klienci';
$pt['websites'] = 'Witryny';
$pt['baners'] = 'Banery';
$pt['links'] = 'Linki';
$pt['windows'] = 'Okienka';
$pt['view'] = 'Przeglądaj';
$pt['add'] = 'Dodaj';
$pt['areas'] = 'Strefy';
$pt['upload'] = 'Upload';
$pt['delete'] = 'Usuń';
$pt['edit'] = 'Edytuj';
$pt['mail'] = 'Wyślij wiadomość';
$pt['details'] = 'Detale';
$pt['areas-add'] = 'Strefy &rsaquo; Dodaj';
$pt['areas-edit'] = 'Strefy &rsaquo; Edytuj';
$pt['areas-delete'] = 'Strefy &rsaquo; Usuń';
$pt['areas-details'] = 'Strefy &rsaquo; Detale';
$pt['upload-add'] = 'Upload &rsaquo; Dodaj plik';
$pt['newsletter'] = 'Newsletter';
$pt['details-stats'] = 'Statystyki';
$pt['database'] = 'Baza danych';
$pt['pro'] = 'Przejdź na wersję pro';


$query = mysqli_query($admMysql, "SELECT `value` AS dbVersion FROM `".adm_dbPrefix."settings` WHERE `name` = 'dbVersion' LIMIT 1");
if ($query AND mysqli_num_rows($query) == 1)
{
	$r = mysqli_fetch_assoc($query);
	if ($r['dbVersion'] != adm_version)
	{
		$messages->add('ERORR','&nbsp; &nbsp; Wersja bazy jest inna niż wersja systemu!','Wymagana konwersja struktury bazy danych.<br />Wersja bazy: '.$r['dbVersion'].'<br />Wersja systemu: '.adm_version);
		$messages->addDetails('<a href="admin-upgrade.php">Kliknij tutaj aby wykonać konwersję</a>');
	}
}


if (file_exists('./update-info.xml') && time() < filemtime('./update-info.xml')+1209600)
	$smarty->assign('checkUpdate', 2);
else
	$smarty->assign('checkUpdate', 1);


if (isset($_GET['m']) AND isset($_GET['p']))
{
	$includePHP = 'admin-x-'.$_GET['m'];
	$includeTPL = 'admin-x-'.$_GET['m'].'-'.$_GET['p'];
	$pageTitle = 'ad_master &rsaquo; '.$pt[$_GET['m']].' &rsaquo; '.$pt[$_GET['p']];
}
else if (isset($_GET['p']))
{
	$includePHP = 'admin-'.$_GET['p'];
	$includeTPL = 'admin-'.$_GET['p'];
	$pageTitle = 'ad_master &rsaquo; '.$pt[$_GET['p']];
}
else
{
	$includePHP = 'admin-home';
	$includeTPL = 'admin-home';
	$pageTitle = 'ad_master';
}

if ($smarty->templateExists($includeTPL.'.tpl'))
{
	@include_once($includePHP.'.php');
	$smarty->assign('pageTitle', $pageTitle);
	$smarty->assign('includePage', $includeTPL.'.tpl');
}
else
{
	$smarty->assign('pageTitle', 'ad_master &rsaquo; Strona nieodnaleziona!');
}

$messages->done();
$smarty->assign('hideForm', $hideForm);
$smarty->display('admin.tpl');
?>