<?php
error_reporting(0);
@ini_set('allow_url_fopen', '1');

header("Expires: Mon, 26 Jul 1990 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if ($_GET['step'] != 2)
{
	echo '<h2>Prawa do zapisu w poszczególnych katalogach</h2>';
	echo '<ul class="list list_install"><li><label>Katalog główny</label> ';
	if (is_writable("./")) echo '<img src="layout/images/accept.png" alt="" />'; else echo '<img src="layout/images/exclamation.png" alt="" />';
	echo '</li>';

	echo '<li><label>Katalog <i>backup</i></label> ';
	if (is_writable("./backup/")) echo '<img src="layout/images/accept.png" alt="" />'; else echo '<img src="layout/images/exclamation.png" alt="" />';
	echo '</li>';

	echo '<li><label>Katalog <i>upload</i></label> ';
	if (is_writable("./upload/")) echo '<img src="layout/images/accept.png" alt="" />'; else echo '<img src="layout/images/exclamation.png" alt="" />';
	echo '</li>';

	echo '<li><label>Katalog <i>upload/windows/</i></label> ';
	if (is_writable("./upload/windows/")) echo '<img src="layout/images/accept.png" alt="" />'; else echo '<img src="layout/images/exclamation.png" alt="" />';
	echo '</li>';

	echo '<li><label>Katalog <i>layout/_compile/</i></label> ';
	if (is_writable("./layout/_compile/")) echo '<img src="layout/images/accept.png" alt="" />'; else echo '<img src="layout/images/exclamation.png" alt="" />';
	echo '</li>';	
	echo '</ul>';

	echo '<br /><h2>Serwer i funkcje</h2>';
	echo '<ul class="list list_install"><li><label>Wersja php</label> '.phpversion().'</li>';

	echo '<li><label>Moduł iconv</label> ';
	if (function_exists('iconv')) echo '<img src="layout/images/accept.png" alt="" /> On'; else echo '<img src="layout/images/exclamation.png" alt="" /> Off';
	echo '</li>';

	echo '<li><label>Moduł zip</label> ';
	if (phpversion('zip')) echo '<img src="layout/images/accept.png" alt="" /> On'; else echo '<img src="layout/images/exclamation.png" alt="" /> Off';
	echo '</li>';

	echo '<li><label>Moduł curl *</label> ';
	if (function_exists('curl_init')) echo '<img src="layout/images/accept.png" alt="" /> On'; else echo '<img src="layout/images/exclamation.png" alt="" /> Off';
	echo '</li>';

	echo '<li><label>Ustawienia php.ini - allow_url_fopen *</label> ';
	if (ini_get('allow_url_fopen')) echo '<img src="layout/images/accept.png" alt="" /> On'; else echo '<img src="layout/images/exclamation.png" alt="" /> Off';
	echo '</li>';

	echo '<li><label>Safe mode</label> ';
	if (!ini_get('safe_mode')) echo '<img src="layout/images/accept.png" alt="" /> Off'; else echo '<img src="layout/images/exclamation.png" alt="" /> On';
	echo '</li>';

	echo '<li><br />* do poprawnego działania systemu wystarczy, aby jedna z tych pozycji przeszła pozytywnie inspekcję.</li>';

	echo '</ul>';
}
else
{
	if (file_exists('./_settings.php')) die('[ { type: "error", title: "System jest już zainstalowany!", details: "" } ]');
	require_once('./_core.php');
	require_once('./lib/settings.class.php');
	if (function_exists('date_default_timezone_set')) date_default_timezone_set('Europe/Warsaw');

	admSaveCookie('adm_admin_login', 'admin', 86400*10);

	class messages
	{
		public $type,$title,$details;

		function add($type,$title,$details=null)
		{
			$this->type = $type;
			$this->title = $title;
			$this->details = $details;
		}
		function addDetails($details)
		{
			$this->details .= '<li>'.$details.'</li>';
		}
	}
	$messages = new messages();

	function creatTable($mysql, $name, $structure)
	{
		global $messages;
		$query = mysqli_query($mysql, "CREATE TABLE `".$name."` (
													".$structure."
													) ENGINE=MyISAM DEFAULT CHARSET=utf8");
		if ($query)
			$messages->addDetails('<label>Utworzenie tabeli '.$name.':</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Utworzenie tabeli '.$name.':</label> '.mysqli_error($mysql));
		return $query;
	}

	function install()
	{
		global $messages;
		$dbPrefix = admFilter($_POST['dbPrefix'], true);
		$adminEmail = admFilter($_POST['adminEmail'], true);

		if (empty($_POST['dbServer'])) return $messages->add('alert','Wypełnij pole adres!');
		if (empty($_POST['dbPort'])) return $messages->add('alert','Wypełnij pole port!');
		if (empty($_POST['dbName'])) return $messages->add('alert','Wypełnij pole nazwa!');
		if (empty($dbPrefix)) return $messages->add('alert','Wypełnij pole prefix!');
		if (empty($_POST['dbUser'])) return $messages->add('alert','Wypełnij pole użytkownik!');
		if (empty($_POST['dbPassword'])) return $messages->add('alert','Wypełnij pole hasło!');
		if (strlen($_POST['adminPassword']) < 4) return $messages->add('alert','Popraw hasło administratora!','Hasło administratora musi składać się z minimum 4 znaków!');
		if (!admCheckEmail($adminEmail)) return $messages->add('alert','Wpisz poprawny adres e-mail!');
		if (!admCheckWWW($_POST['path'])) return $messages->add('alert','Podaj poprawną ścieżkę!');

		$mysql = mysqli_connect($_POST['dbServer'].':'.$_POST['dbPort'], $_POST['dbUser'], $_POST['dbPassword'], $_POST['dbName']);

		if (!$mysql) return $messages->add('error','Nieudane połączenie z bazą danych!', 'Sprawdź konfiguracje bazy danych, zwrócony błąd:\n'.mysqli_connect_error());

		$db = mysqli_select_db($mysql, $_POST['dbName']);
		if (!$db) return $messages->add('error','Nieudane wybranie bazy danych!','Połączenie z serwerem bazy danych zostało ustanowione, lecz próba wybrania bazy danych zakończyła się niepowodzeniem. Sprawdź pole nazwa bazy danych.');

		$ss = save_settings(true);
		if ($ss == false) return $messages->add('error','Nie mogę utworzyć pliku!','Sprawdź uprawnienia katalogów i plików do zapisu!'.$ss);

		$messages->add('info','<h2> Postęp instalacji</h2>');

		mysqli_query($mysql, "SET NAMES 'utf8'");

		$query = mysqli_query($mysql, 'SELECT version() AS version');
		$result = mysqli_fetch_array($query);
		$messages->addDetails('<label>Wersja mysql:</label> '.$result['version']);

		creatTable($mysql, $dbPrefix.'accounts','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								login VARCHAR(30) UNIQUE,
								password VARCHAR(32),
								email VARCHAR(50),
								powers TINYINT(1) DEFAULT 1,
								dateRegistration INT,
								dateLogin INT');
		$query = mysqli_query($mysql, "INSERT INTO `".$dbPrefix."accounts` (login, password, email, powers, dateRegistration) VALUES ('admin','".md5($_POST['adminPassword'])."','".$adminEmail."',0,".time().")");
		if ($query)
			$messages->addDetails('<label>Utworzenie konta admin:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else 
			$messages->addDetails('<label>Utworzenie konta admin:</label> '.mysqli_error($mysql));

		creatTable($mysql, $dbPrefix.'accounts_passwords','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								account MEDIUMINT UNSIGNED UNIQUE,
								hash VARCHAR(32)');

		creatTable($mysql, $dbPrefix.'clients','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								login VARCHAR(30) UNIQUE,
								password VARCHAR(32),
								email VARCHAR(50),
								powers TINYINT(1) DEFAULT 1,
								website VARCHAR(50),
								gadu INT(15),
								phone VARCHAR(20),
								name VARCHAR(200),
								address VARCHAR(200),
								dateRegistration INT,
								dateLogin INT,
								note TEXT');

		creatTable($mysql, $dbPrefix.'clients_passwords','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								client BIGINT UNSIGNED UNIQUE,
								hash VARCHAR(32)');

		creatTable($mysql, $dbPrefix.'baners','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								client BIGINT UNSIGNED, INDEX(client),
								powers TINYINT(1) DEFAULT 0,
								area BIGINT UNSIGNED DEFAULT 1, INDEX(area),
								type TINYINT(1) DEFAULT 0,
								banerAddress VARCHAR(255),
								width SMALLINT DEFAULT 486,
								height SMALLINT DEFAULT 60,
								pageAddress VARCHAR(255),
								description VARCHAR(255),
								count TINYINT(1) DEFAULT 0,
								target TINYINT(1) DEFAULT 0,
								code TEXT,
								follow TINYINT(1) DEFAULT 0,
								model TINYINT(1) DEFAULT 0, INDEX(model),
								purchasedViews MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedUsers MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedDays MEDIUMINT UNSIGNED DEFAULT 0,
								views MEDIUMINT UNSIGNED DEFAULT 0,
								clicks MEDIUMINT UNSIGNED DEFAULT 0,
								cappingValue MEDIUMINT UNSIGNED DEFAULT 1,
								cappingPer TINYINT(1) DEFAULT 0,
								dateStart INT,
								dateEdit INT,
								advancedStatistics TINYINT(1) DEFAULT 0,
								active TINYINT(1) DEFAULT 1, INDEX(active)');

		creatTable($mysql, $dbPrefix.'baners_areas','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								name VARCHAR(255) UNIQUE,
								encoding VARCHAR(255) DEFAULT "UTF-8",
								alternativeCode TEXT,
								proportion TINYINT DEFAULT 0,
								templateArea TEXT,
								maxWidth SMALLINT DEFAULT 486,
								maxHeight SMALLINT DEFAULT 60,
								templateBaner TEXT,
								`limit` TINYINT DEFAULT 0,
								sort TINYINT DEFAULT 0');
		$query = mysqli_query($mysql, "INSERT INTO `".$dbPrefix."baners_areas` (name,templateArea,templateBaner) VALUES ('Główna','{strefa}','{baner}')");
		if ($query)
			$messages->addDetails('<label>Utworzenie głównej strefy banerów:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Utworzenie głównej strefy banerów:</label> '.mysqli_error($mysql));

		creatTable($mysql, $dbPrefix.'baners_views', 'id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								baner BIGINT UNSIGNED, INDEX(baner),
								ip INT(11) UNSIGNED NOT NULL,
								date DATETIME');

		creatTable($mysql, $dbPrefix.'baners_clicks', 'id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								baner BIGINT UNSIGNED, INDEX(baner),
								ip INT(11) UNSIGNED NOT NULL,
								date DATETIME');

		creatTable($mysql, $dbPrefix.'links','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								client BIGINT UNSIGNED, INDEX(client),
								powers TINYINT(1) DEFAULT 0,
								area BIGINT UNSIGNED DEFAULT 1, INDEX(area),
								pageAddress VARCHAR(255),
								content VARCHAR(255),
								description VARCHAR(255),
								attributes VARCHAR(255),
								count TINYINT(1) DEFAULT 1,
								target TINYINT(1) DEFAULT 0,
								nofollow TINYINT(1) DEFAULT 0,
								position TINYINT DEFAULT 0,
								model TINYINT(1) DEFAULT 0, INDEX(model),
								purchasedViews MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedUsers MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedDays MEDIUMINT UNSIGNED DEFAULT 0,
								clicks MEDIUMINT UNSIGNED DEFAULT 0,
								dateStart INT,
								dateEdit INT,
								advancedStatistics TINYINT(1) DEFAULT 0,
								active TINYINT(1) DEFAULT 1, INDEX(active)');

		creatTable($mysql, $dbPrefix.'links_areas','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								name VARCHAR(255) UNIQUE,
								encoding VARCHAR(255) DEFAULT "UTF-8",
								alternativeCode TEXT,
								proportion TINYINT DEFAULT 0,
								templateArea TEXT,
								maxCharacters TINYINT DEFAULT 25,
								class VARCHAR(255),
								templateLink TEXT,
								`limit` TINYINT DEFAULT 0,
								sort TINYINT DEFAULT 0');
	
		$query = mysqli_query($mysql, "INSERT INTO `".$dbPrefix."links_areas` (name,templateArea,templateLink) VALUES ('Główna','{strefa}','{link} ')");
		if ($query)
			$messages->addDetails('<label>Utworzenie głównej strefy linków:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Utworzenie głównej strefy linków:</label> '.mysqli_error($mysql));

		creatTable($mysql, $dbPrefix.'links_clicks', 'id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								link BIGINT UNSIGNED, INDEX(link),
								ip INT(11) UNSIGNED NOT NULL,
								date DATETIME');

		creatTable($mysql, $dbPrefix.'windows','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								client BIGINT UNSIGNED, INDEX(client),
								powers TINYINT(1) DEFAULT 0,
								area BIGINT UNSIGNED DEFAULT 1, INDEX(area),
								type TINYINT(1),
								pageAddress VARCHAR(255),
								circumvent TINYINT(1),
								delay TINYINT(1),
								delayTime TINYINT(4) DEFAULT 10,
								attributes VARCHAR(255),
								model TINYINT(1) DEFAULT 1, INDEX(model),
								purchasedViews MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedUsers MEDIUMINT UNSIGNED DEFAULT 0,
								purchasedDays MEDIUMINT UNSIGNED DEFAULT 0,
								views MEDIUMINT UNSIGNED DEFAULT 0,
								cappingValue MEDIUMINT UNSIGNED DEFAULT 1,
								cappingPer TINYINT(1) DEFAULT 0,
								dateStart INT,
								dateEdit INT,
								advancedStatistics TINYINT(1) DEFAULT 0,
								active TINYINT(1) DEFAULT 1, INDEX(active)');

		creatTable($mysql, $dbPrefix.'windows_areas','id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								name VARCHAR(255) UNIQUE');
		$query = mysqli_query($mysql, "INSERT INTO `".$dbPrefix."windows_areas` (name) VALUES ('Główna')");
		if ($query)
			$messages->addDetails('<label>Utworzenie głównej strefy okienek:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Utworzenie głównej strefy okienek:</label> '.mysqli_error($mysql));

		creatTable($mysql, $dbPrefix.'windows_views', 'id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
								window BIGINT UNSIGNED, INDEX(window),
								ip INT(11) UNSIGNED NOT NULL,
								date DATETIME');


		creatTable($mysql, $dbPrefix.'settings','id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, name VARCHAR(255) UNIQUE, value VARCHAR(255)');
		$query = mysqli_query($mysql, "INSERT INTO `".$dbPrefix."settings` (name,value) VALUES ('dbVersion','".adm_version."')");
		if ($query)
			$messages->addDetails('<label>Zapisanie ustawień do bazy:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Zapisanie ustawień do bazy:</label> '.mysqli_error($mysql));


		$rename = rename("./_tmp_settings.php", "./_settings.php");
		if ($rename)
			$messages->addDetails('<label>Zapisanie ustawień do pliku:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Zapisanie ustawień do pliku:</label> niepowodzenie!');

		if (adm_pro == true) $vpro = 'pro';
		$url = 'http://jinteractive.pl/sc/x-register-3.php?id='.@constant('adm_buyer_id').'&s='.adm_buyer_serial.'&e='.@constant('adm_buyer_email').'&v='.adm_version.$vpro.'&sn='.$_SERVER['SERVER_NAME'].'&uri='.$_SERVER['REQUEST_URI'].'&ip='.$_SERVER['REMOTE_ADDR'].'&hash='.adm_hash;
		$file_zip = @file_get_contents($url);
		if (!$file_zip)
		{
			$c = @curl_init();
			@curl_setopt($c, CURLOPT_URL, $url);
			@curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
			@curl_exec($c);
			@curl_close($c);
		}

		$mailContent = 'System ad_master został zainstalowany na na serwerze:<br />'.'http://'.$_SERVER['SERVER_NAME'].'<br /><b>Dane dostępu do panelu administracyjnego:</b><br />Login: admin<br />Hasło: '.$_POST['adminPassword'];
		$mail = admSendEmail($_POST['adminEmail'], $_POST['adminEmail'], $_POST['adminEmail'], 'Instalacja systemu ad_master', $mailContent, 1);

		if ($mail === true)
			$messages->addDetails('<label>Wysłanie wiadomości e-mail:</label> <img src=\"layout/images/accept.png\" alt=\"\" />');
		else
			$messages->addDetails('<label>Wysłanie wiadomości e-mail:</label> '.$mail);
	}
	install();

	echo '[ { type: "'.$messages->type.'", title: "'.$messages->title.'", details: "<ul class=\"list list_install\">'.$messages->details.'</ul>" } ]';
}
?>