<?php

if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT l.id, l.client, l.powers, l.area, l.pageAddress, l.content, l.description, l.attributes, l.target, l.count, l.nofollow,
												l.model, l.purchasedUsers, l.purchasedDays, l.clicks, l.dateStart, l.dateEdit, l.advancedStatistics, l.active,
												c.id AS idClient, c.powers AS powersClient, a.name AS nameArea
												FROM `".adm_dbPrefix."links` AS l
												LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=client
												LEFT JOIN `".adm_dbPrefix."links_areas` AS a ON a.id=area
												WHERE l.id=$id AND l.client = ".(int)$account->id." LIMIT 1");
	$item = mysqli_fetch_assoc($query);

	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($mysql));
		$hideForm = true;
	}
	else if ($_GET['p']=='details' AND adm_pro == true)
	{
		$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, count(id) AS clicks FROM `".adm_dbPrefix."links_clicks` WHERE link = $id GROUP BY DATE(date)");
		while ($r = mysqli_fetch_assoc($query))
			$stats[] = $r;
	}
}

function edit()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if ($item['powers'] != 1 OR $item['powersClient'] == 4)
	{
		$messages->add('ERORR','Nie posiadasz uprawnień!');
		return false;
	}

	$id = (int)admFilter($_GET['id']);
	$pageAddress = admFilter($_POST['pageAddress']);
	$content = admFilter($_POST['content']);
	$description = admFilter($_POST['description']);
	$dateEdit = mktime();
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('id' => $id, 'pageAddress' => $pageAddress, 'content' => $content, 'description' => $description, 'dateEdit' => $dateEdit,
								'active' => $active);

	if (!admCheckWWW($pageAddress) AND $flash != 1) return $messages->add('ALERT','Podaj poprawny adres strony!');

	if (empty($content)) return $messages->add('ALERT','Podaj treść odnośnika!');

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links` SET `pageAddress`='$pageAddress', `content`='$content', `description`='$description',
												`dateEdit`='$dateEdit', `active`='$active'
												WHERE `id`=$id AND `powers`=1 AND client=".(int)$account->id." LIMIT 1");

	if (!$query) return $messages->add('ERORR','Link nie został zmieniony!',mysqli_error($mysql));

	$messages->add('INFO','Link został zmieniony!','<a href="client.php">Przejdź dalej</a>');

	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


$smarty->assign('proportionsList', array(0=>'0%',1=>'10%',2=>'20%',3=>'30%',4=>'40%',5=>'50%',6=>'60%',7=>'70%',8=>'80%',9=>'90%',10=>'100%'));
$smarty->assign('powersList', array('Tylko przeglądanie','Przeglądanie i edycja'));
$smarty->assign('targetList', array('_blank','_self','_parent','_top'));
$smarty->assign('countList', array('Bezwzględnie (link pośredni)','Metodą JavaScript (link bezpośredni)','Nie zliczaj (link bezpośredni)'));
$smarty->assign('modelList', array('CPU (Cost Per User)','CPD (Cost Per Day)', 'ATT (All The Time)'));
$smarty->assign('stats', $stats);
$smarty->assign('item', $item);
?>