{if $hideForm == false}
<div class="box w700">
	<h1>Baza danych</h1>
	{if $sumDataFree > 0}<p class="info_small">Niektóre tabele w bazie danych wymagają optymalizacji.</p>{/if}
	<form method="post" action="" id="form_list">
		<table class="list">
			<tr>
				<th class="th_nbg"></th>
				<th>Tabela</th>
				<th>Rekordy</th>
				<th>Rozmiar</th>
				<th>Nadmiar</th>
			</tr>
			{foreach from=$itemsList item=item name=i}
			<tr>
				<td><input name="e{$smarty.foreach.i.iteration}" id="e{$smarty.foreach.i.iteration}" value="{$item.Name}" type="checkbox" /></td>
				<td>{$item.Name}</td>
				<td>{$item.Rows}</td>
				<td>{($item.Data_length+$item.Index_length)|bytes}</td>
				<td>{if $item.Data_free > 0}{$item.Data_free|bytes}{else}-{/if}</td>
			</tr>
			{/foreach}
			<tr class="sum">
				<td></td>
				<td>Suma:</td>
				<td>{$sumRows}</td>
				<td>{$sumData|bytes}</td>
				<td>{if $sumDataFree > 0}{$sumDataFree|bytes}{else}-{/if}</td>
			</tr>
		</table>
		<div class="list_action">
			<div class="action">
				<input type="button" id="check_all" value="Zaznacz wszystkie" />
				<input type="button" id="uncheck_all" value="Odznacz wszystkie" />
				<input type="submit" name="optimize" value="Optymalizuj zaznaczone" />
			</div>
		</div>
		<p style="margin:15px 0px 0px 0px;">&nbsp;</p>
		<p class="info_small">Wszystkie wykonywane kopie zapasowe bazy danych są dodatkowo zapisywane na serwerze w katalogu backup. Katalog ten został zabezpieczony przed niepowołanym odczytem za pomocą pliku .htaccess</p>
		<div class="buttons" style="margin-top: 15px;">
			<a href="admin-database-backup.php" class="backup">Wykonaj backup bazy</a>
		</div>
	</form>
	<div class="clear_both"></div>
</div>
<script type="text/javascript">
database.prepare_list();
</script>
{/if}