{if $hideForm == false}
<div class="box w700">
	<h1>Ustawienia</h1>
	<form method="post" action="?p=settings">
		<h2>Baza danych</h2>
		<ul>
			<li><label>Adres:</label><input type="text" name="dbServer" size="40" value="{$dbServer}" /><br />Adres do bazy danych, najczęściej jest to localhost.</li>
			<li><label>Port:</label><input type="text" name="dbPort" size="5" value="{$dbPort}" /><br />Jeśli twoja baza działa na innym porcie możesz go tu zdefiniować, domyślny port to 3306.</li>
			<li><label>Nazwa:</label><input type="text" name="dbName" size="20" value="{$dbName}" /></li>
			<li><label>Prefix:</label><input type="text" name="dbPrefix" size="20" value="{$dbPrefix}" /></li>
			<li><label>Użytkownik:</label><input type="text" name="dbUser" size="20" value="{$dbUser}" /><br />Nazwa użytkownika, który posiada uprawnienia dostępu do bazy danych.</li>
			<li><label>Hasło:</label><input type="password" name="dbPassword" size="20" value="" /><br />Hasło do bazy danych odpowiadające danemu użytkownikowi. Dla bezpieczeństwa pole z hasłem jest puste po mimo, że może być już ustawione jakieś hasło. Niewypełnienie tego pola oznacza, że zostanie zachowane dotychczasowe hasło.</li> 
		</ul>
		<h2>Ogólne</h2>
		<ul>
			<li><label>Ukryj reklamy przed adminem:</label><input name="adminHideAds" type="checkbox"{if isset($adminHideAds)} checked="checked"{/if} /></li> 
			<li><label>Ścieżka do skryptu:</label><input type="text" name="path" size="40" value="{$path}" /></li>
			<li>
				<label>Ogłoszenie dla administratorów:</label>
				<textarea name="adminNotice" cols="0" rows="4">{$adminNotice}</textarea><br />
				Dozwolone tagi html: &lt;p&gt; &lt;a&gt; &lt;b&gt; &lt;u&gt; &lt;i&gt; &lt;br&gt;
			</li>
			<li>
				<label>Ogłoszenie dla klientów:</label>
				<textarea name="notice" cols="0" rows="4">{$notice}</textarea><br />
				Dozwolone tagi html: &lt;p&gt; &lt;a&gt; &lt;b&gt; &lt;u&gt; &lt;i&gt; &lt;br&gt;
			</li>
		</ul>
		<h2>Wysyłanie wiadomości e-mail za pomocą lokalnej funkcji mail() lub zewnętrznego serwera SMTP</h2>
		<ul>
			<li><label>Sposób wysyłania:</label>{html_options name=mailMethod id=mailMethod options=$mailOptions selected=$mailSelect}</li>
			<li>
				<label>Adres e-mail:</label><input type="text" name="adminEmail" size="40" value="{$adminEmail}" />
				<br />Kontaktowy adres e-mail do administratora. Będzie widoczny jako nadawca we wszystkich wiadomościach wysyłanych za pomocą systemu.
			</li> 
			<li id="mail1"><label>Host:</label><input type="text" name="smtpHost" size="40" value="{$smtpHost}" /></li>
			<li id="mail2"><label>Port:</label><input type="text" name="smtpPort" size="5" value="{$smtpPort}" /> Domyślny: 25</li>
			<li id="mail3"><label>Wymaga uwierzytelnienia:</label><input name="smtpAuth" type="checkbox"{if $smtpAuth == true} checked="checked"{/if} /></li>
			<li id="mail4"><label>Użytkownik:</label><input type="text" name="smtpUsername" size="20" value="{$smtpUsername}" /></li> 
			<li id="mail5">
				<label>Hasło:</label><input type="password" name="smtpPassword" size="20" value="" /><br />
				Dla bezpieczeństwa pole z hasłem jest puste po mimo, że może być już ustawione jakieś hasło.
				Niewypełnienie tego pola oznacza, że zostanie zachowane dotychczasowe hasło.
			</li>
			<li id="mail6"><label>Połączenie szyfrowane:</label>{html_options name=smtpSecure options=$secureOptions selected=$secureSelect}</li>
		</ul>

		<h2>Zmiana wyglądu - tylko panel klienta</h2>
		{if $system_info.pro == false}<p class="info_small" style="width: 150px;">Opcje dostępne w wersji pro</p>{/if}
		<ul>
			<li><label>Adres do nowego loga:</label><input type="text" name="styleClientLogo" size="60" value="{$styleClientLogo}" {if $system_info.pro == false}disabled="disabled"{/if} /></li>
			<li><label>Adres do arkusza css:</label><input type="text" name="styleClientCSS" size="60" value="{$styleClientCSS}" {if $system_info.pro == false}disabled="disabled"{/if} /></li>
		</ul>
		
		<div class="form_action1"><input type="submit" name="settingSave" value="Zapisz" /></div>
	</form>
</div>

<script type="text/javascript">
settings.prepare();
</script>
{/if}