<div class="box">
	<h1 class="s">
		Klienci {if $search}(wyszukiwanie frazy: {$search}){/if} {if $pages > 1}(strona {$activePage} z {$pages}){/if}
		<form method="post" action="" class="search">
			<input type="text" class="text" name="search" id="search" value="{$search}" placeholder="Szukaj"></input>
			<input type="image" class="image" src="layout/images/search.png" title="Szukaj" alt="Szukaj"></input>
		</form>
	</h1>
	{if $itemsList AND $itemsList|@count > 0}
	<form method="post" action="" id="form_list">
		<table class="list dbl_click">
			<tr>
				<th class="th_nbg"></th>
				<th>ID</th>
				<th>Login</th>
				<th>E-mail</th>
				<th>Gadu</th>
				<th>Nazwa</th>
				<th>Data rejestracji</th>
				<th>Data logowania</th>
				<th style="min-width:75px;width:75px;">Akcja</th>
			</tr>
			{foreach from=$itemsList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=clients&amp;p=details&amp;id={$item.id}';" {if $item.powers == 4} class="inactive"{/if}>
				<td><input ondblclick="event.cancelBubble=true;" name="e{$smarty.foreach.i.iteration}" id="e{$smarty.foreach.i.iteration}" value="{$item.id}" type="checkbox" /></td>
				<td><a href="?m=clients&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td><a href="?m=clients&amp;p=details&amp;id={$item.id}" title="{$item.login}">{$item.login|truncate:40}</a></td>
				<td><a href="mailto:{$item.email}" title="{$item.email}">{$item.email|truncate:40}</a></td>
				<td>{if $item.gadu}<a href="gg:{$item.gadu}">{$item.gadu}</a>{else}-{/if}</td>
				<td title="{$item.name}">{$item.name|truncate:40|default:'-'}</td>
				<td title="{$item.dateRegistration|date_format:"%A, %e %B, %Y"}">{$item.dateRegistration|date_format:"%T %d.%m.%Y"}</td>
				<td title="{$item.dateLogin|date_format:"%A, %e %B, %Y"}">{$item.dateLogin|date_format:"%T %d.%m.%Y"|default:'-'}</td>
				<td>
					<a href="?m=clients&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=clients&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=clients&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
					<a href="?m=clients&amp;p=mail&amp;id={$item.id}" title="Wyślij wiadomość"><img src="layout/images/a_mail.png" alt="Wyślij wiadomość" height="16px" width="16px" /></a>
				</td>
			</tr>
			{/foreach}
		</table>
		<div class="list_action">
			<div class="action">
				<input type="button" id="check_all" value="Zaznacz wszystkie" />
				<input type="button" id="uncheck_all" value="Odznacz wszystkie" />
				Zaznaczone:
				<select name="selected">
					<option value="unlock">Odblokuj</option>
					<option value="block">Zablokuj</option>
					<option value="delete">Usuń</option>
				</select>
				<input type="submit" value=" OK " />
			</div>
		</div>
	</form>
	<script type="text/javascript">
		clients.prepare_list();
	</script>
	{else}
		Brak klientów.
	{/if}
	<div class="buttons">
		<a href="?m=clients&amp;p=add" class="add">Dodaj nowego klienta</a>
		{if $itemsList AND $itemsList|@count > 0}<a href="?m=clients&amp;p=newsletter" class="newsletter">Wyślij newsletter</a>{/if}
		<div class="button">Liczba klientów: {$elements}</div>
		{if $pages > 10}
		<div class="pages">
			<a href="{if $activePage != 1}admin.php?m=clients&amp;p=view&amp;s=1{else}javascript:alert('To jest już pierwsza strona!');{/if}" title="Pierwsza strona">&lt;&lt;</a>
			<a href="{if $activePage != 1}admin.php?m=clients&amp;p=view&amp;s={$activePage-1}{else}javascript:alert('To jest już pierwsza strona!');{/if}" title="Poprzednia strona">&lt;</a>
			{section name=page loop=$pages+1 start=$startPage max=7 step=1}
			<a href="admin.php?m=clients&amp;p=view&amp;s={$smarty.section.page.index}" title="Strona {$smarty.section.page.index} z {$pages}"{if $smarty.section.page.index == $activePage} class="active"{/if}>{$smarty.section.page.index}</a>
			{/section}
			<a href="{if $activePage != $pages}admin.php?m=clients&amp;p=view&amp;s={$activePage+1}{else}javascript:alert('To jest już statnia strona');{/if}" title="Następna strona">&gt;</a>
			<a href="{if $activePage != $pages}admin.php?m=clients&amp;p=view&amp;s={$pages}{else}javascript:alert('To jest już statnia strona');{/if}" title="Ostatnia strona">&gt;&gt;</a>
		</div>
		{elseif $pages > 1}
		<div class="pages">
			{section name=page loop=$pages+1 start=1 step=1}
			<a href="admin.php?m=clients&amp;p=view&amp;s={$smarty.section.page.index}" title="Strona {$smarty.section.page.index} z {$pages}"{if $smarty.section.page.index == $activePage} class="active"{/if}>{$smarty.section.page.index}</a>
			{/section}
		</div>
		{/if}
	</div>
	<div class="clear_both"></div>
</div>