{if $hideForm == false}

<div class="box w300 popup" id="generator">
	<h1><img src="layout/images/f_generate.png" alt="" /> Generator atrybutów css</h1>
	<ul class="list lgen">
		<li><label style="text-decoration: underline;">Podkreślenie:</label><input id="underline" type="checkbox" /></li>
		<li><label style="text-decoration: line-through;">Przekreślenie:</label><input id="line-through" type="checkbox" /></li>
		<li><label style="text-decoration: overline;">Nadkreślenie:</label><input id="overline" type="checkbox" /></li>
		<li><label style="text-decoration: blink;">Migotanie:</label><input id="blink" type="checkbox" /></li>
		<li><label style="font-weight: bold;">Pogrubienie:</label><input id="bold" type="checkbox" /></li>
		<li><label style="font-style: italic;">Pochylenie:</label><input id="italic" type="checkbox" /></li>
		<li>
			<label style="font-weight: bold;">
				<span style="color:red;">K</span><span style="color:green;">o</span><span style="color:pink;">l</span><span style="color:blue;">o</span><span style="color:orange;">r</span><span style="color:red;">:</span>
			</label>
			<input size="9" id="color" type="text" maxlength="255" />
		</li>
	</ul>
	<div class="form_action2"><input type="button" id="generator_ok" value="OK" /><input type="button" id="generator_cancel" value="Anuluj" /></div>
</div>

<div class="box w500">
	<h1>Dodaj link tekstowy</h1>
	<form method="post" action="">
		<ul>
			<li><label>Klient:</label>
				<select name="client" id="client">
				<option value="0">-</option>
				{foreach from=$clientsList item=c}
					<option value="{$c.id}"{if $c.id == $item.client} selected="selected"{/if}>{$c.login}</option>
				{/foreach}
				</select>
				<a href="#" id="client_details" title="Zobacz detale klienta"><img src="layout/images/f_vcard.png" alt="" /></a>
			</li>
			<li><label>Uprawnienia:</label>{html_options name=powers id=powers options=$powersList selected=$item.powers}</li>
			<li class="sep"><label>Wyślij powiadomienie:</label><input name="notice" id="notice" type="checkbox"{if $item.notice == 1} checked="checked"{/if} /></li>

			<li class="sep"><label>Strefa:</label>
				<select name="area" id="area">
				{foreach from=$areasList item=a}
					<option value="{$a.id}"{if $a.id == $item.area} selected="selected"{/if}>{$a.name}</option>
				{/foreach}
				</select>
				<a href="#" id="area_details" title="Zobacz detale strefy"><img src="layout/images/zone.png" alt="" /></a>
			</li>
			<li>
				<label>Adres strony:</label><input name="pageAddress" id="page_address" type="text" size="34" value="{$item.pageAddress}" />
				<a href="#" id="go" title="Przejdź"><img src="layout/images/f_go.png" alt="" /></a>
			</li>
			<li><label>Treść odnośnika:</label><input name="content" id="content" type="text" size="34" value="{$item.content}" /> <span id="characters"></span></li>
			<li><label>Opis (title):</label><input name="description" type="text" size="34" value="{$item.description}" /></li>
			<li>
				<label>Atrybuty css:</label><input name="attributes" id="attributes" type="text" size="34" value="{$item.attributes}" readonly="readonly" />
				<a href="#" id="delete" title="Usuń atrybuty"><img src="layout/images/f_delete.png" alt="" /></a>
				<a href="#" id="generate" title="Generuj atrybuty"><img src="layout/images/f_generate.png" alt="" /></a>
			</li>
			<li><label>Zliczaj kliknięcia:</label>{html_options name=count id=count options=$countList selected=$item.count}</li>
			<li><label>Cel:</label>{html_options name=target id=target options=$targetList selected=$item.target}</li>
			<li class="sep"><label>Dodaj tag <i>rel="nofollow"</i>:</label><input name="nofollow" type="checkbox"{if $item.nofollow == 1} checked="checked"{/if} /></li>

			<li><label>Model emisyjny:</label>{html_options name=model id=model options=$modelList selected=$item.model}</li>
			<li id="model0"><label>Wykupiono użytkowników:</label><input name="purchasedUsers" type="text" size="12" value="{$item.purchasedUsers}" /></li>
			<li id="model1"><label>Wykupiono dni:</label><input name="purchasedDays" type="text" size="12" value="{$item.purchasedDays}" /></li>

			<li>
				<label>Godzina i data startu:</label>
				<input type="text" name="dsH" id="dsH" size="1" maxlength="2" value="{$item.dateStart|date_format:'%H'}" />:<input type="text" name="dsMi" id="dsMi" size="1" maxlength="2" value="{$item.dateStart|date_format:'%M'}" />:<input type="text" name="dsS" id="dsS" size="1" maxlength="2" value="{$item.dateStart|date_format:'%S'}" />
				&nbsp;
				<input type="text" name="dsD" id="dsD" size="1" maxlength="2" value="{$item.dateStart|date_format:'%d'}" />.<input type="text" name="dsM" id="dsM" size="1"  maxlength="2" value="{$item.dateStart|date_format:'%m'}" />.<input type="text" name="dsY" id="dsY" size="4" maxlength="4" value="{$item.dateStart|date_format:'%Y'}" />
				<a href="#" id="date" title="Wstaw aktualną godzinę i datę"><img src="layout/images/f_clock.png" alt="" /></a>
			</li>
			<li><label>Zaawansowane statystyki:</label>{if $system_info.pro}<input name="advancedStatistics" type="checkbox"{if $item.advancedStatistics == 1} checked="checked"{/if} />{else}Opcja dostępna w wersji pro{/if}</li>
			<li><label>Aktywny:</label><input name="active" type="checkbox"{if $item.active == 1} checked="checked"{/if} /></li>
		</ul>
		<div class="form_action2"><input type="submit" name="add" value="Dodaj" /><input type="button" value="Anuluj" onclick="Cancel();" /></div>
	</form>
</div>

<script type="text/javascript">
var max_characters = new Array({foreach from=$areasList item=a name=areas}'{$a.maxCharacters}'{if $smarty.foreach.areas.last == false},{/if}{/foreach});
links.prepare_form();
</script>

{/if}