{if $hideForm == false}
<div class="box w500">
	<h1>Strefa okienek id {$area.id}</h1>
	<ul class="list">
		<li><label>Nazwa:</label>{$area.name}</li>
		<li><label>Okienek w tej strefie:</label><a href="?m=windows&amp;p=view&amp;a={$area.id}" title="Zobacz okienka w tej strefie">{$area.number}</a></li>
	</ul>
	<div class="buttons">
		<a href="?m=windows&amp;p=areas-edit&amp;id={$area.id}" class="edit">Edytuj</a>
		{if $area.id != 1}<a href="?m=windows&amp;p=areas-delete&amp;id={$area.id}" class="delete">Usuń</a>{/if}
		<a href="?m=windows&amp;p=areas-add&amp;id={$area.id}" class="add">Duplikuj</a>
		<a href="?m=windows&amp;p=areas" class="list">Lista stref okienek</a>
	</div>
	<div class="clear_both"></div>
</div>

<div class="box w500">
	<h1>Integracja systemu ze stroną</h1>
	Aby reklamy z tej strefy były wyświetlane na stronie należy wstawić w dowolną część sekcji head jeden z trzech wymienionych kodów.
	<br />
	W przypadku metod PHP, ścieżka do pliku show-windows.php może się różnić w zależności od położenie zainstalowanego systemu a strony na której będą wyświetlane reklamy. 
	<br /><br />
	PHP, podaj względną ścieżkę do pliku, przykład:
	<p class="code">
		&lt;?php<br />
			&nbsp; $admAreaId = {$area.id};<br />
			&nbsp; include('.{$system_info.relative_path}show-windows.php');<br />
		?&gt;
	</p>
	PHP dla szablonów Smarty, podaj względną ścieżkę do pliku, przykład:
	<p class="code">
		{ldelim}php{rdelim}<br />
			&nbsp; $admAreaId = {$area.id};<br />
			&nbsp; include('.{$system_info.relative_path}show-windows.php');<br />
		{ldelim}/php{rdelim}
	</p>
	JavaScript:
	<p class="code">
		<br />
		&lt;script type="text/javascript" src="{$system_info.path}show-windows.php?admJS&amp;admAreaId={$area.id}"&gt;&lt;/script&gt;<br />
		<br />
	</p>
</li>
</div>
{/if}