<div class="box w700">
	<h1>Pomoc</h1>
	<h2>W jaki sposób system rozpoznaje użytkowników?</h2>
	System do rozpoznawania użytkowników używa mechanizmu cookie.
	Każde kliknięcie - w baner lub link - jest zliczane raz na jednego unikalnego użytkownika w ciągu 24 godzin.
	W przypadku wyskakujących okienek jedna odsłona tej reklamy jest traktowana jako unikalne skierowanie jednego użytkownika.
	Jeśli przeglądarka nie akceptuję cookie unikalne kliknięcia czy skierowania użytkowników nie są zliczane.

	<h2>Co to są modele emisyjne i czym się różnią?</h2>
	Model emisyjny zakłada w jaki sposób będzie następowało rozliczenie za emisję reklamy. 
	<ul>
		<li>CPM (Cost Per Mille) - koszt za tysiąc, w tym modelu podstawą rozliczenia jest 1000 odsłon danej formy reklamowej.</li>
		<li>
			CPU (Cost Per User) - koszt na użytkownika, ten model określa zrealizowanie konkretnej liczby skierowań unikalnych użytkowników
			poprzez kliknięć w kreację reklamową, która zaprzestanie być wyświetlana w chwili osiągnięcia zamierzonych skierowań.
		</li>
		<li>CPD (Cost Per Day) lub FF (Flat Fee) - koszt na dzień, opłata za z góry określony czas emisji reklamy.</li>
		<li>ATT (All The Time) - wykorzystując ten model reklama będzie wyświetlana nieprzerwanie od daty startu kampanii</li>
	</ul>
	<h2>Jak działa baner pływający?</h2>
	Baner pływający będzie podążał wraz z tym jak użytkownik przewija stronę w dół lub górę. Wówczas baner jest bardziej widoczny a co za tym idzie współczynnik CTR się zwiększa.
	Użytkownik może zamknąć reklamę klikając w czerwony krzyżyk - wówczas baner powróci na swoją pierwotną pozycję. Opcja działa przy włączonej obsłudze JavaScript.

	{if $system_info.pro}
	<h2>Co to jest omijanie popublokerów?</h2>
	Dzięki tej opcji popup lub popunder zostanie otwarty bez zgodny użytkownika mimo aktywnych funkcji, które blokują wyskakujące okienka.
	Przeglądarki na których przetestowano tę opcję i stwierdzono skuteczność przy standardowych ustawieniach:
	<ul>
		<li>Internet Explorer 9 i starsze</li>
		<li>Mozilla Firefox 14 i starsze</li>
		<li>Google Chrome 20 i starsze</li>
		<li>Opera 12 i starsze</li>
		<li>Safari 5.1 i starsze</li>
	</ul>
	{/if}

	<h2>Co to jest opóźnienie zliczenia odsłony?</h2>
	Dzięki tej funkcji można określić po jakim czasie(liczonym w sekundach) od otworzenia okienka zostanie zliczona unikalna odsłona dla danej reklamy.

	<h2>Co to jest capping?</h2>
	Capping to ograniczenie liczby emisji reklamy na jednego użytkownika w określonym czasie - na 24 godziny, 7 dni lub 30 dni.

	<h2>Kiedy użytkownik nie zobaczy wyskakującego okienka?</h2>
	Istnieje kilka przyczyn:
	<ul>
		<li>Jego przeglądarka nie akceptuje cookie albo ma wyłączoną obsługę języka JavaScript.</li>
		<li>Funkcje blokowania wyskakujących okienek została przestawiona na wyższy stopień zabezpieczeń niż standardowy lub zastosowano inne, skuteczniejsze zabezpieczenia niż te wbudowane w przeglądarkę internetową.</li>
		<li>Użytkownikowi została wyemitowana maksymalna liczba emisji danej reklamy przewidzianej zgodnie z konfiguracją caaping.</li>
	</ul>

	<h2>W jaki sposób klient może zmienić adres e-mail lub usunąć konto?</h2>
	W tym celu należy się skontaktować z administratorem.

</div>