{if $hideForm == false}
<div class="box w500">
	<h1>Baner id {$item.id}</h1>
	<ul class="list">
		<li><label>Typ banera:</label>{$typeList[$item.type]}</li>
	{if $item.type == 0}
		<li><label>Adres banera:</label><a href="{$item.banerAddress}" target="_blank" class="preview" onmouseover="banerPreview(this,{$item.type},{$item.width},{$item.height})" onmouseout="banerPreviewStop(this)">{$item.banerAddress}<span></span></a></li>
		<li><label>Wymiary banera:</label>{$item.width}x{$item.height}px</li>
		<li><label>Adres strony docelowej:</label>{if $item.pageAddress}<a href="{$item.pageAddress}" target="_blank">{$item.pageAddress}</a>{else}-{/if}</li>
		<li><label>Opis (alt, title):</label>{$item.description|default:'-'}</li>
		<li><label>Zliczaj kliknięcia:</label>{$countList[$item.count]}</li>
		<li><label>Cel:</label>{if $item.count != 1}{$targetList[$item.target]}{else}-{/if}</li>
	{elseif $item.type == 1}
		<li><label>Adres banera:</label><a href="{$item.banerAddress}" target="_blank" class="preview" onmouseover="banerPreview(this,{$item.type},{$item.width},{$item.height})" onmouseout="banerPreviewStop(this)">{$item.banerAddress}<span></span></a></li>
		<li><label>Wymiary banera:</label>{$item.width}x{$item.height}px</li>
		<li><label>Adres strony docelowej:</label>{if $item.pageAddress}<a href="{$item.pageAddress}" target="_blank">{$item.pageAddress}</a>{else}-{/if}</li>
	{else}
		<li><label>Kod reklamy:</label>{$item.code|code}</li>
		<li><label>Wymiary banera:</label>{$item.width}x{$item.height}px</li>
	{/if}
		<li><label>Pływający:</label>{if $item.follow == 1}Tak{else}Nie{/if}</li>
		<li><label>Model emisyjny:</label>{$modelList[$item.model]}</li>
	{if $item.model == 0}
		<li><label>Wykupiono wyświetleń:</label>{$item.purchasedViews|number_format:0:",":"."}</li>
		<li><label>Wykorzystano wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
		<li><label>Pozostało wyświetleń:</label>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if}</li>
	{elseif $item.model == 1}
		<li><label>Wykupiono użytkowników:</label>{$item.purchasedUsers|number_format:0:",":"."}</li>
		<li><label>Wykorzystano użytkowników:</label>{$item.clicks|number_format:0:",":"."}</li>
		<li><label>Pozostało użytkowników:</label>{assign var='rest' value=$item.purchasedUsers-$item.clicks}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if}</li>
		<li><label>Wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
	{elseif $item.model == 2}
		<li><label>Wykupiono dni:</label>{$item.purchasedDays}</li>
		<li><label>Wykorzystano dni:</label>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if}</li>
		<li><label>Pozostało dni:</label>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if}</li>
		<li><label>Wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
	{else}
		<li><label>Wykorzystano dni:</label>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if}</li>
		<li><label>Wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
	{/if}
		{if $item.model != 1}<li><label>Kliknięć:</label>{$item.clicks|number_format:0:",":"."}</li>{/if}
		<li><label>CTR:</label>{if $item.views > 0}{($item.clicks/$item.views*100)|number_format:2:",":"."}{else}0,00{/if}%</li>
		<li><label>Godzina i data startu:</label>{$item.dateStart|date_format:"%T &nbsp; %d.%m.%Y"}</li>
	{if $item.client != 0}
		<li><label>Godzina i data edycji:</label>{$item.dateEdit|date_format:"%T &nbsp; %d.%m.%Y"|default:'Klient jeszcze nie edytował tej kampanii'}</li>
	{/if}
		<li><label>Aktywny:</label>{if $item.active == 1}Tak{else}Nie{/if}</li>
	</ul>
	<div class="buttons">
		{if $item.powers == 1}<a href="?m=baners&amp;p=edit&amp;id={$item.id}" class="edit">Edytuj</a>{/if}
		<a href="client.php" class="list">Powrót</a>
	</div>
	<div class="clear_both"></div>
</div>

{if $item.advancedStatistics == 1 AND $system_info.pro}
<div class="box w500">
	<h1>Zaawansowane statystyki</h1>
	{if $stats AND $stats|@count > 0}
	<table class="list">
		<tr>
			<th>Dzień</th>
			<th>Wyświetleń</th>
			<th>Kliknięc</th>
			<th>CTR</th>
		</tr>
	{foreach from=$stats item=s}
		<tr><td>{$s.date}</td><td>{$s.views}</td><td>{$s.clicks}</td><td>{if $s.views > 0}{($s.clicks/$s.views*100)|number_format:2:",":"."}{else}0,00{/if}%</td></tr>
	{/foreach}
	</table>
	{else}
	Brak danych.
	{/if}
</div>
{/if}

{/if}