<?php
include_once('_settings.php');
include_once('_core.php');
include('_db.php');

if (isset($_GET['admJS']) OR isset($_GET['admAreaId']))
{
	if (isset($_GET['admAreaId']) AND is_numeric($_GET['admAreaId'])) $admAreaId = (int)admFilter($_GET['admAreaId']); else $admAreaId = 1;
}
else
{
	if (isset($admAreaId)) $admAreaId = (int)admFilter($admAreaId); else $admAreaId = 1;
}

if (!function_exists('admShowBaners'))
{
	function admWriteBanerCode($code,$follow=0)
	{
		if ($follow > 0)
		{
			if (!isset($_GET['admJS'])) echo '<script type="text/javascript"><!--'."\n";
			echo "if(typeof window.ad_m_baner != 'function') { function ad_m_baner(B){ var C = 0; var L = B.getElementsByTagName('a')[0]; B.style.position = 'absolute'; var PP = B.offsetTop; this.Move = function(){ P = B.offsetTop; PD = (document.body.scrollTop) ? document.body.scrollTop : document.documentElement.scrollTop; PD += PP; CI = Math.round(Math.sqrt(Math.abs(PD-P)/3)); B.style.top = (P < PD) ? P + CI + 'px' : P - CI + 'px'; }; this.Z = function(){ B.style.top = PP+'px'; B.style.zIndex = 0; L.style.display = 'none'; clearInterval(C); return false; }; L.onclick = this.Z; C = window.setInterval(this.Move, 20); }; }\n";
			if (!isset($_GET['admJS'])) echo '--></script>'."\n";
		}
		$code = htmlspecialchars_decode($code,ENT_QUOTES);
		if (isset($_GET['admJS']))
		{
			echo "document.write('".admPreperJSWrite($code)."'); ";
			return;
		}
		echo $code;
	}

	function admShowBaners($admMysql, $admBaners, $admTemplateArea, $admTemplateBaner, $area)
	{
		$results = '';
		$follow = 0;
		$baners = array();

		$visited = array();
		foreach ($_COOKIE as $key => $value)
		{
			if (preg_match('/adm_baner_v_[0-9]+/', $key))
			{
				$arr = explode('x', $value);
				$visited[$arr[0]] = array($arr[1],$arr[2]);
			}
		}

		if ($_SERVER['SERVER_ADDR'] == $_SERVER['SERVER_NAME']) $SERVER_NAME = $_SERVER['SERVER_NAME']; else $SERVER_NAME = '.'.str_replace('www.', '', $_SERVER['SERVER_NAME']);

		while($baner = mysqli_fetch_assoc($admBaners))
		{
			$id = (int)$baner['id'];

			if (isset($visited[$id]) AND $visited[$id][0] >= $baner['cappingValue'] AND $baner['cappingValue'] > 0) continue;
			
			if (isset($visited[$id]))
			{
				$visited[$id][0]++;
			}
			else
			{
				switch($baner['cappingPer'])
				{
					case 0:
						$cappingTime = 86400;
					break;
					case 1:
						$cappingTime = 604800;
					break;
					case 2:
						$cappingTime = 2592000;
					break;
				}
				$visited[$id][0] = 1;
				$visited[$id][1] = time()+$cappingTime;
			}

			//@SetCookie('adm_baner_v_'.$id, $id.'x'.$visited[$id][0].'x'.$visited[$id][1], $visited[$id][1], '/', $SERVER_NAME);
	
			if (!isset($_GET['admJS'])) {echo '<script type="text/javascript"><!--'."\n";}
			echo 'document.cookie = "adm_baner_v_'.$id.'='.$id.'x'.$visited[$id][0].'x'.$visited[$id][1].'; expires='. gmdate('D, d-M-Y H:i:s \G\M\T', $visited[$id][1]) .'; path=/";'."\n";
			if (!isset($_GET['admJS'])) echo '--></script>'."\n";

			$baners[] = $id;
			switch($baner['target'])
			{
				case 1:
					$target = '_self';			
				break;
				case 2:
					$target = '_parent';			
				break;
				case 3:
					$target = '_top';			
				break;
				default:
					$target = '_blank';	
			}

			switch($baner['count'])
			{
				case 1:
					$baner['url'] = $baner['pageAddress'].'" onclick="window.open(\''.adm_path.'counter-baners.php?id='.$baner['id'].'\'); return false;';
				break;
				case 2:
					$baner['url'] = $baner['pageAddress'];
				break;
				default:
					$baner['url'] = adm_path.'counter-baners.php?id='.$baner['id'];
			}

			$baner['banerAddress'] = admEncoding($baner['banerAddress'],$area['encoding']);
			$baner['pageAddress'] = admEncoding($baner['pageAddress'],$area['encoding']);
			$baner['url'] = admEncoding($baner['url'],$area['encoding']);
			$baner['description'] = admEncoding($baner['description'],$area['encoding']);

			if ($baner['type'] == 0)
			{
				$b = '<a href="'.$baner['url'].'"';
				if (strlen($baner['description']) > 0) $b .= ' title="'.$baner['description'].'"';
				$b .= ' target="'. $target .'"><img src="'. $baner['banerAddress'] .'" width="'. $baner['width'] .'" height="'. $baner['height'] .'" alt="'.$baner['description'].'" /></a>';
			}
			elseif ($baner['type'] == 1)
			{
				$fv = 'clickTAG='.urlencode(adm_path.'counter-baners.php?id='.$baner['id']).'&clickTag='.urlencode(adm_path.'counter-baners.php?id='.$baner['id']);
				$b = '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="'. $baner['width'] .'" height="'. $baner['height'] .'" type="application/x-shockwave-flash">'
				.'<param name="movie" value="'. $baner['banerAddress'] .'">'
				.'<param name="wmode" value="opaque">'
				.'<param name="FlashVars" value="'. $fv .'">'
				.'<embed type="application/x-shockwave-flash" src="'. $baner['banerAddress'] .'" flashvars="'. $fv .'" wmode="opaque" width="'. $baner['width'] .'" height="'. $baner['height'] .'"></embed>'
				.'</object>';
			}
			elseif ($baner['type'] == 2)
			{
				$b = admEncoding($baner['code'],$area['encoding']);
			}

			if ($baner['follow'] == 1)
			{
				$los = rand(1000,99999999);
				$b = '<div id="ad_m_baner'.$los.'" style="margin:0px;padding:0px;border:0px;z-index:50;">'
						.'<a href="#" class="ad_m_cross" style="position:absolute;top:-15px;right:-15px;"><img style="border:0px;height:16px;width:16px;" src="'.adm_path.'layout/images/cross.png" alt="x" /></a>'
						.$b
						.'</div>'."\n"
						.'<script type="text/javascript">'."\n"
						."var admBaner$los = new ad_m_baner(document.getElementById('ad_m_baner$los'));\n"
						.'</script>'."\n";
				$follow++;
			}

			$ba = '<div style="margin:0px;padding:0px;border:0px;';
			if ($baner['width'] > 0) $ba .= 'width:'.$baner['width'].'px;';
			if ($baner['height'] > 0) $ba .= 'height:'.$baner['height'].'px';
			$ba .= '">'.$b.'</div>'."\n\n";

			$results .= str_replace("{baner}", $ba, $admTemplateBaner);

			$search  = array('{id}','{banerAddress}','{pageAddress}','{url}','{description}','{width}','{height}','{target}');
			$replace = array($baner['id'],$baner['banerAddress'],$baner['pageAddress'],$baner['url'],$baner['description'],$baner['width'],$baner['height'],$target);
			$results = str_replace($search, $replace, $results);

			if ($baner['advancedStatistics'] == 1)
			{
				$ip = $_SERVER['REMOTE_ADDR'];
				mysqli_query($admMysql, "INSERT INTO ".adm_dbPrefix."baners_views
													 (baner,ip,date)
										VALUES ($id,INET_ATON('$ip'),NOW())");
			}
		}

		mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET views = views + 1 WHERE id IN(". implode(",", $baners) .")");

		$results = str_replace("{strefa}", $results, $admTemplateArea);
		admWriteBanerCode($results, $follow);
	}

	function admGetBaners($admAreaId, $admMysql)
	{
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners_areas` WHERE id=$admAreaId LIMIT 1");
		if (mysqli_num_rows($query) == 0) {echo 'Nie ma takiej strefy'; return;}
		$area = mysqli_fetch_assoc($query);

		$admTemplateArea = htmlspecialchars_decode($area['templateArea'],ENT_QUOTES);
		$admTemplateBaner = htmlspecialchars_decode($area['templateBaner'],ENT_QUOTES);

		if (isset($_COOKIE['adm_hide_ads'])) {echo admEncoding('Reklama została ukryta',$area['encoding']); return;}
		if ($area['proportion'] == 10) {admWriteBanerCode(admEncoding($area['alternativeCode'],$area['encoding'])); return;}

		switch($area['sort'])
		{
			case 0:
				$sort = ' ORDER BY `id` DESC';
			break;
			case 1:
				$sort = ' ORDER BY `id` ASC';
			break;
			case 2:
				$sort = ' ORDER BY RAND()';
			break;
		}

		if ($area['limit'] > 0) $limit = ' LIMIT 0,'.$area['limit']; else $limit = '';

		$admBaners = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners` WHERE (area = $admAreaId OR area = 0) AND active = 1 AND
															(
																(model = 0 AND purchasedViews > views AND dateStart <= ".time().")
																OR
																(model = 1 AND purchasedUsers > clicks AND dateStart <= ".time().")
																OR
																(model = 2 AND (dateStart + purchasedDays * 86400) >= ".time()." AND dateStart <= ".time().")
																OR
																(model = 3 AND dateStart <= ".time().")
															)".$sort.$limit);

		if ($area['proportion'] == 0 AND mysqli_num_rows($admBaners) != 0) return admShowBaners($admMysql, $admBaners, $admTemplateArea, $admTemplateBaner, $area);

		$rand = rand(1, 10);
		if ($rand <= $area['proportion'] OR mysqli_num_rows($admBaners) == 0) {admWriteBanerCode(admEncoding($area['alternativeCode'],$area['encoding'])); return;}
		admShowBaners($admMysql, $admBaners, $admTemplateArea, $admTemplateBaner, $area);
	}
}
admGetBaners($admAreaId, $admMysql);
?>