<?php
include_once('_settings.php');
include_once('_core.php');
include('_db.php');

if (isset($_GET['admJS']) OR isset($_GET['admAreaId']))
{
	if (isset($_GET['admAreaId']) AND is_numeric($_GET['admAreaId'])) $admAreaId = (int)admFilter($_GET['admAreaId']); else $admAreaId = 1;
}
else
{
	if (isset($admAreaId)) $admAreaId = (int)admFilter($admAreaId); else $admAreaId = 1;
}

if (!function_exists('admGetLinks'))
{
	function admWriteLinkCode($code)
	{
		$code = htmlspecialchars_decode($code,ENT_QUOTES);
		if (isset($_GET['admJS']))
		{
			echo "document.write('".admPreperJSWrite($code)."');";
			return;
		}
		echo $code;
	}

	function admShowLinks($admMysql, $admLinks, $admTemplateArea, $admTemplateLink, $admClass, $area)
	{
		$results = '';
		while($link = mysqli_fetch_assoc($admLinks))
		{
			switch($link['target'])
			{
				case 1:
					$target = '_self';			
				break;
				case 2:
					$target = '_parent';			
				break;
				case 3:
					$target = '_top';			
				break;
				default:
					$target = '_blank';	
			}

			switch($link['count'])
			{
				case 1:
					$link['url'] = $link['pageAddress'].'" onclick="window.open(\''.adm_path.'counter-links.php?id='.$link['id'].'\'); return false;';
				break;
				case 2:
					$link['url'] = $link['pageAddress'];
				break;
				default:
					$link['url'] = adm_path.'counter-links.php?id='.$link['id'];
			}

			$link['pageAddress'] = admEncoding($link['pageAddress'],$area['encoding']);
			$link['url'] = admEncoding($link['url'],$area['encoding']);
			$link['description'] = admEncoding($link['description'],$area['encoding']);
			$link['content'] = admEncoding($link['content'],$area['encoding']);

			$l = '<a target="'.$target.'"';
			if ($link['nofollow'] == 1) $l .= ' rel="nofollow"';
			if (strlen($admClass) > 0) $l .= ' class="'.$admClass.'"';
			if (strlen($link['attributes']) > 0) $l .= ' style="'.$link['attributes'].'"';
			$l .=' href="'.$link['url'].'"';
			if (strlen($link['description']) > 0) $l .= ' title="'.$link['description'].'"';
			if (strpos($link['attributes'], 'bold'))
				$l .= '><strong>'.$link['content'].'</strong></a>';
			else
				$l .= '>'.$link['content'].'</a>';
			$results .= str_replace("{link}", $l, $admTemplateLink);

			$search  = array('{id}','{pageAddress}','{url}','{content}','{description}','{attributes}','{target}');
			$replace = array($link['id'],$link['pageAddress'],$link['url'],$link['content'],$link['description'],$link['attributes'],$target);
			$results = str_replace($search, $replace, $results);
		}
		$results = str_replace("{strefa}", $results, $admTemplateArea);
		admWriteLinkCode($results);
	}

	function admGetLinks($admAreaId, $admMysql)
	{
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."links_areas` WHERE id=$admAreaId LIMIT 1");
		if (mysqli_num_rows($query) == 0) {echo 'Nie ma takiej strefy'; return;}
		$area = mysqli_fetch_assoc($query);
		$admTemplateArea = htmlspecialchars_decode($area['templateArea'],ENT_QUOTES);
		$admTemplateLink = htmlspecialchars_decode($area['templateLink'],ENT_QUOTES);

		$admClass = $area['class'];

		if (isset($_COOKIE['adm_hide_ads'])) {echo admEncoding('Reklama została ukryta',$area['encoding']); return;}
		if ($area['proportion'] == 10) {admWriteLinkCode(admEncoding($area['alternativeCode'],$area['encoding'])); return;}

		switch($area['sort'])
		{
			case 0:
				$sort = ' ORDER BY `id` DESC';
			break;
			case 1:
				$sort = ' ORDER BY `id` ASC';
			break;
			case 2:
				$sort = ' ORDER BY RAND()';
			break;
		}

		if ($area['limit'] > 0) $limit = ' LIMIT 0,'.$area['limit']; else $limit = '';

		$admLinks = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."links` WHERE (area = $admAreaId OR area = 0) AND active = 1 AND
															(
																(model = 0 AND purchasedUsers > clicks AND dateStart <= ".time().")
																OR
																(model = 1 AND (dateStart + purchasedDays * 86400) >= ".time()." AND dateStart <= ".time().")
																OR
																(model = 2 AND dateStart <= ".time().")
															)".$sort.$limit);

		if ($area['proportion'] == 0 AND mysqli_num_rows($admLinks) != 0) return admShowLinks($admMysql, $admLinks, $admTemplateArea, $admTemplateLink, $admClass, $area);

		$rand = rand(1, 10);
		if ($rand <= $area['proportion'] OR mysqli_num_rows($admLinks) == 0) {admWriteLinkCode(admEncoding($area['alternativeCode'],$area['encoding'])); return;}
		admShowLinks($admMysql, $admLinks, $admTemplateArea, $admTemplateLink, $admClass, $area);
	}
}
admGetLinks($admAreaId, $admMysql);
?>