<?php

function settingSave()
{
	require_once('./lib/settings.class.php');
	global $messages, $hideForm, $account;
	if (!$account->check_powers('SuperAdmin',true))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	if (empty($_POST['dbServer'])) return $messages->add('ALERT','Wypełnij pole adres!');
	if (empty($_POST['dbPort'])) return $messages->add('ALERT','Wypełnij pole port!');
	if (empty($_POST['dbName'])) return $messages->add('ALERT','Wypełnij pole nazwa!');
	if (empty($_POST['dbPrefix'])) return $messages->add('ALERT','Wypełnij pole prefix!');
	if (empty($_POST['dbUser'])) return $messages->add('ALERT','Wypełnij pole użytkownik!');
	if (!admCheckEmail($_POST['adminEmail'])) return $messages->add('ALERT','Wpisz poprawny adres e-mail!');

	$ss = save_settings();
	if ($ss)
	{
		$hideForm = true;
		$messages->add('INFO','Ustawienia zostały zapisane!','<a href="?p=settings">Przejdź dalej</a>');
	}
	else
		$messages->add('ERORR','Ustawień nie udało się zmienić!','Błąd zapisu do pliku. Sprawdź uprawnienia pliku _settings.php');
}
if (isset($_POST['settingSave'])) settingSave();


$smarty->assign('dbServer', adm_dbServer);
$smarty->assign('dbPort', adm_dbPort);
$smarty->assign('dbName', adm_dbName);
$smarty->assign('dbPrefix', adm_dbPrefix);
$smarty->assign('dbUser', adm_dbUser);
$smarty->assign('adminEmail', adm_adminEmail);
if ($_COOKIE['adm_hide_ads'] == 1) $smarty->assign('adminHideAds', true);
$smarty->assign('path', adm_path);
$smarty->assign('adminNotice', stripslashes(adm_admin_notice));
$smarty->assign('notice', stripslashes(adm_notice));
$smarty->assign('mailOptions', array( 1 => 'Lokalna funkcja mail()', 2 => 'Zewnętrzny serwer SMTP'));
$smarty->assign('mailSelect', adm_mailMethod);
$smarty->assign('smtpHost', adm_smtpHost);
$smarty->assign('smtpPort', adm_smtpPort);
$smarty->assign('smtpAuth', adm_smtpAuth);
$smarty->assign('smtpUsername', adm_smtpUsername);
$smarty->assign('secureOptions', array( 'none' => 'Bez szyfrowania', 'tls' => 'TLS', 'ssl' => 'SSL'));
$smarty->assign('secureSelect', adm_smtpSecure);

$smarty->assign('styleClientLogo', @constant('adm_styleClientLogo'));
$smarty->assign('styleClientCSS', @constant('adm_styleClientCSS'));


if (!$account->check_powers('SuperAdmin',true))
{
	if (!isset($_POST['settingSave']))
		$messages->add('INFO','Nie posiadasz pełnych uprawnień!', 'Dlatego niektóre dane został ukryte.');

	$smarty->assign('dbServer', '');
	$smarty->assign('dbPort', '');
	$smarty->assign('dbName', '');
	$smarty->assign('dbPrefix', '');
	$smarty->assign('dbUser', '');
	$smarty->assign('adminEmail', '');
	$smarty->assign('smtpHost', '');
	$smarty->assign('smtpPort', '');
	$smarty->assign('smtpAuth', '');
	$smarty->assign('smtpUsername', '');
}

?>