<?php

function selected()
{
	global $admMysql, $messages, $account;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	unset($_POST['area']);
	$length = count($_POST)-1;
	if ($length == 0) return $messages->add('ALERT','Brak zaznaczonych elementów!');
	$i = 1;
	foreach ($_POST as $k => $v)
	{
		if ($k == 'selected') break;
		$elementList .= $v;
		if ($i != $length) $elementList .= ', ';
		$i++;
	}
	if ($_POST['selected'] == 'activate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links` SET `active`=1 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Linki nie zostały aktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Linki zostały aktywowane!','Linki id '.$elementList.' zostały aktywowane.');
	}
	if ($_POST['selected'] == 'deactivate')
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links` SET `active`=0 WHERE `id` IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Linki nie zostały deaktywowane!',mysqli_error($admMysql));
		return $messages->add('INFO','Linki zostały deaktywowane!','Linki id '.$elementList.' zostały deaktywowane.');
	}
	if ($_POST['selected'] == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE l, lc FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."links_clicks` AS lc ON lc.link=l.id
													WHERE l.id IN ($elementList)");
		if (!$query) return $messages->add('ERORR','Linki nie zostały usunięte!',mysqli_error($admMysql));
		return $messages->add('INFO','Linki zostały usunięte!','Linki id '.$elementList.' zostały usunięte.');
	}
}
if ($_POST['selected']) selected();


if ($_GET['p']=='add')
{
	$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$clientsList[] = $r;

	$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach', 'maxCharacters' => '1000');
	$query = mysqli_query($admMysql, "SELECT `id`, `name`, `maxCharacters` FROM `".adm_dbPrefix."links_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;

	$notice = 1;
	$powers = 1;
	$count = 1;
	$dateStart = time();
	$active = 1;

	$client = (int)admFilter($_GET['c']);
	if (isset($_GET['a'])) $area = (int)admFilter($_GET['a']); else $area = 1;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'pageAddress' => $pageAddress,
								'content' => $content, 'description' => $description, 'attributes' => $attributes, 'target' => $target, 'count' => $count,
								'nofollow' => $nofollow, 'model' => $model, 'purchasedViews' => $purchasedViews, 'purchasedUsers' => $purchasedUsers,
								'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart, 'dateEdit' => $dateEdit,
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (isset($_GET['id']) && !isset($_POST['add']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."links` AS l WHERE l.id=$id LIMIT 1");
		$item = mysqli_fetch_assoc($query);
		$item['notice'] = $notice;
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function add()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if ($_POST['powers'] == 1 AND $client == 0) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$pageAddress = admFilter($_POST['pageAddress'],true);
	$content = admFilter($_POST['content']);
	$description = admFilter($_POST['description']);
	$attributes = admFilter($_POST['attributes'],true);
	$target = (int)admFilter($_POST['target']);
	$count = (int)admFilter($_POST['count']);
	if (isset($_POST['nofollow'])) $nofollow = 1; else $nofollow = 0;
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'pageAddress' => $pageAddress,
								'content' => $content, 'description' => $description, 'attributes' => $attributes, 'target' => $target, 'count' => $count,
								'nofollow' => $nofollow, 'model' => $model, 'purchasedViews' => $purchasedViews, 'purchasedUsers' => $purchasedUsers,
								'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart, 'dateEdit' => $dateEdit,
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (!admCheckWWW($_POST['pageAddress'])) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if (empty($content)) return $messages->add('ALERT','Podaj treść odnośnika!');
	if ($model == 0 AND $count == 2) return $messages->add('ALERT','Nieodpowiedni model emisyjny!', 'Nie możesz użyć modelu CPU (Cost Per User) ponieważ wybrałeś opcję nie zliczaj kliknięć.');
	if ($model == 0 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 1 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');

	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."links`
															 (client,powers,area,pageAddress,content,description,attributes,target,count,nofollow,model,purchasedUsers,purchasedDays,dateStart,advancedStatistics,active)
												VALUES ($client,$powers,'$area','$pageAddress','$content','$description','$attributes',$target,$count,$nofollow,$model,'$purchasedUsers','$purchasedDays',$dateStart,$advancedStatistics,$active)");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERORR','Link nie został dodany!',mysqli_error($admMysql));

	$messages->add('INFO','Link został dodany!','<a href="?m=links&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Do Państwa konta została dodana nowa kampania - link tekstowy:<br />'
									.adm_path.'client.php?m=links&p=details&id='.mysqli_insert_id().'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Dodanie nowego linka tekstowego', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['add'])) add();


if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT l.id, l.client, l.powers, l.area, l.pageAddress, l.content, l.description, l.attributes, l.target, l.count, l.nofollow,
												l.model, l.purchasedUsers, l.purchasedDays, l.clicks, l.dateStart, l.dateEdit, l.advancedStatistics, l.active,
												c.id AS idClient, c.login AS loginClient, a.name AS nameArea
												FROM `".adm_dbPrefix."links` AS l
												LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=l.client
												LEFT JOIN `".adm_dbPrefix."links_areas` AS a ON a.id=l.area
												WHERE l.id=$id LIMIT 1");
	$item = mysqli_fetch_assoc($query);
	$item['notice'] = 1;

	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
	else if ($_GET['p']=='edit')
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login` FROM `".adm_dbPrefix."clients` ORDER BY `login` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$clientsList[] = $r;

		$areasList[] =  array('id' => 0, 'name' => 'Wyświetlaj we wszystkich strefach', 'maxCharacters' => '1000');
		$query = mysqli_query($admMysql, "SELECT `id`, `name`, `maxCharacters` FROM `".adm_dbPrefix."links_areas` ORDER BY `id` ASC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$areasList[] = $r;
	}
}


if ($_GET['p']=='details-stats' AND adm_pro == true)
{
	$item['id'] = $id = (int)admFilter($_GET['id']);

	if (!isset($_GET['date']))
	{
		$statsType = 0;
		$statsClicksSum = 0;
		$range = array();
		$stats = array();

		if (isset($_POST['from']) AND isset($_POST['to']))
		{
				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date FROM `".adm_dbPrefix."links_clicks` WHERE link = $id GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
					$range[$r['date']] = $r['date'];

				$item['from'] = $from = admFilter($_POST['from']);
				$item['to'] = $to = admFilter($_POST['to']);

				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, count(DISTINCT id) AS clicks FROM `".adm_dbPrefix."links_clicks` WHERE link = $id AND DATE_FORMAT(date,'%Y-%m-%d') BETWEEN '$from' AND '$to' GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$statsClicksSum += $r['clicks'];
				}
		}
		else
		{
				$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, count(DISTINCT id) AS clicks FROM `".adm_dbPrefix."links_clicks` WHERE link = $id GROUP BY DATE(date)");
				if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
				while ($r = mysqli_fetch_assoc($query))
				{
					$stats[] = $r;
					$range[$r['date']] = $r['date'];
					$statsClicksSum += $r['clicks'];
				}
				$item['from'] = reset($range);
				$item['to'] = end($range);
		}

		$smarty->assign('statsClicksSum', $statsClicksSum);
		$smarty->assign('rangeFrom', $range);
		$smarty->assign('rangeTo', $range);
	}
	else
	{
		$statsType = 1;
		$item['from'] = '00';
		$item['to'] = '24';
		$item['id'] = $id = (int)admFilter($_GET['id']);
		$item['date'] = $date = admFilter($_GET['date']);
		$hideForm = true;
		if (isset($_POST['from']) AND isset($_POST['to']))
		{
			$hideForm = false;
			$item['from'] = $from = admFilter($_POST['from']);
			$item['to'] = $to = (int)admFilter($_POST['to']);
			if ($to < $from) $messages->add('ALERT','Wartość "do" nie może być mniejsz "od"!');
			$to = $to-1;
			if ($to < 10) $to = '0'.$to;
			$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(date,'%T') AS date, INET_NTOA(ip) AS ip FROM `".adm_dbPrefix."links_clicks` 
														WHERE link = $id AND DATE_FORMAT(date,'%Y-%m-%d %H') BETWEEN '$date $from' AND '$date $to' ORDER BY date ASC");
			if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
			while ($r = mysqli_fetch_assoc($query))
				$stats[] = $r;
		}
		$smarty->assign('rangeFrom', array('00'=>'00','01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23'));
		$smarty->assign('rangeTo', array('01'=>'01','02'=>'02','03'=>'03','04'=>'04','05'=>'05','06'=>'06', '07'=>'07','08'=>'08','09'=>'09','10'=>'10','11'=>'11','12'=>'12', '13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18', '19'=>'19','20'=>'20','21'=>'21','22'=>'22','23'=>'23','24'=>'24'));
	}
}


function edit()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$client = (int)admFilter($_POST['client']);
	if (isset($_POST['notice'])) $notice = 1; else $notice = 0;
	$powers = (int)admFilter($_POST['powers']);
	if ($_POST['powers'] == 1 AND $client == 0) $powers = 0;
	$area = (int)admFilter($_POST['area']);
	$pageAddress = admFilter($_POST['pageAddress']);
	$content = admFilter($_POST['content']);
	$description = admFilter($_POST['description']);
	$attributes = admFilter($_POST['attributes'],true);
	$target = (int)admFilter($_POST['target']);
	$count = (int)admFilter($_POST['count']);
	if (isset($_POST['nofollow'])) $nofollow = 1; else $nofollow = 0;
	$model = (int)admFilter($_POST['model']);
	$purchasedViews = (int)admFilter($_POST['purchasedViews']);
	$purchasedUsers = (int)admFilter($_POST['purchasedUsers']);
	$purchasedDays = (int)admFilter($_POST['purchasedDays']);
	$dateStart = mktime($_POST['dsH'],$_POST['dsMi'],$_POST['dsS'],$_POST['dsM'],$_POST['dsD'],$_POST['dsY']);
	if (isset($_POST['advancedStatistics'])) $advancedStatistics = 1; else $advancedStatistics = 0;
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('id' => $id, 'client' => $client, 'notice' => $notice, 'powers' => $powers, 'area' => $area, 'pageAddress' => $pageAddress,
								'content' => $content, 'description' => $description, 'attributes' => $attributes, 'target' => $target, 'count' => $count,
								'nofollow' => $nofollow, 'model' => $model, 'purchasedViews' => $purchasedViews, 'purchasedUsers' => $purchasedUsers,
								'purchasedDays' => $purchasedDays, 'users' => $users, 'dateStart' => $dateStart, 'dateEdit' => $dateEdit,
								'advancedStatistics' => $advancedStatistics, 'active' => $active);

	if (!admCheckWWW($_POST['pageAddress'])) return $messages->add('ALERT','Podaj poprawny adres strony!');
	if (empty($content)) return $messages->add('ALERT','Podaj treść odnośnika!');
	if ($model == 0 AND $count == 2) return $messages->add('ALERT','Nieodpowiedni model emisyjny!', 'Nie możesz użyć modelu CPU (Cost Per User) ponieważ wybrałeś opcję nie zliczaj kliknięć.');
	if ($model == 0 AND empty($purchasedUsers)) return $messages->add('ALERT','Podaj liczbę wykupionych użytkowników!');
	if ($model == 1 AND empty($purchasedDays)) return $messages->add('ALERT','Podaj liczbę wykupionych dni!');

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links` SET `client`=$client, `powers`=$powers, `area`='$area', `pageAddress`='$pageAddress',
												`content`='$content', `description`='$description', `attributes`='$attributes', `target`=$target, `count`=$count,
												`nofollow`=$nofollow, `model`=$model, `purchasedUsers`=$purchasedUsers, `purchasedDays`=$purchasedDays,
												`dateStart`=$dateStart, `advancedStatistics`=$advancedStatistics, `active`=$active WHERE `id`=$id LIMIT 1");
	// ważne: zmienna area musi być w ''

	if (!$query) return $messages->add('ERORR','Link nie został zmieniony!',mysqli_error($admMysql));

	$messages->add('INFO','Link został zmieniony!','<a href="?m=links&amp;p=view">Przejdź dalej</a>');

	if ($client != 0 AND $notice == 1)
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `login`, `email` FROM `".adm_dbPrefix."clients` WHERE `id`=$client LIMIT 1");
		$r = mysqli_fetch_assoc($query);

		$mailContent = '<b>Witamy</b><br /><br />Państwa kampania - link tekstowy - została zmieniona przez administratora:<br />'
		.adm_path.'client.php?m=links&p=details&id='.$id.'<br />Login: '.$r['login'];

		$mail = admSendEmail(adm_adminEmail, $r['email'], $r['login'], 'Edycja linka tekstowego', $mailContent);
		if ($mail === true)
			$messages->addDetails('Wysłano powiadomienie!',1);
		else
			$messages->addDetails('Powiadomienia nie wysłano!',1);
	}
	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


if ($_GET['p']=='delete')
{
	$item['id'] = (int)admFilter($_GET['id']);
}

function delete()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE l, lc FROM `".adm_dbPrefix."links` AS l
												LEFT JOIN `".adm_dbPrefix."links_clicks` AS lc ON lc.link=l.id
												WHERE l.id=$id");
	if ($query)
		$messages->add('INFO','Link został usunięty!');
	else
		$messages->add('ERORR','Link nie został usunięty!',mysqli_error($admMysql));
}
if (isset($_POST['delete'])) delete();


if ($_GET['p']=='view')
{
	$area = max((int)admFilter($_GET['a']), 0);
	if (!isset($_GET['a'])) $area = 0;

	if ($area == 0)
		$aq = 'l.area';
	else
		$aq = $area;

	$search = admFilter($_POST['search']);

	if (!empty($search))
	{
		$query = mysqli_query($admMysql, "SELECT l.id, l.client, l.powers, l.area, l.pageAddress, l.count,
													l.model, l.purchasedUsers, l.purchasedDays, l.clicks, l.dateStart, l.dateEdit, l.advancedStatistics, l.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=l.client
													WHERE l.pageAddress LIKE '%$search%' AND l.area = $aq
													ORDER BY `id` DESC");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$smarty->assign('pages', 1);
		$smarty->assign('startPage', 1);
		$smarty->assign('activePage', 1);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', mysqli_num_rows($query));
	
	}
	else
	{
		$limit = 15;
		$query = mysqli_query($admMysql, "SELECT COUNT(`id`) AS elements FROM `".adm_dbPrefix."links` AS l WHERE l.area = $aq");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		$r = mysqli_fetch_assoc($query);
		$elements = $r['elements'];
		$pages = ceil($elements/$limit);
		$activePage = min(max((int)$_GET['s'], 1), $pages);
		$start = max(($activePage-1) * $limit, 0);

		$query = mysqli_query($admMysql, "SELECT l.id, l.client, l.powers, l.area, l.pageAddress, l.count,
													l.model, l.purchasedUsers, l.purchasedDays, l.clicks, l.dateStart, l.dateEdit, l.advancedStatistics, l.active, c.id AS idClient, c.login
													FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=l.client WHERE l.area = $aq ORDER BY `id` DESC LIMIT $start, $limit");
		if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
		while ($r = mysqli_fetch_assoc($query))
			$itemsList[] = $r;

		$startPage = min($pages-6, max(1, $activePage-3));
		$smarty->assign('pages', $pages);
		$smarty->assign('startPage', $startPage);
		$smarty->assign('activePage', $activePage);
		$smarty->assign('itemsList', $itemsList);
		$smarty->assign('elements', $elements);
	}

	$areasList[0] = array('id'=>0, 'name'=>'Wszystkie strefy');
	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."links_areas` ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[$r['id']] = $r;

	if (!isset($areasList[$area]))
	{
		$messages->add('ERORR','Błąd identyfikatora strefy!','Strefa o tym ID nie istnieje!');
		$hideForm = true;
	}

	$smarty->assign('area', $area);
}


//------------------- STREFY -------------------

if ($_GET['p']=='areas-add')
{
	$maxCharacters = 25;
	$templateArea = '{strefa}';
	$templateLink = '{link} ';
	$limit = 0;
	$sort = 0;
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxCharacters' => $maxCharacters, 'class' => $class, 'templateLink' => $templateLink, 'limit' => $limit, 'sort' => $sort);

	if (isset($_GET['id']))
	{
		$id = (int)admFilter($_GET['id']);
		$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."links_areas` AS la WHERE la.id=$id LIMIT 1");
		$area = mysqli_fetch_assoc($query);
		if (mysqli_num_rows($query) == 0)
		{
			$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
			$hideForm = true;
		}
	}
}

function addArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$name = admFilter($_POST['name']);
	$encoding = admFilter($_POST['encoding']);
	$alternativeCode = admFilter($_POST['alternativeCode'],true);
	$proportion = (int)admFilter($_POST['proportion']);
	$templateArea = admFilter($_POST['templateArea'],true);
	$maxCharacters = (int)admFilter($_POST['maxCharacters']);
	$class = admFilter($_POST['class']);
	$templateLink = admFilter($_POST['templateLink'],true);
	$limit = (int)admFilter($_POST['limit']);
	$sort = (int)admFilter($_POST['sort']);
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxCharacters' => $maxCharacters, 'class' => $class, 'templateLink' => $templateLink, 'limit' => $limit, 'sort' => $sort);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	if ($maxCharacters < 1) return $messages->add('ALERT','Podaj maksymalną liczbę znaków!');
	if (strpos($templateArea, '{strefa}') === false) return $messages->add('ALERT','Podaj poprawny szablon strefy!','Szablon musi zawierać wyraz {strefa}');
	//if (strpos($templateLink, '{link}') === false) return $messages->add('ALERT','Podaj poprawny szablon linków!','Szablon musi zawierać wyraz {link}');
	$query = mysqli_query($admMysql, "INSERT INTO `".adm_dbPrefix."links_areas`
															 (name,encoding,alternativeCode,proportion,templateArea,maxCharacters,class,templateLink,`limit`,`sort`)
												VALUES ('$name','$encoding','$alternativeCode',$proportion,'$templateArea',$maxCharacters,'$class','$templateLink',$limit,$sort)");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została dodana!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została dodana!','<a href="?m=links&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['addArea'])) addArea();


if ($_GET['p']=='areas-edit' OR $_GET['p']=='areas-details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT *, COUNT(l.id) AS number
												FROM `".adm_dbPrefix."links_areas` AS la
												LEFT JOIN `".adm_dbPrefix."links` AS l ON l.area = la.id
												WHERE la.id=$id GROUP BY la.id LIMIT 1");
	$area = mysqli_fetch_assoc($query);
	$area['id'] = $id;
	if (mysqli_num_rows($query) == 0 OR !isset($area['name']))
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($admMysql));
		$hideForm = true;
	}
}

function editArea()
{
	global $admMysql, $messages, $hideForm, $account, $area;
	if (!$account->check_powers('Admin'))
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$id = (int)admFilter($_GET['id']);
	$name = admFilter($_POST['name']);
	$encoding = admFilter($_POST['encoding']);
	$alternativeCode = admFilter($_POST['alternativeCode'],true);
	$proportion = (int)admFilter($_POST['proportion']);
	$templateArea = admFilter($_POST['templateArea'],true);
	$maxCharacters = (int)admFilter($_POST['maxCharacters']);
	$class = admFilter($_POST['class']);
	$templateLink = admFilter($_POST['templateLink'],true);
	$limit = (int)admFilter($_POST['limit']);
	$sort = (int)admFilter($_POST['sort']);
	$area = array('id' => $id, 'name' => $name, 'encoding' => $encoding, 'alternativeCode' => $alternativeCode, 'proportion' => $proportion, 'templateArea' => $templateArea,
								'maxCharacters' => $maxCharacters, 'class' => $class, 'templateLink' => $templateLink, 'limit' => $limit, 'sort' => $sort);
	if (empty($name)) return $messages->add('ALERT','Podaj nazwę strefy!');
	if ($maxCharacters < 1) return $messages->add('ALERT','Podaj maksymalną liczbę znaków!');
	if (strpos($templateArea, '{strefa}') === false) return $messages->add('ALERT','Podaj poprawny szablon strefy!','Szablon musi zawierać wyraz {strefa}');
	//if (strpos($templateLink, '{link}') === false) return $messages->add('ALERT','Podaj poprawny szablon linków!','Szablon musi zawierać wyraz {link}');
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links_areas` SET `name`='$name', `encoding`='$encoding', `alternativeCode`='$alternativeCode', `proportion`=$proportion,
													`templateArea`='$templateArea', `maxCharacters`=$maxCharacters, `class`='$class', `templateLink`='$templateLink',
													`limit`=$limit, `sort`=$sort WHERE `id`=$id LIMIT 1");
	if (mysqli_errno($admMysql) == 1062) return $messages->add('ERORR','Istnieje już strefa o podanej nazwie!');
	if (!$query) return $messages->add('ERORR','Strefa nie została zmieniona!',mysqli_error($admMysql));
	$messages->add('INFO','Strefa została zmieniona!','<a href="?m=links&amp;p=areas">Przejdź dalej</a>');
	$hideForm = true;
}
if (isset($_POST['editArea'])) editArea();


if ($_GET['p']=='areas-delete')
{
	$area['id'] = (int)admFilter($_GET['id']);

	$query = mysqli_query($admMysql, "SELECT `id`, `name` FROM `".adm_dbPrefix."links_areas` WHERE `id` != ".$area['id']." ORDER BY `id` ASC");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}

function deleteArea()
{
	global $admMysql, $messages, $account;
	$id = (int)admFilter($_POST['id']);
	if (!$account->check_powers('Admin') OR $id == 1)
		return $messages->add('ERORR','Nie posiadasz uprawnień!');

	$query = mysqli_query($admMysql, "DELETE FROM `".adm_dbPrefix."links_areas` WHERE `id`=$id LIMIT 1");
	if (!$query) return $messages->add('ERORR','Strefa nie została usunięta!',mysqli_error($admMysql));

	$messages->add('INFO','Strefa została usunięta!');

	$whatToDo = admFilter($_POST['whatToDo']);
	if ($whatToDo == 'delete')
	{
		$query = mysqli_query($admMysql, "DELETE l, lc FROM `".adm_dbPrefix."links` AS l
													LEFT JOIN `".adm_dbPrefix."links_clicks` AS lc ON lc.link=l.id
													WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Linki nie zostały usunięte!'.mysqli_error($admMysql));
		$messages->addDetails('Linki zostały usunięte!');
	}
	else
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links` SET `area`=$whatToDo WHERE `area`=$id");
		if (!$query) return $messages->addDetails('Linki nie zostały przeniesione!'.mysqli_error($admMysql));
		$messages->addDetails(mysqli_affected_rows().' linków zostało przeniesionych.');
	}
}
if (isset($_POST['deleteArea'])) deleteArea();


if ($_GET['p']=='areas')
{
	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."links_areas`");
	if (!$query) $messages->add('ERORR','Błąd!',mysqli_error($admMysql));
	while ($r = mysqli_fetch_assoc($query))
		$areasList[] = $r;
}


$smarty->assign('proportionsList', array(0=>'0%',1=>'10%',2=>'20%',3=>'30%',4=>'40%',5=>'50%',6=>'60%',7=>'70%',8=>'80%',9=>'90%',10=>'100%'));
$smarty->assign('powersList', array('Tylko przeglądanie','Przeglądanie i edycja'));
$smarty->assign('targetList', array('_blank','_self','_parent','_top'));
$smarty->assign('countList', array('Bezwzględnie (link pośredni)','Metodą JavaScript (link bezpośredni)','Nie zliczaj (link bezpośredni)'));
$smarty->assign('modelList', array('CPU (Cost Per User)','CPD (Cost Per Day)','ATT (All The Time)'));
$smarty->assign('sortList', array('Według daty dodania od najstarszego','Według daty dodania od najmłodszego','Losowo'));
$smarty->assign('encodingList', array('UTF-8' => 'UTF-8', 'ISO-8859-2' => 'ISO-8859-2', 'WINDOWS-1250' => 'WINDOWS-1250'));
$smarty->assign('clientsList', $clientsList);
$smarty->assign('areasList', $areasList);
$smarty->assign('stats', $stats);
$smarty->assign('statsType', $statsType);
$smarty->assign('areaTD', '{link}');
$smarty->assign('item', $item);
$smarty->assign('area', $area);
$smarty->assign('search', $search);
?>