<?php
error_reporting(1);
session_start();
$setting = @include_once('./_settings.php');
require_once('./_core.php');
require_once('./_db.php');
require_once('./lib/account.class.php');
$account = new account();
if (!$account->check_powers('User')) exit;

$type = (int)admFilter($_GET['type']);
$id = (int)admFilter($_GET['id']);
$date = admFilter($_GET['date']);

$stats = array();
$statsLinks = array();

if ($type == 10)
{
	$query = mysqli_query($admMysql, "SELECT DATE(v.date) AS date, COUNT(DISTINCT v.id) AS views, COUNT(DISTINCT c.id) AS clicks FROM `".adm_dbPrefix."baners_views` AS v
												LEFT JOIN `".adm_dbPrefix."baners_clicks` AS c on (DATE(c.date)=DATE(v.date) AND c.baner=v.baner)
												WHERE v.baner = $id GROUP BY DATE(v.date)");
												echo mysqli_error($admMysql);
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$views[0][] = $r['date'];
		$views[1][] = $r['views'];
		$clicks[1][] = $r['clicks'];
		$statsLinks[] = urlencode('javascript:reload("ajax-stats-baners.php?type=11&id='.$id.'&date='.$r['date'].'")');
	}
	$statsMax = admRoundMax(max($views[1]));
}
elseif ($type == 11)
{
	$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(v.date,'%H') as date, COUNT(DISTINCT v.id) as views, COUNT(DISTINCT c.id) AS clicks FROM `".adm_dbPrefix."baners_views` AS v
												LEFT JOIN `".adm_dbPrefix."baners_clicks` AS c on (DATE_FORMAT(c.date,'%H')=DATE_FORMAT(v.date,'%H') AND c.baner=v.baner)
												WHERE v.baner = $id AND DATE_FORMAT(v.date,'%Y-%m-%d') = '$date' GROUP BY DATE_FORMAT(v.date,'%H')");
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$views[0][] = $r['date'].':00';
		$views[1][] = $r['views'];
		$clicks[1][] = $r['clicks'];
	}
	$statsMax = admRoundMax(max($views[1]));
}
elseif ($type == 20)
{
	$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, COUNT(id) AS views FROM `".adm_dbPrefix."baners_views` WHERE baner = $id GROUP BY DATE(date)");
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$views[0][] = $r['date'];
		$views[1][] = $r['views'];
		$statsLinks[] = urlencode('javascript:reload("ajax-stats-baners.php?type=21&id='.$id.'&date='.$r['date'].'")');
	}
	$statsMax = admRoundMax(max($views[1]));
}
elseif ($type == 21)
{
	$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(date,'%H') as date, COUNT(id) as views FROM `".adm_dbPrefix."baners_views` 
												WHERE baner = $id AND DATE_FORMAT(date,'%Y-%m-%d') = '$date' GROUP BY DATE_FORMAT(date,'%H')");
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$views[0][] = $r['date'].':00';
		$views[1][] = $r['views'];
	}
	$statsMax = admRoundMax(max($views[1]));
}
elseif ($type == 30)
{
	$query = mysqli_query($admMysql, "SELECT DATE(date) AS date, COUNT(id) AS clicks FROM `".adm_dbPrefix."baners_clicks` WHERE baner = $id GROUP BY DATE(date)");
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$clicks[0][] = $r['date'];
		$clicks[1][] = $r['clicks'];
		$statsLinks[] = urlencode('javascript:reload("ajax-stats-baners.php?type=31&id='.$id.'&date='.$r['date'].'")');
	}
	$statsMax = admRoundMax(max($clicks[1]));
}
elseif ($type == 31)
{
	$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(date,'%H') as date, COUNT(id) as clicks FROM `".adm_dbPrefix."baners_clicks` 
												WHERE baner = $id AND DATE_FORMAT(date,'%Y-%m-%d') = '$date' GROUP BY DATE_FORMAT(date,'%H')");
	while ($r = mysqli_fetch_array($query, MYSQL_ASSOC))
	{
		$clicks[0][] = $r['date'].':00';
		$clicks[1][] = $r['clicks'];
	}
	$statsMax = admRoundMax(max($clicks[1]));
}
?>
&bg_colour=#F0F0F0&
<?php
if ($type == 10)
{
	echo '&bar=50,#1933CC,Wyświetleń,10&'."\n";
	echo '&values='.implode(',',$views[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	echo '&bar_2=50,#CE171C,Kliknięć,10&'."\n";
	echo '&values_2='.implode(',',$clicks[1]).'&'."\n";
	$labels = $views[0];
}
elseif ($type == 11)
{
	echo '&bar=50,#1933CC,Wyświetleń z dnia '.$date.',10&'."\n";
	echo '&values='.implode(',',$views[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	echo '&bar_2=50,#CE171C,Kliknięć z dnia '.$date.',10&'."\n";
	echo '&values_2='.implode(',',$clicks[1]).'&'."\n";
	$labels = $views[0];
}
elseif ($type == 20)
{
	echo '&bar=50,#1933CC,Wyświetleń,10&'."\n";
	echo '&values='.implode(',',$views[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	$labels = $views[0];
}
elseif ($type == 21)
{
	echo '&bar=50,#1933CC,Wyświetleń z dnia '.$date.',10&'."\n";
	echo '&values='.implode(',',$views[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	$labels = $views[0];
}
elseif ($type == 30)
{
	echo '&bar=50,#CE171C,Kliknięć,10&'."\n";
	echo '&values='.implode(',',$clicks[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	$labels = $clicks[0];
}
elseif ($type == 31)
{
	echo '&bar=50,#CE171C,Kliknięć z dnia '.$date.',10&'."\n";
	echo '&values='.implode(',',$clicks[1]).'&'."\n";
	echo '&tool_tip=%23key%23+%23x_label%23%3Cbr%3E%23val%23&';
	$labels = $clicks[0];
}
?>
&x_labels=<?php echo implode(',',$labels);?>&
&x_label_style=10, #000000, 1&
&y_min=0&
&y_max=<?php echo $statsMax;?>&
<?php 
if ($type == 10 OR $type == 20 OR $type == 30)
{
	echo '&links='.implode(',',$statsLinks).'&';
	echo '&links_2='.implode(',',$statsLinks).'&';
}
?>