<?php

$id = (int)$account->id;

$query = mysqli_query($admMysql, "SELECT id, login, email FROM `".adm_dbPrefix."clients` WHERE id=$id LIMIT 1");
$item = mysqli_fetch_array($query);

function sendMail()
{
	global $account, $messages, $item, $hideForm, $subject, $content;

	if ($account->check_powers(3) == false)
	{
		$messages->add('ERORR','Brak uprawnień!');
		$hideForm = true;
		return false;
	}

	$subject = admFilter($_POST['subject']);
	$content = htmlspecialchars($_POST['content'], ENT_QUOTES);
	if (get_magic_quotes_gpc()) $content = stripslashes($content);

	if (empty($subject)) return $messages->add('ALERT','Podaj temat wiadomości!');
	if (empty($content)) return $messages->add('ALERT','Podaj treść wiadomości!');

	$subject = 'Wiadomość od klienta "'.$item['login'].'": '.$subject;
	$content .= '<br /><hr style="border:1px #EAF3FE solid;" />Nadawca wiadomości: &nbsp;'.$item['login'].' &lt;'.$item['email'].'&gt; &nbsp; &nbsp; <a href="'.adm_path.'admin.php?m=clients&p=details&id='.$item['id'].'" target="_blank">Zobacz profil klienta</a>';

	$mail = admSendEmail($item['email'], adm_adminEmail, adm_adminEmail, $subject, $content);

	if ($mail === true)
	{
		$messages->add('INFO','Wysłano wiadomość!');
		$subject = '';
		$content = '';
	}
	else
	{
		$messages->add('ERORR','Wiadomości nie wysłano!',$mail);
	}
}
if (isset($_POST['sendMail'])) sendMail();

$smarty->assign('subject', $subject);
$smarty->assign('content', $content);
$smarty->assign('item', $item);
?>