<?php

if ($_GET['p']=='edit' OR $_GET['p']=='details')
{
	$id = (int)admFilter($_GET['id']);
	$query = mysqli_query($admMysql, "SELECT b.id, b.client, b.powers, b.area, b.type, b.banerAddress, b.width, b.height, b.pageAddress, b.description, b.count,
												b.target, b.code, b.follow, b.model, b.purchasedViews, b.purchasedUsers, b.purchasedDays, b.views, b.clicks, b.dateStart, b.dateEdit, b.advancedStatistics, b.active,
												c.id AS idClient, c.powers AS powersClient, a.name AS nameArea
												FROM `".adm_dbPrefix."baners` AS b
												LEFT JOIN `".adm_dbPrefix."clients` AS c ON c.id=client
												LEFT JOIN `".adm_dbPrefix."baners_areas` AS a ON a.id=area
												WHERE b.id=$id AND b.client = ".(int)$account->id." LIMIT 1");
	$item = mysqli_fetch_assoc($query);

	if (mysqli_num_rows($query) == 0)
	{
		$messages->add('ERORR','Błąd identyfikatora!',mysqli_error($mysql));
		$hideForm = true;
	}
	else if ($_GET['p']=='edit') // JEST TO AKTUALNIE NIEPOTRZEBNE
	{
		$query = mysqli_query($admMysql, "SELECT `id`, `name`, `maxWidth`, `maxHeight` FROM `".adm_dbPrefix."baners_areas` ORDER BY `id` ASC");
		while ($r = mysqli_fetch_assoc($query))
			$areasList[] = $r;
	}
	else if ($_GET['p']=='details' AND adm_pro == true)
	{
		$query = mysqli_query($admMysql, "SELECT DATE_FORMAT(bv.date, '%Y-%m-%d') AS date, count(DISTINCT bv.id) AS views, count(DISTINCT bc.id) AS clicks FROM `".adm_dbPrefix."baners_views` AS bv
													LEFT JOIN `".adm_dbPrefix."baners_clicks` AS bc ON (DATE_FORMAT(bc.date, '%Y-%m-%d')=DATE_FORMAT(bv.date, '%Y-%m-%d') AND bc.baner=bv.baner)
													WHERE bv.baner = $id GROUP BY DATE_FORMAT(bv.date, '%Y-%m-%d')");
		while ($r = mysqli_fetch_assoc($query))
			$stats[] = $r;
	}
}

function edit()
{
	global $admMysql, $messages, $hideForm, $account, $item;
	if ($item['powers'] != 1 OR $item['powersClient'] == 4)
	{
		$messages->add('ERORR','Nie posiadasz uprawnień!');
		return false;
	}

	$id = (int)admFilter($_GET['id']);
	$banerAddress = admFilter($_POST['banerAddress']);
	$width = $item['width'];
	$height = $item['height'];
	$pageAddress = admFilter($_POST['pageAddress']);
	$description = admFilter($_POST['description']);
	$dateEdit = mktime();
	if (isset($_POST['active'])) $active = 1; else $active = 0;

	$item = array('id' => $id, 'width' => $width, 'height' => $height, 'banerAddress' => $banerAddress,
								'pageAddress' => $pageAddress, 'description' => $description, 'dateEdit' => $dateEdit, 'active' => $active);

	if (!admCheckWWW($banerAddress)) return $messages->add('ALERT','Podaj poprawny adres banera!');
	if (!admCheckWWW($pageAddress) AND $flash != 1) return $messages->add('ALERT','Podaj poprawny adres strony!');

	$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners` SET `banerAddress`='$banerAddress', `pageAddress`='$pageAddress',
												`description`='$description', `dateEdit`='$dateEdit', `active`='$active'
												WHERE `id`=$id AND `powers`=1 AND client=".(int)$account->id." LIMIT 1");

	if (!$query) return $messages->add('ERORR','Baner nie został zmieniony!',mysqli_error($mysql));

	$messages->add('INFO','Baner został zmieniony!','<a href="client.php">Przejdź dalej</a>');

	$hideForm = true;
}
if (isset($_POST['edit'])) edit();


$smarty->assign('proportionsList', array(0=>'0%',1=>'10%',2=>'20%',3=>'30%',4=>'40%',5=>'50%',6=>'60%',7=>'70%',8=>'80%',9=>'90%',10=>'100%'));
$smarty->assign('typeList', array('Graficzny JPG, PNG, GIF','Graficzny FLASH (.swf)','Kod HTML, CSS, JavaScript'));
$smarty->assign('targetList', array('_blank','_self','_parent','_top'));
$smarty->assign('countList', array('Bezwzględnie (link pośredni)','Metodą JavaScript (link bezpośredni)','Nie zliczaj (link bezpośredni)'));
$smarty->assign('modelList', array('CPM (Cost Per Mille)','CPU (Cost Per User)','CPD (Cost Per Day)', 'ATT (All The Time)'));
$smarty->assign('stats', $stats);
$smarty->assign('item', $item);
?>