<?php
session_start();

define('SMARTY_DIR', './layout/_smarty/');
require_once(SMARTY_DIR.'Smarty.class.php');
$smarty = new Smarty();
$smarty->template_dir = './layout/';
$smarty->compile_dir = './layout/_compile/';
$smarty->cache_dir = './layout/_cache/';
$smarty->caching = false;
$smarty->error_reporting = E_ALL;

$setting = @include_once('./_settings.php');
if (!$setting) die('Nie zainstalowano!');

require_once('./_core.php');
require_once('./lib/messages.class.php');
$messages = new messages();
$hideForm = false;

if ($_SERVER['SERVER_ADDR'] != '127.0.0.1') setlocale(LC_ALL, array('pl_PL.UTF-8', 'pl','Polish_Poland.28592'));

$system_info['php_version'] = PHP_VERSION;
$system_info['version'] = adm_version;
$system_info['path'] = stripslashes(adm_path);
$system_info['relative_path'] = admRelativePath();
$system_info['beta'] = adm_beta;
$system_info['pro'] = adm_pro;
//$system_info['buyer_name'] = adm_buyer_name;
$system_info['buyer_email'] = adm_buyer_email;
$smarty->assign('system_info', $system_info);
$smarty->assign('style_client_logo', @constant('adm_styleClientLogo'));
$smarty->assign('style_client_css', @constant('adm_styleClientCSS'));


$text=array('skrypt rotacji banerów',
	'rotator banerów',
	'adserwer',
	'adserver',
	'ad serwer',
	'ad server',
	'skrypt reklamy',
	'system reklamy',
	'rotator reklam',
	'rotator banerów i linków',
	'skrypty php reklama',
	'baner rotator',
	'skrypt banerów',
	'skrypt linków'
);
$rand = rand(0, count($text)-1);
$smarty->assign('footerTitle', $text[$rand]);

if (!$setting) exit; // WYCHODZI
require_once('./_db-ac.php');
require_once('./client-login.php'); // WYCHODZI W PEWNYCH PRZYPADKACH

if (adm_notice) $notice = stripslashes(adm_notice); else $notice = '';
$smarty->assign('Notice', $notice);

$pt['help'] = 'Pomoc';
$pt['contact'] = 'Kontakt';
$pt['baners'] = 'Baner graficzny';
$pt['links'] = 'Link tekstowy';
$pt['windows'] = 'Wyskakujące okienko';
$pt['edit'] = 'Edytuj';
$pt['details'] = 'Detale';

$pt['account'] = 'Konto';
$pt['view'] = 'Przeglądaj';
$pt['delete'] = 'Usuń';
$pt['password'] = 'Zmień hasło';


if (isset($_GET['m']) AND isset($_GET['p']))
{
	$includePHP = 'client-x-'.$_GET['m'];
	$includeTPL = 'client-x-'.$_GET['m'].'-'.$_GET['p'];
	$pageTitle = 'ad_master &rsaquo; '.$pt[$_GET['m']].' &rsaquo; '.$pt[$_GET['p']];
}
else if (isset($_GET['p']))
{
	$includePHP = 'client-'.$_GET['p'];
	$includeTPL = 'client-'.$_GET['p'];
	$pageTitle = 'ad_master &rsaquo; '.$pt[$_GET['p']];
}
else
{
	$includePHP = 'client-home';
	$includeTPL = 'client-home';
	$pageTitle = 'ad_master';
}

if ($smarty->templateExists($includeTPL.'.tpl'))
{
	@include_once($includePHP.'.php');
	$smarty->assign('pageTitle', $pageTitle);
	$smarty->assign('includePage', $includeTPL.'.tpl');
}
else
{
	$smarty->assign('pageTitle', 'ad_master &rsaquo; Strona nieodnaleziona!');
}

$messages->done();
$smarty->assign('accountLogin', $account->login);
$smarty->assign('accountPowers', $account->powers);
$smarty->assign('hideForm', $hideForm);
$smarty->display('client.tpl');
?>