<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty number_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     number_format<br>
 * Purpose:  returns a formatted number as of php number_format
 * @author   ulyxes <zulisse at email dot it>
 * @param string
 * @param string
 * @param string
 * @param string
 * @return string
 */
function smarty_modifier_weight_format($weight)
{
	if ($weight >= 10000)
		return $weight = number_format($weight/1000, 2, ',', '').'kg';
	else
		return $weight = $weight.'g';
}

/* vim: set expandtab: */

?> 