{if $Notice}
<div class="notice">{$Notice}</div>
{/if}

<div class="box" id="baners_list">
	<h1>Aktywne banery</h1>
		{if $banersList AND $banersList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Klient</th>
				<th>Edycja</th>
				<th>Adres banera</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Wyświetleń</th>
				<th>Kliknięć</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:75px;width:75px;">Akcja</th>
			</tr>
			{foreach from=$banersList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=baners&amp;p=details&amp;id={$item.id}'">
				<td><a href="?m=baners&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td>{if $item.client != 0}<a href="?m=clients&amp;p=details&amp;id={$item.client}" title="{$item.login}">{$item.login|truncate:20}</a>{else}-{/if}</td>
				<td>{if $item.powers == 1}Tak{else}Nie{/if}</td>
				<td>{if $item.banerAddress AND $item.type < 2}<a href="{$item.banerAddress}" target="_blank" class="preview" onmouseover="banerPreview(this,{$item.type},{$item.width},{$item.height})" onmouseout="banerPreviewStop(this)">{$item.banerAddress|url_short|truncate:20}<span></span></a>{else}-{/if}</td>
				<td>{if $item.pageAddress AND $item.type < 2}<a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:20}</a>{else}-{/if}</td>
				{if $item.model == 0}
				<td>{$item.purchasedViews|number_format:0:",":"."} wyś.</td>
				<td>{$item.views|number_format:0:",":"."} wyś.</td>
				<td>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} wyś.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.clicks|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.clicks}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 2}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.views|number_format:0:",":"."}</td>
				<td>{$item.clicks|number_format:0:",":"."}</td>
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=baners&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=baners&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=baners&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
					{if $item.client != 0}
					<a href="?m=clients&amp;p=mail&amp;id={$item.client}" title="Wyślij wiadomość"><img src="layout/images/a_mail.png" alt="Wyślij wiadomość" height="16px" width="16px" /></a>
					{else}
					<img src="layout/images/blank.png" alt="" height="16px" width="16px" />
					{/if}
				</td>
			</tr>
			{/foreach}
		</table>
		{else}
		Brak aktywnych banerów
		{/if}
</div>

<div class="box" id="links_list">
	<h1>Aktywne linki tekstowe</h1>
		{if $linksList AND $linksList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Klient</th>
				<th>Edycja</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Kliknięć</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:75px;width:75px;">Akcja</th>
			</tr>
			{foreach from=$linksList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=links&amp;p=details&amp;id={$item.id}'">
				<td><a href="?m=links&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td>{if $item.client != 0}<a href="?m=clients&amp;p=details&amp;id={$item.client}" title="{$item.login}">{$item.login|truncate:20}</a>{else}-{/if}</td>
				<td>{if $item.powers == 1}Tak{else}Nie{/if}</td>
				<td><a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:40}</a></td>
				{if $item.model == 0}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.clicks|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.clicks}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.clicks|number_format:0:",":"."}</td>
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=links&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=links&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=links&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
					{if $item.client != 0}
					<a href="?m=clients&amp;p=mail&amp;id={$item.client}" title="Wyślij wiadomość"><img src="layout/images/a_mail.png" alt="Wyślij wiadomość" height="16px" width="16px" /></a>
					{else}
					<img src="layout/images/blank.png" alt="" height="16px" width="16px" />
					{/if}
				</td>
			</tr>
			{/foreach}
		</table>
		{else}
		Brak aktywnych linków
		{/if}
</div>

<div class="box" id="windows_list">
	<h1>Aktywne wyskakujące okienka</h1>
		{if $windowsList AND $windowsList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Klient</th>
				<th>Edycja</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Wyświetleń</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:75px;width:75px;">Akcja</th>
			</tr>
			{foreach from=$windowsList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=windows&amp;p=details&amp;id={$item.id}'">
				<td><a href="?m=windows&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td>{if $item.client != 0}<a href="?m=clients&amp;p=details&amp;id={$item.client}" title="{$item.login}">{$item.login|truncate:20}</a>{else}-{/if}</td>
				<td>{if $item.powers == 1}Tak{else}Nie{/if}</td>
				<td>{if $item.pageAddress}<a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:40}</a>{else}<a href="upload/windows/{$item.id}.html" target="_blank">lokalny kod - zobacz</a>{/if}</td>
				{if $item.model == 0}
				<td>{$item.purchasedViews|number_format:0:",":"."} wyś.</td>
				<td>{$item.views|number_format:0:",":"."} wyś.</td>
				<td>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} wyś.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.views|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 2}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.views|number_format:0:",":"."}</td>
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=windows&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=windows&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=windows&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
					{if $item.client != 0}
					<a href="?m=clients&amp;p=mail&amp;id={$item.client}" title="Wyślij wiadomość"><img src="layout/images/a_mail.png" alt="Wyślij wiadomość" height="16px" width="16px" /></a>
					{else}
					<img src="layout/images/blank.png" alt="" height="16px" width="16px" />
					{/if}
				</td>
			</tr>
			{/foreach}
		</table>
		{else}
		Brak aktywnych okienek
		{/if}
</div>

<script type="text/javascript">
home.prepare_lists();
</script>