function PopUp(objectId, width) {
	var object = $(objectId);
	var popup = mint.gui.RegisterDragObject(object);
	popup.AddGrip(object.down('h1'), true);

	this.Show = function(){
		SetOpacity(object, 0);
		object.style.display = 'block';
		var scrollTop = (document.body.scrollTop) ? document.body.scrollTop : document.documentElement.scrollTop;
		var windowHeight = (window.innerHeight) ? window.innerHeight : document.documentElement.clientHeight;
		var windowWidth = (window.innerWidth) ? window.innerWidth : document.documentElement.clientWidth;
		object.style.top = parseInt(windowHeight / 2) - parseInt(object.offsetHeight / 2) + scrollTop+'px';
		object.style.left = parseInt(windowWidth / 2) - parseInt(object.offsetWidth / 2)+'px';
		mint.fx.Fade(object, 100, 6, 200);
		return false;
	}
	this.Hide = function(){
		mint.fx.Fade(object, 0, 6, 200, '', function () {object.style.display = 'none';});
		return false;
	}
}
var Info;
var $next, $info, $installer, $installer_h1, $installer_content, $installer_form;

var Run = false;

Global = {};

Global.step7 = function(details){
	$installer_h1.innerHTML = '<img src="layout/images/error.png" alt="" /> Kreator instalacji - krok 4/4 - Podsumowanie';
	$installer_form.innerHTML = '<div class="info_small">Naciśnij przycisk Zakończ aby przejść do logowania. <u>Login to admin</u>.</div>'+details;
	$next.value = 'Zakończ';
	SetOpacity($installer_form, 0);
	mint.fx.Fade($installer_form, 100, 4, 500, '', function(){$next.disabled = false;});
	$next.onclick = function(){document.location.href='admin.php';};
}

Global.step6 = function(){
	$next.disabled = true;
	var req = mint.Request();
	req.OnError = function(){
		$installer_h1.innerHTML = '<img src="layout/images/_e.png" alt="" /> Kreator instalacji - krok 3/4 - Błąd instalacji!';
	}
	req.OnSuccess = function(){
		$installer_h1.innerHTML = 'Kreator instalacji - krok 3/4 - Konfiguracja i Instalacja';
		$next.disabled = false;

		if (this.responseJSON[0].type == 'info') return Global.step7(this.responseJSON[0].details);

		$info.removeClass('info');
		$info.removeClass('alert');
		$info.removeClass('error');

		$info.addClass(this.responseJSON[0].type);
		$info.down('h1').innerHTML = this.responseJSON[0].title;
		$("info_details").innerHTML = this.responseJSON[0].details;
		Info.Show();
	}
	req.getJSON = true;
	req.retryNum = 1;
	req.timeout = 30000;
	req.SendForm("conf");
	$installer_h1.innerHTML = '<img src="layout/images/loading.gif" alt="" /> Kreator instalacji - krok 3/4 - Trwa instalowanie';
}

Global.step5 = function(){
	$installer_h1.innerHTML = 'Kreator instalacji - krok 3/4 - Konfiguracja i Instalacja';
	$installer_content.style.display = 'none';
	SetOpacity($installer_form, 0);
	$installer_form.style.display = 'block';
	mint.fx.Fade($installer_form, 100, 4, 500, '', function(){$next.disabled = false;});
	$next.value = 'Instaluj';
	$next.onclick = function(){Global.step6();};
}

Global.step4 = function(){
	$next.onclick = function(){Global.step4();};
	mint.fx.Fade($installer_content, 0, 4, 500, '', Global.step5);
	$next.disabled = true;
}

Global.step3 = function(){
	var req = mint.Request();
	req.OnError = function(){
		$installer_h1.innerHTML = '<img src="layout/images/_e.png" alt="" /> Kreator instalacji - krok 2/4 - Błąd!';
	}
	req.OnSuccess = function(){
		$installer_h1.innerHTML = 'Kreator instalacji - krok 2/4 - Inspekcja';
		$installer_content.innerHTML = this.responseText+'<br /><a href="#" onclick="Global.step3();return false;">Ponownie przeprowadź inspekcję</a>';
		mint.fx.Fade($installer_content, 100, 4, 500);
		$next.onclick = function(){Global.step4();};
		$next.disabled = false;
	}
	req.AddParam('step', 1);
	req.Send("ajax-install.php");
	$installer_h1.innerHTML = '<img src="layout/images/loading.gif" alt="" /> Kreator instalacji - krok 2/4 - Trwa sprawdzanie';
}

Global.step2 = function(){
	$next.disabled = true;
	mint.fx.Fade($installer_content, 0, 4, 500, '', Global.step3);
}

Global.acceptLicense = function(){
	$next.disabled = ($("accept").checked) ? false : true;
}

Global.Center = function(){
	var scrollTop = (document.body.scrollTop) ? document.body.scrollTop : document.documentElement.scrollTop;
	var windowHeight = (window.innerHeight) ? window.innerHeight : document.documentElement.clientHeight;
	var top = parseInt(windowHeight / 2) - parseInt($installer.offsetHeight / 2) + scrollTop;
	if (top < 3) return false;
	$installer.style.marginTop = top+'px';
}
window.onresize = Global.Center;

Global.prepareInstall = function(){
	$next = $("next");
	$info = $("info");
	$installer = $("installer");
	$installer_h1 = $installer.down("h1");
	$installer_content = $("installer_content");
	$installer_form = $("installer_form");
	$next.disabled = true;
	AddEvent($("accept"), 'click', Global.acceptLicense);
	$next.onclick = function(){Global.step2();};
	Info = new PopUp('info', 400);
	AddEvent($("info_ok"), 'click', Info.Hide);
	Global.Center();
}