{if $hideForm == false}

<div class="client_details">

	<div class="box w500">
		<h1>Klient "{$item.login}"</h1>
		<ul class="list">
			<li><label>E-mail:</label><a href="mailto:{$item.email}">{$item.email}</a></li>
			<li><label>Uprawnienia:</label>{$powersList[$item.powers]}</li>
			<li><label>Witryna:</label>{if $item.website}<a href="{$item.website}">{$item.website}</a>{else}-{/if}</li>
			<li><label>Gadu-Gadu:</label>{if $item.gadu}<a href="gg:{$item.gadu}">{$item.gadu}</a> <img src="http://status.gadu-gadu.pl/users/status.asp?id={$item.gadu}&amp;styl=1" alt="" width="15" height="15" />{else}-{/if}</li>
			<li><label>Telefon:</label>{$item.phone|default:'-'}</li>
			<li><label>Nazwa:</label>{$item.name|default:'-'}</li>
			<li><label>Adres:</label>{$item.address|default:'-'}</li>
			<li title="{$item.dateRegistration|date_format:"%T %A, %e %B, %Y"}"><label>Godzina i data rejestracji:</label>{$item.dateRegistration|date_format:"%T &nbsp; %d.%m.%Y"}</li>
			<li title="{$item.dateLogin|date_format:"%T %A, %e %B, %Y"}"><label>Godzina i data logowania:</label>{$item.dateLogin|date_format:"%T &nbsp; %d.%m.%Y"|default:'Jeszcze się nie logował'}</li>
		</ul>
	</div>

	<div class="box w100 buttons">
		<h1>Akcje</h1>
		<a href="?m=clients&amp;p=edit&amp;id={$item.id}" class="edit">Edytuj</a>
		<a href="?m=clients&amp;p=delete&amp;id={$item.id}" class="delete">Usuń</a>
		<a href="?m=clients&amp;p=mail&amp;id={$item.id}" class="mail">Wyślij e-mail</a>
		<a href="?m=baners&amp;p=add&amp;c={$item.id}" class="add">Dodaj baner</a>
		<a href="?m=links&amp;p=add&amp;c={$item.id}" class="add">Dodaj link</a>
		<a href="?m=windows&amp;p=add&amp;c={$item.id}" class="add">Dodaj okienko</a>
		<a href="?m=clients&amp;p=view" class="list">Lista klientów</a>
	</div>

	<div class="box" id="note_box">
		<h1><img src="layout/images/note_edit.png" alt="" /> Notatka</h1>
		<form id="note_form" method="post" action="ajax-note.php">
			<textarea id="note" name="note" rows="5" cols="5">{$item.note}</textarea>
			<input type="hidden" name="id" value="{$item.id}" />
		</form>
	</div>

</div>

<div class="clear_both"></div>

{assign var="viewsSum" value=0}
{assign var="clicksSum" value=0}
<div class="box" id="baners_list">
	<h1>Banery</h1>
		{if $banersList AND $banersList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Adres banera</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Wyświetleń</th>
				<th>Kliknięć</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:55px;width:55px;">Akcja</th>
			</tr>
			{foreach from=$banersList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=baners&amp;p=details&amp;id={$item.id}'" {if $item.active == 0} class="inactive"{/if}>
				<td><a href="?m=baners&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td>{if $item.banerAddress AND $item.type < 2}<a href="{$item.banerAddress}" target="_blank" class="preview" onmouseover="banerPreview(this,{$item.type},{$item.width},{$item.height})" onmouseout="banerPreviewStop(this)">{$item.banerAddress|url_short|truncate:30}<span></span></a>{else}-{/if}</td>
				<td>{if $item.pageAddress AND $item.type < 2}<a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:30}</a>{else}-{/if}</td>
				{if $item.model == 0}
				<td>{$item.purchasedViews|number_format:0:",":"."} wyś.</td>
				<td>{$item.views|number_format:0:",":"."} wyś.</td>
				<td>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} wyś.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.clicks|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.clicks}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 2}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.views|number_format:0:",":"."}</td> {$viewsSum = $viewsSum + $item.views}
				<td>{$item.clicks|number_format:0:",":"."}</td> {$clicksSum = $clicksSum + $item.clicks}
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=baners&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=baners&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=baners&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
				</td>
			</tr>
			{/foreach}
			<tr class="sum">
				<td colspan="6">Suma:</td>
				<td>{$viewsSum|number_format:0:",":"."}</td>
				<td>{$clicksSum|number_format:0:",":"."}</td>
				<td colspan="2"></td>
			</tr>
		</table>
		{else}
		Brak banerów
		{/if}
</div>

{assign var="viewsSum" value=0}
{assign var="clicksSum" value=0}
<div class="box" id="links_list">
	<h1>Linki tekstowe</h1>
		{if $linksList AND $linksList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Kliknięć</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:55px;width:55px;">Akcja</th>
			</tr>
			{foreach from=$linksList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=links&amp;p=details&amp;id={$item.id}'" {if $item.active == 0} class="inactive"{/if}>
				<td><a href="?m=links&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td><a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:40}</a></td>
				{if $item.model == 0}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.clicks|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.clicks}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.clicks|number_format:0:",":"."}</td> {$clicksSum = $clicksSum + $item.clicks}
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=links&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=links&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=links&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
				</td>
			</tr>
			{/foreach}
			<tr class="sum">
				<td colspan="5">Suma:</td>
				<td>{$clicksSum|number_format:0:",":"."}</td>
				<td colspan="2"></td>
			</tr>
		</table>
		{else}
		Brak linków
		{/if}
</div>

{assign var="viewsSum" value=0}
{assign var="clicksSum" value=0}
<div class="box" id="windows_list">
	<h1>Wyskakujące okienka</h1>
		{if $windowsList AND $windowsList|@count > 0}
		<table class="list dbl_click">
			<tr>
				<th style="width:15px;">ID</th>
				<th>Adres strony</th>
				<th>Wykupiono</th>
				<th>Wykorzystano</th>
				<th>Pozostało</th>
				<th>Wyświetleń</th>
				<th style="width:115px;">Data startu</th>
				<th style="min-width:55px;width:55px;">Akcja</th>
			</tr>
			{foreach from=$windowsList item=item name=i}
			<tr ondblclick="location.href = '{$system_info.path}admin.php?m=windows&amp;p=details&amp;id={$item.id}'" {if $item.active == 0} class="inactive"{/if}>
				<td><a href="?m=windows&amp;p=details&amp;id={$item.id}">{$item.id}</a></td>
				<td>{if $item.pageAddress}<a href="{$item.pageAddress}" target="_blank" title="{$item.pageAddress}">{$item.pageAddress|url_short|truncate:40}</a>{else}<a href="upload/windows/{$item.id}.html" target="_blank">lokalny kod - zobacz</a>{/if}</td>
				{if $item.model == 0}
				<td>{$item.purchasedViews|number_format:0:",":"."} wyś.</td>
				<td>{$item.views|number_format:0:",":"."} wyś.</td>
				<td>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} wyś.</td>
				{elseif $item.model == 1}
				<td>{$item.purchasedUsers|number_format:0:",":"."} użytk.</td>
				<td>{$item.views|number_format:0:",":"."} użytk.</td>
				<td>{assign var='rest' value=$item.purchasedUsers-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if} użytk.</td>
				{elseif $item.model == 2}
				<td>{$item.purchasedDays} dni</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if} dni</td>
				<td>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if} dni</td>
				{else}
				<td>-</td>
				<td>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if} dni</td>
				<td>-</td>
				{/if}
				<td>{$item.views|number_format:0:",":"."}</td> {$viewsSum = $viewsSum + $item.views}
				<td title="{$item.dateStart|date_format:"%A, %e %B, %Y"}">{$item.dateStart|date_format:"%T %d.%m.%Y"}</td>
				<td>
					<a href="?m=windows&amp;p=details&amp;id={$item.id}" title="Detale"><img src="layout/images/a_details.png" alt="Detale" height="16px" width="16px" /></a>
					<a href="?m=windows&amp;p=edit&amp;id={$item.id}" title="Edytuj"><img src="layout/images/a_edit.png" alt="Edytuj" height="16px" width="16px" /></a>
					<a href="?m=windows&amp;p=delete&amp;id={$item.id}" title="Usuń"><img src="layout/images/a_delete.png" alt="Usuń" height="16px" width="16px" /></a>
				</td>
			</tr>
			{/foreach}
			<tr class="sum">
				<td colspan="5">Suma:</td>
				<td>{$viewsSum|number_format:0:",":"."}</td>
				<td colspan="2"></td>
			</tr>
		</table>
		{else}
		Brak okienek
		{/if}
</div>

<script type="text/javascript">
clients.prepare_details();
</script>

{/if}