{if $hideForm == false}
<div class="box w500">
	<h1>Strefa linków id {$area.id}</h1>
	<ul class="list">
		<li><label>Nazwa:</label>{$area.name}</li>
		<li><label>Kod alternatywnej reklamy:</label>{$area.alternativeCode|code}</li>
		<li><label>Proporcja wyś. kodu alter.:</label>{$proportionsList[$area.proportion]}</li>
		<li><label>Maksymalna liczba znaków:</label>{$area.maxCharacters}</li>
		<li><label>Klasa css:</label>{$area.class|default:'-'}</li>
		<li><label>Szablon:</label>{$area.template|code}</li>
		<li><label>Sposób wyświetlania linków:</label>{$displayList[$area.display]}</li>
		<li><label>Linków w tej strefie:</label><a href="?m=links&amp;p=view&amp;a={$area.id}" title="Zobacz linki w tej strefie">{$area.number}</a></li>
	</ul>
	<div class="buttons">
		<a href="?m=links&amp;p=areas-edit&amp;id={$area.id}" class="edit">Edytuj</a>
		{if $area.id != 1}<a href="?m=links&amp;p=areas-delete&amp;id={$area.id}" class="delete">Usuń</a>{/if}
		<a href="?m=links&amp;p=areas" class="list">Lista stref linków</a>
	</div>
</div>

<div class="box w500">
	<h1>Integracja systemu ze stroną</h1>
	Aby reklamy z tej strefy były wyświetlane na stronie należy wstawić w dowolną część sekcji body jeden z trzech wymienionych kodów.
	<br />
	W przypadku metod PHP, ścieżka do pliku show-links.php może się różnić w zależności od położenie zainstalowanego systemu a strony na której będą wyświetlane reklamy. 
	<br /><br />
	PHP, podaj względną ścieżkę do pliku, przykład:
	<p class="code">
		&lt;?php<br />
			&nbsp; $admAreaId = {$area.id};<br />
			&nbsp; include('.{$system_info.relative_path}show-links.php');<br />
		?&gt;
	</p>
	PHP dla szablonów Smarty, podaj względną ścieżkę do pliku, przykład:
	<p class="code">
		{ldelim}php{rdelim}<br />
			&nbsp; $admAreaId = {$area.id};<br />
			&nbsp; include('.{$system_info.relative_path}show-links.php');<br />
		{ldelim}/php{rdelim}
	</p>
	JavaScript:
	<p class="code">
		<br />
		&lt;script type="text/javascript" src="{$system_info.path}show-links.php?admJS&amp;admAreaId={$area.id}"&gt;&lt;/script&gt;<br />
		<br />
	</p>
</li>
</div>
{/if}