{if $hideForm == false}

<div class="box w600">
	<h1>Wyskakujące okienko id {$item.id}</h1>
	<ul class="list">
	{if $item.client != 0}
		<li><label>Klient:</label><a href="?m=clients&amp;p=details&amp;id={$item.idClient}">{$item.loginClient}</a></li>
		<li><label>Uprawnienia:</label>{$powersList[$item.powers]}</li>
	{/if}
		<li><label>Strefa:</label>{if $item.area == 0}Wyświetlaj we wszystkich strefach{else}<a href="?m=windows&amp;p=areas-details&amp;id={$item.area}">{$item.nameArea}</a>{/if}</li>
		<li><label>Typ okienka:</label>{$typeList[$item.type]}</li>
	{if $item.pageAddress}
		<li><label>Adres strony:</label><a href="{$item.pageAddress}" target="_blank">{$item.pageAddress}</a></li>
	{else}
		<li><label>Kod html:</label>{$item.code|code}</li>
	{/if}
		<li><label>Omijanie popupblokerów:</label>{if !$system_info.pro}Opcja dostępna w wersji pro{elseif $item.circumvent == 1}Tak{else}Nie{/if}</li>
		<li><label>Opóźnienie zliczenia odsłony:</label>{if $item.delay == 1}{$item.delayTime} sekund{else}Nie{/if}</li>
		<li><label>Atrybuty:</label><div style="overflow:hidden;">{$item.attributes|default:'-'}</div></li>
		<li><label>Model emisyjny:</label>{$modelList[$item.model]}</li>
	{if $item.model == 0}
		<li><label>Wykupiono wyświetleń:</label>{$item.purchasedViews|number_format:0:",":"."}</li>
		<li><label>Wykorzystano wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
		<li><label>Pozostało wyświetleń:</label>{assign var='rest' value=$item.purchasedViews-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if}</li>
	{elseif $item.model == 1}
		<li><label>Wykupiono użytkowników:</label>{$item.purchasedUsers|number_format:0:",":"."}</li>
		<li><label>Wykorzystano użytkowników:</label>{$item.views|number_format:0:",":"."}</li>
		<li><label>Pozostało użytkowników:</label>{assign var='rest' value=$item.purchasedUsers-$item.views}{if $rest <= 0}0{else}{$rest|number_format:0:",":"."}{/if}</li>
	{elseif $item.model == 2}
		<li><label>Wykupiono dni:</label>{$item.purchasedDays}</li>
		<li><label>Wykorzystano dni:</label>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{elseif $used > $item.purchasedDays}{$item.purchasedDays}{else}{$used}{/if}</li>
		<li><label>Pozostało dni:</label>{math assign="rest" equation="ceil(a - (( x - y ) / z ))" a=$item.purchasedDays x=$smarty.now y=$item.dateStart z=86400}{if $rest <= 0}0{elseif $rest > $item.purchasedDays}{$item.purchasedDays}{else}{$rest}{/if}</li>
		<li><label>Wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
	{else}
		<li><label>Wykorzystano dni:</label>{math assign="used" equation="floor(( x - y ) / z )" x=$smarty.now y=$item.dateStart z=86400}{if $used <= 0}0{else}{$used}{/if}</li>
		<li><label>Wyświetleń:</label>{$item.views|number_format:0:",":"."}</li>
	{/if}
		<li><label>Capping:</label>{$item.cappingValue} wyświetleń {$cappingList[$item.cappingPer]} na użytkownika</li>
		<li title="{$item.dateStart|date_format:"%T %A, %e %B, %Y"}"><label>Godzina i data startu:</label>{$item.dateStart|date_format:"%T &nbsp; %d.%m.%Y"}</li>
	{if $item.client != 0}
		<li title="{$item.dateEdit|date_format:"%T %A, %e %B, %Y"}"><label>Godzina i data edycji:</label>{$item.dateEdit|date_format:"%T &nbsp; %d.%m.%Y"|default:'Klient jeszcze nie edytował tej kampanii'}</li>
	{/if}
		<li><label>Zaawansowane statystyki:</label>{if !$system_info.pro}Opcja dostępna w wersji pro{elseif $item.advancedStatistics == 1}Tak{else}Nie{/if}</li>
		<li><label>Aktywne:</label>{if $item.active == 1}Tak{else}Nie{/if}</li>
	</ul>
	<div class="buttons">
		<a href="?m=windows&amp;p=edit&amp;id={$item.id}" class="edit">Edytuj</a>
		<a href="?m=windows&amp;p=delete&amp;id={$item.id}" class="delete">Usuń</a>
		<a href="?m=windows&amp;p=add&amp;id={$item.id}" class="add">Duplikuj</a>
	{if $item.client != 0}
		<a href="?m=clients&amp;p=mail&amp;id={$item.client}" class="mail">Wyślij e-mail</a>
	{/if}
		<a href="?m=windows&amp;p=view" class="list">Lista okienek</a>
	</div>
	<div class="clear_both"></div>
</div>

{if $item.advancedStatistics == 1 AND $system_info.pro}
<div class="box" style="overflow: auto; min-width: 500px; resize: horizontal;">
	<h1>Zaawansowane statystyki <img src="layout/images/arrow_undo.png" id="stats_undo" title="Wstecz/Odśwież" alt="Wstecz" /></h1>
	<div id="my_chart" style="padding: 0px; margin:10px auto; border: 0px solid #0079C0; width: 100%; height: 300px;">
		<a href="#" onclick="return windows.prepare_stats({$item.id});">Załaduj statystyki</a>
	</div>
	<div class="buttons">
			<a href="?m=windows&amp;p=details-stats&amp;id={$item.id}" class="list">Przejdź do tekstowych statystyk</a>
	</div>
</div>
<script type="text/javascript" src="lib/open-flash-chart/js/swfobject.js"></script>
{/if}

{/if}